
/**
 * 推送消息模块
 */
export enum PostModule {
    Loaded = 0,    // 资源加载
    Server,        // 服务端推送
    Third          // 第三方游戏推送
}

/**
 * vm 加载阶段
 */
export enum LoadedStage {
    Start = 0,         // 开始加载
    Complete           // 加载完毕并且数据初始化成功
}

/**
 * 三方命令
 */
export enum ThirdCmd {
    Close = 1,          // 关闭
    Mini,               // 最小化
    Invite,             // 邀请好友
    Recharge,           // 充值
    GameService,        // 游戏客服
    OfficialGroup,      // 官方群聊
    Square              // 广场
}

/**
 * 第三方游戏推送
 */
export interface ThirdPushArgs {
    cmd: ThirdCmd;         // 第三方游戏推送key
    params: any;
}

/**
 * postMessage args类型
 */
export type PostMessageArgs = ThirdPushArgs | LoadedStage;

/**
 * vm 往 webview 推送消息类型
 */
export interface PostMessage {
    moduleName:PostModule;   // 模块名
    args:PostMessageArgs;    // 参数
}

/**
 * 游戏列表
 */
export const GameList = [
    {
        accId: '268828',
        apkDownloadUrl: 'http://39.98.200.23/browser/phoneRedEnvelope/download.html?0.11389282017378854',
        appid: '103',
        buttonMod: 2,
        desc: '2019最热唯美奇幻手游',
        groupId: 10001,
        // tslint:disable-next-line:max-line-length
        img: ['app/res/image/game/yidaizhangmen.png','app/res/image/game/yidaizhangmenBg.png','app/res/image/game/yidaizhangmenBg.png','app/res/image/game/yidaizhangmenBg.png'],
        screenMode: 'landscape',
        title: '一代掌门',
        url: 'http://gcydzm.17youx.cn:7999/client/boot/haohai.html',
        usePi: true,
        webviewName: 'chairMan'
    } 
    // ,{
    //     accId: '268828',
    //     apkDownloadUrl: 'http://39.98.200.23/browser/phoneRedEnvelope/download.html?0.11389282017378854',
    //     appid: '102',
    //     buttonMod: 3,
    //     desc: '2019最热唯美奇幻手游',
    //     groupId: 10001,
    //     img: ['app/res/image/game/xianzhixiadao.png', 'app/res/image/game/xianzhixiadaoBg.png'],
    //     screenMode: 'portrait',
    //     title: '仙之侠道',
    //     url: 'http://ysxzxd.17youx.cn/dst/boot/yineng/yineng.html',
    //     usePi: false,
    //     webviewName: 'fairyChivalry'
    // }
];