
// =======================================导入
import { popNew } from '../../../pi/ui/root';
import { getLang } from '../../../pi/util/lang';
import { Widget } from '../../../pi/widget/widget';
import { getModulConfig } from '../../public/config';
import { getStore } from '../../store/memstore';
import { popNewMessage, rippleShow } from '../../utils/pureUtils';
import { loadShareSource } from '../base/sourceLoaded';
// =========================================导出

/**
 * about us
 */
export class Aboutus extends Widget {
    public ok: () => void;

    public create() {
        super.create();
        this.props = {
            appVersion: getStore('flags/appVersion','1.0.0'),
            data: [
                { value: '', components: 'app-view-aboutApp-privacypolicy' },
                { value: '', components: '' },
                { value: '', components: '' }
            ],
            walletLogo:getModulConfig('WALLET_LOGO'),
            walletName:getModulConfig('WALLET_NAME'),
            desc:getModulConfig('ABOUTUSDESC')
        };
    }

    public itemClick(e: any, index: number) {
        if (index === 0 && this.props.data[index].components !== '') {
            popNew(this.props.data[index].components);
        } else if (index === 1) { // 版本更新
            const tips = { zh_Hans:'已是最新版本',zh_Hant:'已是最新版',en:'' };
            popNewMessage(tips[getLang()]);
        } else {
            loadShareSource().then(() => {
                popNew('earn-client-app-view-share-inviteFriend',{ showMyInvite:false });
            }, err => {
                console.warn(err);
            });
        }
    }

    // 动画效果执行
    public onShow(e:any) {
        rippleShow(e);
    }
    
    public backPrePage() {
        this.ok && this.ok();
    }
}
