
// ===============================================导入
import { getStore as chatGetStore } from '../../../chat/client/app/data/store';
import { GENERATOR_TYPE } from '../../../chat/server/data/db/user.s';
import { popNew } from '../../../pi/ui/root';
import { getLang } from '../../../pi/util/lang';
import { Widget } from '../../../pi/widget/widget';
import { getModulConfig } from '../../public/config';
import { getStore } from '../../store/memstore';
import { rippleShow } from '../../utils/pureUtils';
// ==================================================导出
/**
 * 联系我们
 */
export class ContanctUs extends Widget {
    public ok: () => void;
    public create() {
        super.create();
        const tips = { zh_Hans:'客服',zh_Hant:'客服',en:'' };
        this.props = {
            appVersion: getStore('flags/appVersion','1.0.0'),
            data:[
                { value: '',desc:getModulConfig('WALLET_WEBSITE') },
                { value: '',desc:getModulConfig('WALLET_NAME') + tips[getLang()] },
                // tslint:disable-next-line:prefer-template
                { value: '',desc:getModulConfig('WALLET_NAME') + '游戏' }
            ],
            walletLogo:getModulConfig('WALLET_LOGO'),
            walletName:getModulConfig('WALLET_NAME'),
            desc:getModulConfig('CONTACTUSDESC')
        };
    }

    public backPrePage() {
        this.ok && this.ok();
    }

    // 动画效果执行
    public onShow(e:any) {
        rippleShow(e);
    }
    
    public itemClick(e:any,ind:any) {
        switch (ind) {
            // 点击钱包官网
            case 0:
                // openNewActivity(this.props.data[0].desc,this.props.walletName);
                break;
            // 客服
            case 1:
                popNew('chat-client-app-view-chat-chat',{ id: chatGetStore('flags/HAOHAI_SERVANT'), chatType: GENERATOR_TYPE.USER });
                break;
            // KuPay公众号
            case 2:
                popNew('app-view-aboutApp-wechatQrcode',{ fg:1 });
                break;
            default:
                console.log(this.props.cfgData.tips);
        }
    }
}