import { screenMode, WebViewManager } from '../../../../pi/browser/webview';
import { getStore } from '../../../store/memstore';

/**
 * 获取指定webviewName的所有值
 */
export const getGameItem = (webviewName:string) => {
    const gameList = getStore('game').allGame;
    const index = gameList.findIndex((item) => {
        return item.webviewName === webviewName;
    });
    
    console.log('获取游戏配置信息', gameList[index]);

    return gameList[index];
};

/**
 * 
 * @param gameUrl 游戏路径
 * @param title 游戏名
 * @param webviewName webviewName
 * @param screenMode 横竖屏幕
 */
export const openGame = async (gameUrl:string,title:string,webviewName:string,screenMode:screenMode) => {
    WebViewManager.open(webviewName, `${gameUrl}?${Math.random()}`, title, '', screenMode);
};

/**
 * 关闭游戏悬浮窗
 */
export const closeGameFloatBox = () => {
    if (document.querySelector('#gameFloatBox')) {  // 删掉游戏的悬浮窗
        document.querySelector('#gameFloatBox').remove();
    }
};