/**
 * play home 
 */
 // ================================ 导入
import { Json } from '../../../../pi/lang/type';
import { popNew } from '../../../../pi/ui/root';
import { getLang } from '../../../../pi/util/lang';
import { Forelet } from '../../../../pi/widget/forelet';
import { Widget } from '../../../../pi/widget/widget';
import { checkAuthorize } from '../../../net/login';
import { registerStoreData } from '../../../postMessage/listenerStore';
import { GameItem } from '../../../public/interface';
import { OFFLINE_TYPE } from '../../../publicComponents/offlineTip/offlineTip';
import { register } from '../../../store/memstore';
import { popNewMessage } from '../../../utils/pureUtils';
import { buildupImgPath } from '../../../utils/tools';
import { openGame } from './gameConfig';

// ================================ 导出
// tslint:disable-next-line:no-reserved-keywords
declare var module: any;
export const forelet = new Forelet();
export const WIDGET_NAME = module.id.replace(/\//g, '-');
interface Props {
    offlineType:OFFLINE_TYPE;  // 断线提示类型
    buildupImgPath:Function; // 是否可以刷新
    userInfo:{
        nickName:string;
        avatar:string;
    };
}
/**
 * 玩游戏
 */
export class PlayHome extends Widget {
    public props:Props;
    public ok: () => void;

    public setProps(props:Json) {
        super.setProps(props);
        this.props.offlineType = OFFLINE_TYPE.WALLET;
        this.props.buildupImgPath = buildupImgPath;
        this.state = STATE;
    }    

    public backPrePage() {
        this.ok && this.ok();
    }

    public getCode(event:any) {
        console.log(event.phone);
    }

    public modalBoxSure(e:any) {
        console.log(e.value);
    }

    public showMine() {
        popNew('app-view-mine-home-home');
    }

    /**
     * 搜索
     */
    public toSearch() {
        popNew('app-view-play-searchGame');
    }
 
    public goGame(num:number,gameList:any) {
        if (!checkAuthorize()) {
            return;
        }

        const gameUrl = gameList[num].url;
        if (!gameUrl) {
            const tips = { zh_Hans:'敬请期待',zh_Hant:'敬請期待',en:'' };
            popNewMessage(tips[getLang()]);
        
        } else {
            
            openGame(gameUrl,gameList[num].title,gameList[num].webviewName,gameList[num].screenMode);
        }
    }

    // 进入最近在玩的游戏
    public oftenGame(index:number) {
        this.goGame(index,this.state.oftenList);
    }

    // 进入推荐游戏
    public recommendGame(index:number) {
        this.goGame(index,this.state.recommend);
    }

    // 进入今日推荐游戏
    public todayGame() {
        this.goGame(0,this.state.recommendedToday);
    }

    // 进入全部游戏
    public payAllGame(index:number) {
        this.goGame(index,this.state.allGame);
    }

    // 进入热门游戏
    public popularGame(index:number) {
        this.goGame(index,this.state.popular);
    }
    
}

const STATE = {
    allGame:[],// 全部游戏
    popular:[],// 热门游戏
    recommend:[],// 推荐
    oftenList:[],// 最近在玩
    recommendedToday:[]// 今日推荐
};

// ========================================本地

const updateImagePath = (list: GameItem[]) => {
    for (const v of list) {
        v.img = v.img.map((t) => {
            const url = buildupImgPath(t);
            const last = url.indexOf('?') > -1 ? ('&' + Math.random()) :'';

            return `${url}${last}` ;
        });
    }

    return list;
};

const updateState = (r) => {
    STATE.allGame = updateImagePath(r.allGame);
    STATE.popular = updateImagePath(r.hotGame);
    STATE.recommend = updateImagePath(r.recommendGame);
    STATE.oftenList = updateImagePath(r.oftenGame);
    STATE.recommendedToday = r.recommendedToday.length ? updateImagePath(r.recommendedToday) : r.allGame.slice(0,1);
    forelet.paint(STATE);
};

// 监听游戏
register('game',(r) => {
    updateState(r);
});
// 断网重连后刷新图片
// registerStoreData('flags/offLine', () => {
//     updateState(STATE);
// });
