/**
 * wallet home asset list
 */
import { notify } from '../../../pi/widget/event';
import { Forelet } from '../../../pi/widget/forelet';
import { Widget } from '../../../pi/widget/widget';
import { calCurrencyLogoUrl, getCurrencyUnitSymbol, rippleShow } from '../../utils/tools';
import { KT_SHOW, SC_SHOW } from '../../config';
// ================================================导出
// tslint:disable-next-line:no-reserved-keywords
declare var module: any;
export const forelet = new Forelet();
export const WIDGET_NAME = module.id.replace(/\//g, '-');

interface Props {
    assetList: any[];
    redUp: boolean;
    currencyUnitSymbol: string;
}
export class WalletAssetList extends Widget {
    public props: any;

    public setProps(props: Props, oldProps: Props) {
        super.setProps(props, oldProps);
        this.props = {
            ...this.props,
            ktShow: KT_SHOW,
            scShow: SC_SHOW,
            currencyUnitSymbol: getCurrencyUnitSymbol()
        };
        this.props.assetList.map(item => {
            item.logo = calCurrencyLogoUrl(item.currencyName);
        });
    }
    public itemClick(e: any, index: number) {
        notify(e.node, 'ev-item-click', { index });
    }

    // 动画效果执行
    public onShow(e: any) {
        rippleShow(e);
    }

}
