import { dev_mode, DevMode } from '../config';

/**
 * config file
 */
export const config = {
    // 当前网络处于什么环境  dev--开发，prod--发布
    dev_mode,
    ProxyUrl: 'http://47.56.142.67/proxy',
    [DevMode.Ropsten]: {
        // https://api.blockcypher.com/v1/btc/main
        // http://192.168.31.57:3001/insight-api
        // tslint:disable-next-line:no-http-string
        BtcApiBaseUrl: 'http://47.108.197.206:3001/insight-api',
        BtcMarketPriceOracleUrl: 'https://api.coinmarketcap.com/v2/ticker/1/?convert=CNY',
        // http://192.168.33.115:8545       
        EthApiBaseUrl: 'https://ropsten.infura.io/v3/80991bc5817c42d4bf65b915303deb7a',
        EthMarketPriceOracleUrl: 'https://api.coinmarketcap.com/v2/ticker/1027/?convert=CNY',
        EthscanUrl: 'http://api-ropsten.etherscan.io/api?module=account&action=txlist&address=',
        EthscanTokenTransferEvent: 'https://api-ropsten.etherscan.io/api?module=account&action=tokentx'
    },
    [DevMode.Rinkeby]: {
        // https://api.blockcypher.com/v1/btc/main
        // http://192.168.31.57:3001/insight-api
        // tslint:disable-next-line:no-http-string
        BtcApiBaseUrl: 'http://47.108.197.206:3001/insight-api',
        BtcMarketPriceOracleUrl: 'https://api.coinmarketcap.com/v2/ticker/1/?convert=CNY',
        // https://rinkeby.infura.io/Y4zS49bjsYwtRU3Tt4Yj
        // http://192.168.33.115:8545       
        EthApiBaseUrl: 'https://ropsten.infura.io/v3/80991bc5817c42d4bf65b915303deb7a',
        EthMarketPriceOracleUrl: 'https://api.coinmarketcap.com/v2/ticker/1027/?convert=CNY',
        EthscanUrl: 'http://api-rinkeby.etherscan.io/api?module=account&action=txlist&address=',
        EthscanTokenTransferEvent: 'https://api-rinkeby.etherscan.io/api?module=account&action=tokentx'
    },
    [DevMode.Prod]: {
        BtcApiBaseUrl: 'https://insight.bitpay.com/insight-api',
        BtcMarketPriceOracleUrl: 'https://api.coinmarketcap.com/v2/ticker/1/?convert=CNY',
        EthApiBaseUrl: 'https://mainnet.infura.io/Y4zS49bjsYwtRU3Tt4Yj',
        EthMarketPriceOracleUrl: 'https://api.coinmarketcap.com/v2/ticker/1027/?convert=CNY',
        EthscanUrl: 'http://api.etherscan.io/api?module=account&action=txlist&address=',
        EthscanTokenTransferEvent: 'https://api.etherscan.io/api?module=account&action=tokentx'
    }
};

export const getEthApiBaseUrl = () => {
    let ETH_API_BASE_URL;
    if (config.dev_mode === DevMode.Ropsten) {
        ETH_API_BASE_URL = config[DevMode.Ropsten].EthApiBaseUrl;
    } else if (config.dev_mode === DevMode.Rinkeby) {
        ETH_API_BASE_URL = config[DevMode.Rinkeby].EthApiBaseUrl;
    } else if (config.dev_mode === DevMode.Prod) {
        ETH_API_BASE_URL = config[DevMode.Prod].EthApiBaseUrl;
    }

    return ETH_API_BASE_URL;
};