import { requestAsyncRpc } from '../../app/api/walletApi';
import { getModulConfig } from '../../app/public/config';
import { getUserInfo } from '../../app/utils/pureUtils';
import { openGame } from '../../app/view/play/home/gameConfig';
import { screenMode } from '../../pi/browser/webview';
import { registerStoreData } from '../../app/postMessage/listenerStore';

/**
 * 和钱包通信
 */

export const fetchModulConfig = (modulName: string) => {
    return getModulConfig(modulName);
};

// 获取用户信息
export const fetchUserInfo = () => {
    return getUserInfo();
};

/**
 * 通用的异步通信
 */
export const requestAsync = (msg: any): Promise<any> => {
    return requestAsyncRpc(msg);
};

// 打开新的webview
export const openWebview = (url: string, title: string, webviewName: string, mode: screenMode = screenMode.portrait) => {
    openGame(url, title, webviewName, mode)
}

// 监听钱包相关变化
export const registerWallet = (keyName: string, cb: Function) => {
    registerStoreData(keyName, cb);
}