/**
 * 隐私政策文本
 */
import { getLang } from '../../../pi/util/lang';

// tslint:disable-next-line:max-func-body-length
export const getPrivacyPolicy = () => {
    const privacyPolicy = {
        zh_Hans: `
钱包用户协议

尊敬的用户：
欢迎阅读钱包用户注册用户协议及隐私条款(以下简称“本协议”和“隐私条款”)，钱包中的数字钱包项目及周边相关产品及服务（以下简称“钱包”），第三方DApp包括第三方理财、游戏等相关产品及服务（以下简称“第三方DApp”），依据本协议为用户(以下称“用户”或“您”)提供服务。请用户仔细阅读以下全部内容，如用户通过注册程序同意本协议的，即表示用户与钱包已达成协议，自愿接受本服务条款的所有内容，本协议在您与钱包之间具有合同上的法律效力。此后，用户不得以未阅读本服务条款内容作任何形式的抗辩。

用户使用“钱包”相关服务之前，务必审慎阅读、充分理解本协议各条款内容，如果用户对本协议的任何条款表示异议，用户可以选择不下载、安装、注册、登录、使用(以下统称“使用”)钱包为用户提供的任何软件或服务。无论用户以何种方式使用钱包提供的任何软件服务，即视为用户已充分理解本协议并承诺作为本协议的一方当事人完全接受本协议包括隐私权政策在内的全部条款。

一、 关于本协议的确认与接纳
1. 您理解本协议及有关协议适用于钱包及钱包上所自主开发和拥有的去中心化应用（简称“DApp”）（排除第三方开发的DApp）。
2. 您下载钱包软件并创建或导入钱包，即视为您已经充分阅读并接受本协议全部条款，本协议立即生效，对双方具有约束力。
3. 钱包有权根据实际情况修改本协议的内容，并通过平台公布最新的协议。用户应不时地登录平台查看最新的协议，如用户不同意平台对协议所做的修改，应停止使用平台提供的服务。如用户继续使用平台服务或未主动终止服务，则视为用户同意按照修改后的协议履行用户相应的义务。
4. 如用户未满18周岁，请用户在法定监护人陪同下仔细阅读并充分理解本协议，并征得法定监护人的同意后下载/使用钱包相关软件或服务。

二、 定义
1. 钱包：本协议下文中，“钱包”既指钱包平台(包括但不限于APP、平台、H5、区块链资产本地钱包、云账户等服务、软件内游戏服务等)及钱包平台中的任一产品、服务平台。
2. 用户：
（1）用户必须是具备完全民事行为能力的自然人；
（2）若您为18周岁以下的未成年人使用钱包服务，需要在您父母或监护人的指导下使用钱包。无民事行为能力人使用钱包或限制民事行为能力人超过其民事权利或行为能力范围从事交易的，造成的一切后果，钱包有权要求您及您的父母或监护人负责。
3. 创建或导入钱包：指您使用钱包，确认履行本协议并创建或导入钱包的过程。
4. 钱包密码：指您在创建钱包过程中，软件操作界面提示您填写的密码，该密码用于加密保护私钥。作为去中心化的应用，钱包密码不存储在您的这台移动设备或钱包的服务器，一旦丢失你需要借助明文私钥或助记词重置新密码。
5. 信息提示：钱包软件操作界面涉及的信息提示内容，建议用户按照相关步骤进行操作。
6. 私钥：由256位0,1随机字符构成，是用户拥有并使用数字代币的核心。
7. 公钥：由私钥借助密码学原理单向推导生成，并用以生成区块链数字钱包地址，数字钱包地址即为公开收款地址。
8. 助记词：符合区块链BIP39 行业标准，由随机算法生成的12（或15/18/21/24）个有序单词组成。是私钥的易记录表现形式，方便用户备份保管。
9. 个人信息：指以电子或者其他方式记录的能够单独或者与其他信息结合识别用户个人身份的各种信息，包括但不限于自然人的姓名、出生日期、身份证件号码、个人生物识别信息、住址、电话号码、银行卡号、邮件地址、钱包地址、移动设备信息、操作记录、交易记录等，但不包括用户的钱包密码、私钥、助记词、Keystore。

三、 服务内容
1. 提供泛娱乐化的游戏内容以及对接第三方游戏项目提供相关产品及服务。
2．创建或导入钱包。对钱包支持的数字代币，您可以使用钱包生成新钱包或导入相关区块链系统的其它钱包工具生成的兼容钱包。
3. 转账、收款。您可以使用钱包的转账、收款功能进行数字代币的管理，即运用私钥进行电子签名，对相关区块链的账本进行修改。转账是指付款方利用收款方的区块链地址进行转账操作，实际的转账、收款行为均在相关区块链系统（而非钱包）发生。
4. 管理数字资产。您可以使用钱包添加、保管并移除钱包所支持的数字代币。
5. 浏览DApp。用户通过在钱包上的链接，可以跳转至DApp并使用该DApp（包括钱包自己的DApp和第三方DApp）提供的服务。
6. 交易记录。我们将通过区块链系统拷贝您全部或部分的交易记录。但交易记录以区块链系统的记载为准。
7. 暂停服务。您知悉基于区块链系统交易“不可撤销”的属性，我们不能为您暂停或撤销转账交易等操作，但在一定情况下，我们可以暂停或者限制某位用户对钱包软件的操作。
8. 其他钱包认为有必要提供的服务。
用户接受钱包提供的上述服务时应了解以下常见问题：
1. 秉承着区块链的去中心化特点，并为了保护用户的数字代币安全，钱包提供的是去中心化服务，大大区别于银行业金融机构。用户了解，钱包不提供以下服务：
（1）存储用户的钱包密码（即用户创建/导入钱包时设置的密码）、私钥、助记词；
（2）找回用户的钱包密码、私钥、助记词；
（3）冻结钱包；
（4）挂失钱包；
（5）恢复钱包；
（6）交易回滚。
2. 由于钱包不提供上述服务，因此用户应当自行保管含有钱包的移动设备、备份钱包、备份钱包密码、助记词、私钥及钱包。如用户遗失移动设备、删除且未备份钱包、删除且未备份钱包、钱包被盗或遗忘钱包密码、私钥、助记词、钱包，我们均无法还原钱包或找回钱包密码、私钥、助记词、钱包；如用户进行交易时误操作（例如输错转账地址），钱包亦无法取消交易。
3. 钱包上集成的DApp包括钱包自主拥有的DApp和第三方平台提供的DApp。对于第三方平台提供的DApp，钱包仅为用户进入DApp提供区块链浏览器。用户在第三方DApp上接受服务或进行交易前应自行判断和评估该第三方DApp提供的服务或交易是否存在风险。

四、 您的权利义务
（一）创建或导入钱包
1. 创建或导入钱包：您有权在您的移动设备上通过钱包创建和/或导入钱包，有权设定钱包的钱包密码等信息，并有权通过钱包应用程序，使用自己的钱包在区块链上进行转账和收款等交易。
2. 身份验证：按照有关法律法规和政策要求，特定用户在使用钱包提供的有关服务时，应当按照钱包的提示及时完成相关身份验证，要求您提交包括但不限于您的姓名、身份证号码、手机号码、银行卡号信息等个人信息。否则该特定用户将无法使用有关服务，因特定用户拖延造成的损失由您自行承担。
3. 钱包可能为不同的终端设备开发不同的软件版本，您应当根据实际需要选择下载合适的版本进行安装。如果您从未经合法授权的第三方获取本软件或与本软件名称相同的安装程序，我们将无法保证该软件能否正常使用，也无法保证其安全性，因此造成的损失由您自行承担。
4. 本软件新版本发布后，旧版软件可能无法使用。钱包不保证旧版软件的安全性、继续可用性及提供相应的客户服务。请您随时核对并下载最新版本。
（二）使用
1. 用户应自行妥善保管移动设备、钱包密码、私钥、助记词、Keystore等信息。钱包不负责为用户保管以上信息。因您遗失移动设备、主动或被动泄露、遗忘钱包密码、私钥、助记词或遭受他人攻击、诈骗等所引起的一切风险、责任、损失、费用应由您自行承担。
2. 遵循信息提示。您了解并同意遵循钱包对您做出的信息提示，按照信息提示的内容进行操作，否则，由此引起的一切风险、责任、损失、费用等应由您自行承担。
3. 您知悉并理解钱包没有义务对链接的第三方DApp服务或交易履行尽职调查义务，您应当理性做出投资决策并自主承担相应的投资风险。
4. 积极完成身份验证。当钱包合理认为您的交易行为或交易情况出现异常的，或认为您的身份信息存在疑点的，或钱包认为应核对您身份证件或其他必要文件的情形时，请您积极配合钱包核对您的有效身份证件或其他必要文件，及时完成相关的身份验证。
5. 转账。
（1）您知悉对于钱包服务中您可使用的日计转账限额和笔数，可能因为您使用该转账服务时所处的国家/地区、监管要求、转账目的、钱包风险控制、身份验证等事由而不同。
（2）您理解基于区块链操作的“不可撤销”属性，当您使用钱包转账功能时，您应当自行承担因您操作失误而导致的后果（包括但不限于因您输错转账地址、您自身选择转账节点服务器的问题）。
（3）您知悉在使用钱包服务时，以下情况的出现可能导致转账“交易失败”或“打包超时”：
a) 钱包余额不足；
b) 交易矿工费不足；
c) 区块链执行合约代码失败；
d) 超出监管部门、钱包或法律法规规定的付款额度；
e) 网络、设备等技术故障；
f) 区块链网络拥堵、故障等原因引起交易被抛弃；
g) 您的地址或交易对方地址被识别为特殊地址, 如高风险地址、交易所地址、ICO 地址、Token地址等。
（4）您知悉钱包仅向您提供转账工具，在您使用钱包完成转账后，钱包即完成了当次服务的所有义务，钱包对其他纠纷争议，不负担任何义务。
6. 合法合规。
用户有权按照本协议约定接受钱包提供的服务。但是用户在使用钱包的服务时必须符合中国有关法规，不得在钱包的网页上、app端或者利用钱包的服务制作、复制、发布、传播以下信息:
a)违反宪法确定的基本原则的;
b)危害国家安全，泄露国家秘密，颠覆国家政权，破坏国家统一的;
c)损害国家荣誉和利益的;
d)煽动民族仇恨、民族歧视，破坏民族团结的;
e)破坏国家宗教政策，宣扬邪教和封建迷信的;
f)散布谣言，扰乱社会秩序，破坏社会稳定的;
G)散布淫秽、色情、赌博、暴力、恐怖或者教唆犯罪的;
H)侮辱或者诽谤他人，侵害他人合法权益的;
I)煽动非法集会、结社、游行、示威、聚众扰乱社会秩序的;
J)以非法民间组织名义活动的;
K)含有法律、行政法规禁止的其他内容的。
7. 公告通知。钱包会以网站公告、电子邮件、发送短信、电话、消息中心信息、弹窗提示或客户端通知等方式向您发送通知，例如通知您交易进展情况，或者提示您进行相关操作，请您及时予以关注。
8. 服务费用与纳税义务：
（1）钱包暂时不向您收取任何形式的服务费或手续费，将来需对某些服务进行收费时将另行约定或公布规则；
（2）您使用钱包进行转账时应支付矿工费，矿工费由相关区块链系统收取；
（3）您知悉在特定情况下，因为您所处的环境及网络状态不稳定，导致您的转账操作未完成时，亦会被相关区块链系统收取矿工费；
（4）您因在钱包进行交易而发生的所有应纳税负及其它方面的费用均由您负责支付。

五、 风险提示
1. 您了解并知悉，由于数字代币领域的法律法规政策尚未健全，该领域的数字代币可能会产生无法兑现、技术不稳定等重大风险。且数字代币的价格波动幅度远高于其他金融资产。我们谨慎提醒您应当根据自身财务状况和风险偏好，理性选择持有或处置任何一种数字代币。
2. 在使用钱包服务时，若您或您的相对方未遵从本协议或相关网站说明、交易、支付页面中之操作提示、规则，钱包并不保证交易会顺利完成，且钱包不承担损害赔偿责任。若发生前述情形，而款项已先行入账您的或您的交易方的钱包或第三方钱包，您理解区块链操作具有的“不可逆”属性，以及相关交易具有“不可撤销”的特征，由您及您的相对方自行承担相应的风险后果。
3. 在您使用钱包集成的第三方DApp服务或第三方游戏服务时，为了您的利益，钱包建议您仔细阅读本协议及钱包提示，了解交易对象及产品信息，谨慎评估风险后再采取行动。所有您在第三方DApp进行的交易行为系您的个人行为，有约束力的合同关系在您和您的相对方之间建立，与钱包无关。钱包对因您的交易行为所引起的一切风险、责任、损失、费用不承担任何责任。
4. 您在交易过程中应当自行判断对方是否为完全民事行为能力人并自行决定是否与对方进行交易或转账给对方等，且您自行承担与此相关的所有风险。
5. 在转账过程中，如果出现“交易失败”、“打包超时”等类似的异常信息提示时，您应通过相关区块链系统的官方途径或其他的区块链查询工具进行再次确认，以避免重复转账；否则，由此所引起的一切损失和费用应由您自行承担。
6. 您理解当您在钱包上创建或导入钱包之后，您的Keystore、私钥、助记词等信息仅存储在当前的这台移动设备中，不存储在钱包或钱包的服务器上。您可以按照钱包提供的操作指南采取同步钱包等方式更换移动设备。但若您未保存或备份钱包密码、私钥、助记词、Keystore等信息且在您移动设备丢失的情况下，您的数字代币将因此丢失，钱包无法为您找回，您需自行承担相应损失。若您在导出、保存或备份钱包密码、私钥、助记词、Keystore等信息的时候泄密，或保存或备份上述信息的设备或服务器被黑客攻击或控制等情况下，您的数字代币将因此丢失，钱包无法为您找回，您需自行承担相应损失。
7. 我们建议您在创建或导入钱包时对您钱包的钱包密码、私钥、助记词及Keystore等信息做好安全备份。我们提请您注意，请不要采用以下备份方式：截图、邮件、记事本、短信、微信、QQ等电子备份方式。我们建议您在纸质记事本上抄写助记词和Keystore等信息，同时您亦可将电子数据保管至密码管理器。
8. 我们建议您在安全的网络环境中使用钱包，确保您的移动设备没有越狱或Root， 以避免可能存在的安全隐患。
9. 请您在使用我们的服务过程中，警惕非钱包官方的诈骗行为。一旦发现此类行为，我们鼓励您第一时间告知我们。

六、 服务的变更、中断、终止
1. 您同意钱包为保证自主业务经营权可以暂时提供部分服务功能，或于将来暂停部分服务功能或开通新的服务功能。当任何功能减少或者增加或者变化时，只要您仍然使用钱包提供的服务，表示您仍然同意本协议或者本协议修正后的条款。
2. 为保护您的数字代币安全，尽量避免您在不具备区块链基础知识的前提下使用钱包而产生的误操作或由此带来的风险，我们建议您预先了解相关基础知识再使用钱包，以免造成不必要是的损失和风险。3. 您理解存在如下情形时，钱包将暂停提供服务：
（1）因设备、区块链系统维修、升级、故障和通信中断等技术原因而中断业务；
（2）因台风、地震、海啸、洪水、停电、战争或恐怖袭击等不可抗力因素，病毒、木马、黑客攻击、系统不稳定或政府行为等原因，造成钱包系统不能提供服务或钱包合理认为继续提供服务会有较大风险的；
（3）发生钱包无法控制或合理预见的其他情形。
3. 当您出现如下情况时，钱包可单方面中止或终止您使用钱包的部分或全部功能:
（1）用户死亡；
（2）盗用他人的钱包信息或移动设备；
（3）填写个人信息时提供虚假信息；
（4）拒绝钱包为提升钱包功能而发起的强制更新操作；
（5）将钱包用于违法或犯罪活动；
（6）妨碍其他用户正常使用；
（7）伪称钱包的工作人员或管理人员；
（8）攻击、侵入、更改或以任何其他方式威胁钱包计算机系统的正常运作；
（9）利用钱包宣传垃圾广告；
（10）散布谣言，损害钱包和钱包商誉；
（11）违法行为，其他违反本协议的行为，及钱包合理认为应当暂停功能的情形。
4. 当您与钱包之间的服务关系变更、中断、终止时，您仍有权在合理时间内导出您钱包等信息。

七、第三方服务
钱包所有产品和服务上可能包含了指向第三方网站的链接（以下简称“第三方网站”）。“第三方网站”非由钱包控制，对于任何“第三方网站”的内容，包含但不限于“第三方网站”内含的任何链接，或“第三方网站”的任何改变或更新，钱包均不予负责。“第三方网站”接收的网络传播或其它形式之传送，钱包不予负责。
钱包所有产品和服务上可能包含了指向第三方API或DAPP服务。第三方API或DAPP服务非由钱包控制。对于任何通过第三方API或DAPP进行的服务，在您使用钱包集成的第三方API或DApp服务时，请您仔细阅读本协议及APP提示，了解交易或服务对象及产品信息，谨慎评估风险后再采取行动。所有您在第三方API或DAPP进行的操作行为系您的个人行为，有约束力的合同关系在您和您的相对方之间建立，与钱包无关。钱包对因您的交易行为所引起的一切风险、责任、损失、费用不承担任何责任。

八、 您合法使用钱包服务的承诺
1. 您应遵守中华人民共和国相关法律法规及您所居住的国家或地区的法律法规，不得将钱包用于任何非法目的，也不得以任何非法方式使用钱包服务。
2. 您不得利用钱包从事违法或犯罪的行为，包括但不限于：
（1）反对宪法所确定的基本原则，危害国家安全、泄漏国家秘密、颠覆国家政权、破坏国家统一的；
（2）从事任何违法犯罪行为，包括但不限于洗钱、非法集资等；
（3）通过使用任何自动化程序、软件、引擎、网络爬虫、网页分析工具、数据挖掘工具或类似工具，接入钱包服务、收集或处理钱包所提供的内容，干预或试图干预任何用户或任何其他方式接入钱包服务的行为；
（4）提供赌博资讯或以任何方式引诱他人参与赌博；
（5）侵入他人钱包盗取数字代币；
（6）进行与交易对方宣称的交易内容不符的交易，或不真实的交易；
（7）从事任何侵害或可能侵害钱包服务系统、数据之行为；
（8）其他违法以及钱包有正当理由认为不适当的行为。
3. 您理解并同意，如因您违反有关法律（包括但不限于海关及税务方面的监管规定）或者本协议之规定，使钱包遭受任何损失、受到任何第三方的索赔或任何行政管理部门的处罚，您应对钱包进行赔偿，包括合理的律师费用。
4. 您承诺按时缴纳钱包的服务费用（如有），否则钱包有权暂停或中止对您提供的服务。

九、 隐私条款
1. 钱包十分重视对用户隐私的保护，相关隐私保护政策请参考钱包公布并不时更新的《钱包隐私政策》。

十、 免责及责任限制
1. 钱包仅对本协议中所列明的义务承担责任。
2. 您理解和同意，在法律所允许的范围内，钱包只能按照现有的技术水平和条件提供服务。因下列原因导致钱包无法正常提供服务，钱包不承担责任：
（1）钱包系统停机维护或升级；
（2）因台风、地震、洪水、雷电或恐怖袭击等不可抗力原因；
（3）您的移动设备软硬件和通信线路、供电线路出现故障的；
（4）您操作不当或未通过钱包授权或认可的方式使用钱包服务的；
（5）因病毒、木马、恶意程序攻击、网络拥堵、系统不稳定、系统或设备故障、通讯故障、电力故障、银行等原因或政府行为等原因；
（6）非因钱包的原因而引起的任何其它原因。
3. 钱包对以下情形不承担责任：
（1）因用户遗失移动设备、删除且未备份钱包、删除且未备份钱包、钱包被盗或遗忘钱包密码、私钥、助记词、Keystore而导致的数字代币丢失；
（2）因用户自行泄露钱包密码、私钥、助记词、Keystore，或借用、转让或授权他人使用自己的移动设备或钱包，或未通过钱包官方渠道下载钱包应用程序或其他不安全的方式使用钱包应用程序导致的数字代币丢失；
（3）因用户误操作（包括但不限于您输错转账地址、您自身选择转账节点服务器的问题）导致的数字代币丢失；
（4）因用户不理解区块链技术的性质而进行误操作导致的数字代币丢失；
（5）因时间滞后、区块链系统不稳定等原因导致钱包拷贝用户在区块链上的交易记录发生偏差；
（6）用户在第三方DApp上操作产生的风险和后果。
4. 您理解钱包仅作为您数字代币管理的工具。钱包不能控制第三方DApp提供的产品及服务的质量、安全或合法性，信息的真实性或准确性，以及相对方履行其在与您签订的协议项下的各项义务的能力。所有您在第三方DApp进行的交易行为系您的个人行为，有约束力的合同关系在您和您的相对方之间建立，与钱包无关。钱包提醒您应该通过自己的谨慎判断确定登录DApp及相关信息的真实性、合法性和有效性。您与任何第三方交易所产生的风险亦应由您自行承担。
5. 钱包可能同时为您及您的交易对手方提供服务，您同意对钱包可能存在的该等行为予以明确豁免任何实际或潜在的利益冲突，并不得以此来主张钱包在提供服务时存在法律上的瑕疵，也不因此而加重钱包的责任或注意义务。
6. 钱包不提供以下形式的保证：
（1）钱包服务将符合您的全部需求；
（2）您经由钱包服务取得的任何技术、产品、服务、资讯将符合您的期望；
（3）钱包从第三方交易所抓取的数字代币市场交易行情等信息的及时性、准确性、完整性、可靠性做出保证；
（4）您在钱包上的交易各方会及时履行其在与您达成的交易协议中各项义务。
7. 在任何情况下，钱包对本协议所承担的违约赔偿责任总额不超过0.1个以太币；或人民币500元，以较高的为准。
8. 您理解钱包仅作为用户管理数字代币、显示交易信息的工具，钱包不提供法律、税务或投资建议等服务。您应当自行向法律、税务、投资方面的专业人士寻求建议，且您在使用我们服务过程中所遭受的投资损失、数据损失等，钱包概不负责。
9. 您理解根据有关中国政策法规的要求，我们可能不时更改我们的用户准入标准，限定向某一特定群体提供服务的范围和方式等。

十一、 完整协议
1. 本协议由《钱包用户协议》、《钱包隐私政策》及钱包不时公布的各项规则（包括“帮助中心”的内容）组成。
2. 本协议部分内容被有管辖权的法院认定为违反或无效的，不因此影响其他内容的效力。
3. 本协议的任何译文版本仅为方便用户而提供，无意对本协议的条款进行修改。如果本协议的中文版本与非中文版本之间存在冲突，应以中文版本为准。

十二、 知识产权保护
1. 钱包是钱包开发并拥有知识产权的应用程序。 钱包中显示的任何内容（包括本协议、公告、文章、视频、音频、图片、档案、资讯、资料、商标或标识）的知识产权归钱包或第三方权利人所有。用户仅可为持有和管理数字代币之目的使用钱包应用程序及其中的内容。未经钱包或第三方权利人的事先书面同意，任何人不得擅自使用、修改、反向编译、复制、公开传播、改变、散布、发行或公开发表上述应用程序及内容。

十三、 法律适用与争议解决
1. 本协议及其修订版之效力、解释、变更、执行与争议解决均适用中华人民共和国法律，如无相关法律规定，则应当适用国际商业惯例和（或）行业惯例。
2. 若您和钱包之间发生任何纠纷或争议，首先应友好协商解决，协商不成的，任何一方可提交钱包所在地有管辖权的人民法院管辖。

十四、 其他
1. 如您是中华人民共和国以外用户，您需全面了解并遵守您所在司法辖区与使用钱包服务所有相关法律、法规及规则。
2. 您在使用钱包服务过程中，如遇到任何问题，您可以通过在钱包提交反馈等方式联系我们。客服QQ是：1422242813。
3. 请所有用户共同学习和遵守本用户协议，同时请及时关注更新的公告和软件版本。

2020年1月    
  


《钱包隐私政策》

尊敬的用户：
钱包非常重视对用户的个人隐私保护，作为钱包的运营方（以下简称“钱包”或“我们”）尊重并保护用户（以下简称“您”或“用户”）的隐私，钱包平台中的”数字钱包“功能及相关服务（以下简称”钱包“），第三方DApp包括第三方理财、游戏等相关产品及服务（以下简称“第三方DApp”），我们将按照本隐私政策(以下称“本政策”)收集、使用、共享和保护用户的个人信息。在用户使用钱包的产品及服务前，请用户仔细阅读并全面了解本政策。

如果用户是未成年人，用户的监护人需要仔细阅读本政策并同意用户依照本政策使用我们的产品及服务。当用户浏览、访问钱包平台及使用钱包平台中的任一产品或服务时，即表示用户已经同意我们按照本政策来收集、使用、共享和保护用户的个人信息。我们收集、使用、共享和保护用户的个人信息，是在遵守国家法律法规规定的前提下，出于向用户提供钱包平台中的产品及服务并不断提升产品及服务质量的目的，包括但不限于支持我们开展钱包平台中产品及服务相关的市场活动、完善现有产品及服务功能、开发新产品或新服务。请注意我们不时地会检查我们的政策，因此有关的措施会随之变化。请用户定期查看本页面，以确保对我们《隐私政策》最新版本始终保持了解。如果您不接受修改后的条款，请立即停止使用钱包，您继续使用钱包将被视为接受修改后的政策。经修改的政策一经在钱包上公布，立即自动生效。

钱包建议您在使用本产品（以下简称“钱包”）之前仔细阅读并理解本政策全部内容,本政策有关关键词定义与钱包《钱包用户协议》保持一致。

一、 我们收集您的哪些信息
请您知悉，我们收集您的以下信息是出于满足您在钱包服务需要的目的，且我们十分重视对您隐私的保护。在我们收集您的信息时，将严格遵守“合法、正当、必要”的原则。且您知悉，若您不提供我们服务所需的相关信息，您在钱包的服务体验可能因此而受到影响。
1. 我们将收集您的移动设备信息、操作记录、交易记录、钱包地址等个人信息。
2. 为满足您的特定服务需求，我们将收集您的姓名、银行卡号、手机号码、邮件地址等信息。
3. 您知悉：您在钱包上的钱包密码、私钥、助记词、Keystore并不存储或同步至钱包服务器。钱包不提供找回您的钱包密码、私钥、助记词、Keystore的服务。
4. 除上述内容之外，您知悉在您使用钱包特定功能时，我们将在收集您的个人信息前向您作出特别提示，要求向您收集更多的个人信息。如您选择不同意，则视为您放弃使用钱包该特定功能。
5. 当您跳转到第三方DApp后，第三方DApp会向您收集个人信息。钱包不持有第三方DApp向您收集的个人信息。
6. 在法律法规允许的范围内，钱包可能会在以下情形中收集并使用您的个人信息无需征得您的授权同意：
（1） 与国家安全、国防安全有关的；
（2） 与公共安全、公共卫生、重大公共利益有关的；
（3） 与犯罪侦查、起诉、审判和判决执行等有关的；
（4） 所收集的个人信息是您自行向社会公众公开的；
（5） 从合法公开披露的信息中收集您的个人信息，如合法的新闻报道，政府信息公开等渠道；
（6） 用于维护服务的安全和合规所必需的，例如发现、处理产品和服务的故障；
（7） 法律法规规定的其他情形。
7. 我们收集信息的方式如下：
（1） 您向我们提供信息。例如，您在“个人中心”页面中填写姓名、手机号码或银行卡号，或在反馈问题时提供邮件地址，或在使用我们的特定服务时，您额外向我们提供。
（2） 我们在您使用钱包的过程中获取信息，包括您移动设备信息以及您对钱包的操作记录等信息；
（3） 我们通过区块链系统，拷贝您全部或部分的交易记录。但交易记录以区块链系统的记载为准。

二、 我们如何使用您的信息
1. 我们通过您移动设备的唯一序列号，确认您与您的钱包的对应关系。
2. 我们将向您及时发送重要通知，如软件更新、用户协议及本政策条款的变更。
3. 我们通过收集您公开的钱包地址和提供的移动设备信息来处理您向我们提交的反馈。
4. 我们收集您的个人信息进行钱包内部审计、数据分析和研究等，以期不断提升我们的服务水平。
5. 依照《钱包用户协议》及钱包其他有关规定，钱包将利用用户信息对用户的使用行为进行管理及处理。
6. 法律法规规定及与监管机构配合的要求。

三、 您如何控制自己的信息
您在钱包中拥有以下对您个人信息自主控制权：
1. 您可以通过同步钱包的方式，将您的其他钱包导入钱包中，或者将您在钱包的钱包导入到其他数字代币管理钱包中。钱包将向您显示导入钱包的信息。
2. 您知悉您可以在“本地资产”版块内容修改您的数字通过代币种类、进行转账及收款等活动。
3. 您知悉当我们出于特定目的向您收集信息时，我们会提前给予您通知，您有权选择拒绝。但同时您知悉，当您选择拒绝提供有关信息时，即表示您放弃使用钱包的有关服务。
4. 您知悉，您及我们对于您交易记录是否公开并没有控制权，因为基于区块链交易系统的开源属性，您的交易记录在整个区块链系统中公开透明。
5. 您知悉当您使用钱包的功能跳转至第三方DApp之后，我们的《钱包用户协议》、《钱包隐私政策》将不再适用，针对您在第三方DApp上对您个人信息的控制权问题，我们建议您在使用第三方DApp之前详细阅读并了解其隐私规则和有关用户用户协议等内容。
6. 您有权要求我们更新、更改、删除您的有关信息。
7. 您知悉我们可以根据本政策第一条第6款的要求收集您的信息而无需获得您的授权同意。
四、 信息共享
1，共享我们对用户的个人信息承担保密义务，但用户授权我们在下列情况下将用户的信息与第三方共享:为了提升我们的产品及服务质量或向用户提供全新的产品及服务，我们会在关联公司内部共享用户的相关信息，也可能将我们收集的信息提供给第三方用于分析和统计;

如果用户通过钱包平台使用的某些产品及服务是由我们的合作伙伴提供的，或是由我们与合作伙伴或供应商共同提供的，我们将与其共享向用户提供相应产品及服务所必需的信息;为了与第三方开展联合推广活动，我们可能与其共享开展活动所必需的以及在活动过程中产生的相关信息;为了维护用户的合法权益，在协助处理与用户有关的交易纠纷或争议时，我们会向用户的交易相对方或存在利害关系的第三方提供解决交易纠纷或争议所必需的信息;根据法律法规的规定及商业惯例，我们需要接受第三方的审计或尽职调查时，可能向其提供用户的相关信息;根据法律法规的规定或行政机关、司法机构等有权机关要求，我们会向其提供用户的相关信息;

2，其他经用户同意或授权可以向第三方提供用户的个人信息的情况。我们仅会出于合法、正当、必要、特定、明确的目的共享用户的信息。对我们与之共享信息的公司、组织和个人，我们会与其签署严格的保密协定，要求他们按照我们的说明、本《隐私政策》以及其他任何相关的保密和安全措施来处理信息。
披露我们仅会在以下情况下，且采取符合业界标准的安全防护措施的前提下，才会披露用户的信息: 
（1） 事先获得您明确的同意或授权；
（2） 所收集的个人信息是您自行向社会公众公开的；
（3） 所收集的个人信息系从合法公开披露的信息中收集，如合法的新闻报道，政府信息公开等渠道；
（4） 与钱包的关联方共享，我们只会共享必要的用户信息，且受本隐私条款中所声明的目的的约束；
（5） 根据适用的法律法规、法律程序的要求、行政机关或司法机关的要求进行提供；
（6） 在涉及合并、收购时，如涉及到个人信息转让，钱包将要求个人信息接收方继续接受本政策的约束。

五、 信息的安全及保护
钱包将采用严格的安全制度以及行业通行的安全技术和程序来确保用户的个人信息不丢失、泄露、毁损或被滥用和变造;我们将使用安全技术和程序，来保护用户的个人信息不被未经授权的访问、使用;我们的员工及服务外包人员将受到保密协议的约束，同时还将受到数据信息的权限控制和操作监控。

请用户注意，任何安全系统都存在可能的及未知的风险。请用户理解，由于技术的限制以及风险防范的局限，即便我们已经尽量加强安全措施，也无法始终保证信息百分之百的安全。用户需要了解，用户接入平台服务所用的系统和通讯网络，有可能因我们可控范围外的情况而发生问题。

并且我们将与可能接触到用户的个人信息的我们的合作方及供应商等第三方签署保密协议并尽合理的努力督促其履行保密义务，但我们无法保证第三方一定会按照我们的要求采取保密措施，我们亦不对第三方的行为及后果承担任何责任。

1. 如钱包停止运营，钱包将及时停止继续收集您个人信息的活动，将停止运营的通知公告在钱包上，并对所持有的您的个人信息在合理期限内进行删除或匿名化处理。
2. 为了保护您的个人信息，钱包将采取数据安全技术措施，提升内部合规水平，增加内部员工信息安全培训，并对相关数据设置安全访问权限等方式安全保护您的隐私信息。

六、 年龄限制
我们建议:任何未成年人参加网上活动应事先取得家长或其法定监护人(以下简称"监护人")的同意。我们将根据国家相关法律法规的规定保护未成年人的相关信息。

我们建议未成年人应当让其父母或监护人阅读本《隐私政策》，并建议未成年人在提交信息之前寻求父母或监护人的同意和指导。

七、 免责声明
1. 请您注意，您通过钱包接入第三方DApp后，将适用该第三方DApp发布的隐私政策。该第三方DApp对您个人信息的收集和使用不为钱包所控制，也不受本政策的约束。钱包无法保证第三方DApp一定会按照钱包的要求采取个人信息保护措施。
2. 您应审慎选择和使用第三方DApp，并妥善保护好您的个人信息，钱包对其他第三方DApp的隐私保护不负任何责任。

八、 其他
1. 如您是中华人民共和国以外的用户，您需全面了解并遵守您所在司法辖区与使用钱包服务所有相关法律、法规及规则。
2. 您在使用钱包服务过程中，如遇到任何有关个人信息使用的问题，您可以通过在钱包提交反馈等方式联系我们，客服QQ是：1422242813。
3. 我们会适时修改本《隐私政策》的条款，该等修改构成本《隐私政策》的一部分。在该种情况下，如用户仍然继续使用平台服务的，即表示同意受经修订的本《隐私政策》的约束。我们鼓励用户在每次使用平台服务时都查阅我们的隐私政策。
最后，用户必须对用户的账号和密码信息负有保密义务。任何情况下，请小心妥善保管。

2020年1月`,
        zh_Hant: `
        錢包用戶協議

尊敬的用戶：
歡迎閱讀錢包用戶註冊用戶協議及隱私條款(以下簡稱“本協議”和“隱私條款”)，錢包中的數字錢包項目及周邊相關產品及服務（以下簡稱“錢包”），第三方DApp包括第三方理財、遊戲等相關產品及服務（以下簡稱“第三方DApp”），依據本協議為用戶(以下稱“用戶”或“您”)提供服務。請用戶仔細閱讀以下全部內容，如用戶通過註冊程序同意本協議的，即表示用戶與錢包已達成協議，自願接受本服務條款的所有內容，本協議在您與錢包之間具有合同上的法律效力。此後，用戶不得以未閱讀本服務條款內容作任何形式的抗辯。

用戶使用“錢包”相關服務之前，務必審慎閱讀、充分理解本協議各條款內容，如果用戶對本協議的任何條款表示異議，用戶可以選擇不下載、安裝、註冊、登錄、使用(以下統稱“使用” )錢包為用戶提供的任何軟件或服務。無論用戶以何種方式使用錢包提供的任何軟件服務，即視為用戶已充分理解本協議並承諾作為本協議的一方當事人完全接受本協議包括隱私權政策在內的全部條款。

一、 關於本協議的確認與接納
1. 您理解本協議及有關協議適用於錢包及錢包上所自主開發和擁有的去中心化應用（簡稱“DApp”）（排除第三方開發的DApp）。
2. 您下載錢包軟件並創建或導入錢包，即視為您已經充分閱讀並接受本協議全部條款，本協議立即生效，對雙方具有約束力。
3. 錢包有權根據實際情況修改本協議的內容，並通過平台公佈最新的協議。用戶應不時地登錄平台查看最新的協議，如用戶不同意平台對協議所做的修改，應停止使用平台提供的服務。如用戶繼續使用平台服務或未主動終止服務，則視為用戶同意按照修改後的協議履行用戶相應的義務。
4. 如用戶未滿18周歲，請用戶在法定監護人陪同下仔細閱讀並充分理解本協議，並徵得法定監護人的同意後下載/使用錢包相關軟件或服務。

二、 定義
1. 錢包：本協議下文中，“錢包”既指錢包平台(包括但不限於APP、平台、H5、區塊鏈資產本地錢包、雲賬戶等服務、軟件內游戲服務等)及錢包平台中的任一產品、服務平台。
2. 用戶：
（1）用戶必須是具備完全民事行為能力的自然人；
（2）若您為18周歲以下的未成年人使用錢包服務，需要在您父母或監護人的指導下使用錢包。無民事行為能力人使用錢包或限制民事行為能力人超過其民事權利或行為能力範圍從事交易的，造成的一切後果，錢包有權要求您及您的父母或監護人負責。
3. 創建或導入錢包：指您使用錢包，確認履行本協議並創建或導入錢包的過程。
4. 錢包密碼：指您在創建錢包過程中，軟件操作界面提示您填寫的密碼，該密碼用於加密保護私鑰。作為去中心化的應用，錢包密碼不存儲在您的這台移動設備或錢包的服務器，一旦丟失你需要藉助明文私鑰或助記詞重置新密碼。
5. 信息提示：錢包軟件操作界面涉及的信息提示內容，建議用戶按照相關步驟進行操作。
6. 私鑰：由256位0,1隨機字符構成，是用戶擁有並使用數字代幣的核心。
7. 公鑰：由私鑰借助密碼學原理單向推導生成，並用以生成區塊鏈數字錢包地址，數字錢包地址即為公開收款地址。
8. 助記詞：符合區塊鏈BIP39 行業標準，由隨機算法生成的12（或15/18/21/24）個有序單詞組成。是私鑰的易記錄表現形式，方便用戶備份保管。
9. 個人信息：指以電子或者其他方式記錄的能夠單獨或者與其他信息結合識別用戶個人身份的各種信息，包括但不限於自然人的姓名、出生日期、身份證件號碼、個人生物識別信息、住址、電話號碼、銀行卡號、郵件地址、錢包地址、移動設備信息、操作記錄、交易記錄等，但不包括用戶的錢包密碼、私鑰、助記詞、Keystore。

三、 服務內容
1. 提供泛娛樂化的遊戲內容以及對接第三方遊戲項目提供相關產品及服務。
2．創建或導入錢包。對錢包支持的數字代幣，您可以使用錢包生成新錢包或導入相關區塊鏈系統的其它錢包工俱生成的兼容錢包。
3. 轉賬、收款。您可以使用錢包的轉賬、收款功能進行數字代幣的管理，即運用私鑰進行電子簽名，對相關區塊鏈的賬本進行修改。轉賬是指付款方利用收款方的區塊鏈地址進行轉賬操作，實際的轉賬、收款行為均在相關區塊鏈系統（而非錢包）發生。
4. 管理數字資產。您可以使用錢包添加、保管並移除錢包所支持的數字代幣。
5. 瀏覽DApp。用戶通過在錢包上的鏈接，可以跳轉至DApp並使用該DApp（包括錢包自己的DApp和第三方DApp）提供的服務。
6. 交易記錄。我們將通過區塊鏈系統拷貝您全部或部分的交易記錄。但交易記錄以區塊鏈系統的記載為準。
7. 暫停服務。您知悉基於區塊鏈系統交易“不可撤銷”的屬性，我們不能為您暫停或撤銷轉賬交易等操作，但在一定情況下，我們可以暫停或者限制某位用戶對錢包軟件的操作。
8. 其他錢包認為有必要提供的服務。
用戶接受錢包提供的上述服務時應了解以下常見問題：
1. 秉承著區塊鏈的去中心化特點，並為了保護用戶的數字代幣安全，錢包提供的是去中心化服務，大大區別於銀行業金融機構。用戶了解，錢包不提供以下服務：
（1）存儲用戶的錢包密碼（即用戶創建/導入錢包時設置的密碼）、私鑰、助記詞；
（2）找回用戶的錢包密碼、私鑰、助記詞；
（3）凍結錢包；
（4）掛失錢包；
（5）恢復錢包；
（6）交易回滾。
2. 由於錢包不提供上述服務，因此用戶應當自行保管含有錢包的移動設備、備份錢包、備份錢包密碼、助記詞、私鑰及錢包。如用戶遺失移動設備、刪除且未備份錢包、刪除且未備份錢包、錢包被盜或遺忘錢包密碼、私鑰、助記詞、錢包，我們均無法還原錢包或找回錢包密碼、私鑰、助記詞、錢包；如用戶進行交易時誤操作（例如輸錯轉賬地址），錢包亦無法取消交易。
3. 錢包上集成的DApp包括錢包自主擁有的DApp和第三方平台提供的DApp。對於第三方平台提供的DApp，錢包僅為用戶進入DApp提供區塊鏈瀏覽器。用戶在第三方DApp上接受服務或進行交易前應自行判斷和評估該第三方DApp提供的服務或交易是否存在風險。

四、 您的權利義務
（一）創建或導入錢包
1. 創建或導入錢包：您有權在您的移動設備上通過錢包創建和/或導入錢包，有權設定錢包的錢包密碼等信息，並有權通過錢包應用程序，使用自己的錢包在區塊鏈上進行轉賬和收款等交易。
2. 身份驗證：按照有關法律法規和政策要求，特定用戶在使用錢包提供的有關服務時，應當按照錢包的提示及時完成相關身份驗證，要求您提交包括但不限於您的姓名、身份證號碼、手機號碼、銀行卡號信息等個人信息。否則該特定用戶將無法使用有關服務，因特定用戶拖延造成的損失由您自行承擔。
3. 錢包可能為不同的終端設備開發不同的軟件版本，您應當根據實際需要選擇下載合適的版本進行安裝。如果您從未經合法授權的第三方獲取本軟件或與本軟件名稱相同的安裝程序，我們將無法保證該軟件能否正常使用，也無法保證其安全性，因此造成的損失由您自行承擔。
4. 本軟件新版本發布後，舊版軟件可能無法使用。錢包不保證舊版軟件的安全性、繼續可用性及提供相應的客戶服務。請您隨時核對並下載最新版本。
（二）使用
1. 用戶應自行妥善保管移動設備、錢包密碼、私鑰、助記詞、Keystore等信息。錢包不負責為用戶保管以上信息。因您遺失移動設備、主動或被動洩露、遺忘錢包密碼、私鑰、助記詞或遭受他人攻擊、詐騙等所引起的一切風險、責任、損失、費用應由您自行承擔。
2. 遵循信息提示。您了解並同意遵循錢包對您做出的信息提示，按照信息提示的內容進行操作，否則，由此引起的一切風險、責任、損失、費用等應由您自行承擔。
3. 您知悉並理解錢包沒有義務對鏈接的第三方DApp服務或交易履行盡職調查義務，您應當理性做出投資決策並自主承擔相應的投資風險。
4. 積極完成身份驗證。當錢包合理認為您的交易行為或交易情況出現異常的，或認為您的身份信息存在疑點的，或錢包認為應核對您身份證件或其他必要文件的情形時，請您積極配合錢包核對您的有效身份證件或其他必要文件，及時完成相關的身份驗證。
5. 轉賬。
（1）您知悉對於錢包服務中您可使用的日計轉賬限額和筆數，可能因為您使用該轉賬服務時所處的國家/地區、監管要求、轉賬目的、錢包風險控制、身份驗證等事由而不同。
（2）您理解基於區塊鏈操作的“不可撤銷”屬性，當您使用錢包轉賬功能時，您應當自行承擔因您操作失誤而導致的後果（包括但不限於因您輸錯轉賬地址、您自身選擇轉賬節點服務器的問題）。
（3）您知悉在使用錢包服務時，以下情況的出現可能導致轉賬“交易失敗”或“打包超時”：
a) 錢包餘額不足；
b) 交易礦工費不足；
c) 區塊鏈執行合約代碼失敗；
d) 超出監管部門、錢包或法律法規規定的付款額度；
e) 網絡、設備等技術故障；
f) 區塊鍊網絡擁堵、故障等原因引起交易被拋棄；
g) 您的地址或交易對方地址被識別為特殊地址, 如高風險地址、交易所地址、ICO 地址、Token地址等。
（4）您知悉錢包僅向您提供轉賬工具，在您使用錢包完成轉賬後，錢包即完成了當次服務的所有義務，錢包對其他糾紛爭議，不負擔任何義務。
6. 合法合規。
用戶有權按照本協議約定接受錢包提供的服務。但是用戶在使用錢包的服務時必須符合中國有關法規，不得在錢包的網頁上、app端或者利用錢包的服務製作、複製、發布、傳播以下信息:
a)違反憲法確定的基本原則的;
b)危害國家安全，洩露國家秘密，顛覆國家政權，破壞國家統一的;
c)損害國家榮譽和利益的;
d)煽動民族仇恨、民族歧視，破壞民族團結的;
e)破壞國家宗教政策，宣揚邪教和封建迷信的;
f)散佈謠言，擾亂社會秩序，破壞社會穩定的;
G)散佈淫穢、色情、賭博、暴力、恐怖或者教唆犯罪的;
H)侮辱或者誹謗他人，侵害他人合法權益的;
I)煽動非法集會、結社、遊行、示威、聚眾擾亂社會秩序的;
J)以非法民間組織名義活動的;
K)含有法律、行政法規禁止的其他內容的。
7. 公告通知。錢包會以網站公告、電子郵件、發送短信、電話、消息中心信息、彈窗提示或客戶端通知等方式向您發送通知，例如通知您交易進展情況，或者提示您進行相關操作，請您及時予以關注。
8. 服務費用與納稅義務：
（1）錢包暫時不向您收取任何形式的服務費或手續費，將來需對某些服務進行收費時將另行約定或公佈規則；
（2）您使用錢包進行轉賬時應支付礦工費，礦工費由相關區塊鏈系統收取；
（3）您知悉在特定情況下，因為您所處的環境及網絡狀態不穩定，導致您的轉賬操作未完成時，亦會被相關區塊鏈系統收取礦工費；
（4）您因在錢包進行交易而發生的所有應納稅負及其它方面的費用均由您負責支付。

五、 風險提示
1. 您了解並知悉，由於數字代幣領域的法律法規政策尚未健全，該領域的數字代幣可能會產生無法兌現、技術不穩定等重大風險。且數字代幣的價格波動幅度遠高於其他金融資產。我們謹慎提醒您應當根據自身財務狀況和風險偏好，理性選擇持有或處置任何一種數字代幣。
2. 在使用錢包服務時，若您或您的相對方未遵從本協議或相關網站說明、交易、支付頁面中之操作提示、規則，錢包並不保證交易會順利完成，且錢包不承擔損害賠償責任。若發生前述情形，而款項已先行入賬您的或您的交易方的錢包或第三方錢包，您理解區塊鏈操作具有的“不可逆”屬性，以及相關交易具有“不可撤銷”的特徵，由您及您的相對方自行承擔相應的風險後果。
3. 在您使用錢包集成的第三方DApp服務或第三方遊戲服務時，為了您的利益，錢包建議您仔細閱讀本協議及錢包提示，了解交易對象及產品信息，謹慎評估風險後再採取行動。所有您在第三方DApp進行的交易行為系您的個人行為，有約束力的合同關係在您和您的相對方之間建立，與錢包無關。錢包對因您的交易行為所引起的一切風險、責任、損失、費用不承擔任何責任。
4. 您在交易過程中應當自行判斷對方是否為完全民事行為能力人並自行決定是否與對方進行交易或轉賬給對方等，且您自行承擔與此相關的所有風險。
5. 在轉賬過程中，如果出現“交易失敗”、“打包超時”等類似的異常信息提示時，您應通過相關區塊鏈系統的官方途徑或其他的區塊鏈查詢工具進行再次確認，以避免重複轉賬；否則，由此所引起的一切損失和費用應由您自行承擔。
6. 您理解當您在錢包上創建或導入錢包之後，您的Keystore、私鑰、助記詞等信息僅存儲在當前的這台移動設備中，不存儲在錢包或錢包的服務器上。您可以按照錢包提供的操作指南採取同步錢包等方式更換移動設備。但若您未保存或備份錢包密碼、私鑰、助記詞、Keystore等信息且在您移動設備丟失的情況下，您的數字代幣將因此丟失，錢包無法為您找回，您需自行承擔相應損失。若您在導出、保存或備份錢包密碼、私鑰、助記詞、Keystore等信息的時候洩密，或保存或備份上述信息的設備或服務器被黑客攻擊或控制等情況下，您的數字代幣將因此丟失，錢包無法為您找回，您需自行承擔相應損失。
7. 我們建議您在創建或導入錢包時對您錢包的錢包密碼、私鑰、助記詞及Keystore等信息做好安全備份。我們提請您注意，請不要採用以下備份方式：截圖、郵件、記事本、短信、微信、QQ等電子備份方式。我們建議您在紙質記事本上抄寫助記詞和Keystore等信息，同時您亦可將電子數據保管至密碼管理器。
8. 我們建議您在安全的網絡環境中使用錢包，確保您的移動設備沒有越獄或Root， 以避免可能存在的安全隱患。
9. 請您在使用我們的服務過程中，警惕非錢包官方的詐騙行為。一旦發現此類行為，我們鼓勵您第一時間告知我們。

六、 服務的變更、中斷、終止
1. 您同意錢包為保證自主業務經營權可以暫時提供部分服務功能，或於將來暫停部分服務功能或開通新的服務功能。當任何功能減少或者增加或者變化時，只要您仍然使用錢包提供的服務，表示您仍然同意本協議或者本協議修正後的條款。
2. 為保護您的數字代幣安全，盡量避免您在不具備區塊鏈基礎知識的前提下使用錢包而產生的誤操作或由此帶來的風險，我們建議您預先了解相關基礎知識再使用錢包，以免造成不必要是的損失和風險。 3. 您理解存在如下情形時，錢包將暫停提供服務：
（1）因設備、區塊鏈系統維修、升級、故障和通信中斷等技術原因而中斷業務；
（2）因颱風、地震、海嘯、洪水、停電、戰爭或恐怖襲擊等不可抗力因素，病毒、木馬、黑客攻擊、系統不穩定或政府行為等原因，造成錢包系統不能提供服務或錢包合理認為繼續提供服務會有較大風險的；
（3）發生錢包無法控製或合理預見的其他情形。
3. 當您出現如下情況時，錢包可單方面中止或終止您使用錢包的部分或全部功能:
（1）用戶死亡；
（2）盜用他人的錢包信息或移動設備；
（3）填寫個人信息時提供虛假信息；
（4）拒絕錢包為提升錢包功能而發起的強制更新操作；
（5）將錢包用於違法或犯罪活動；
（6）妨礙其他用戶正常使用；
（7）偽稱錢包的工作人員或管理人員；
（8）攻擊、侵入、更改或以任何其他方式威脅錢包計算機系統的正常運作；
（9）利用錢包宣傳垃圾廣告；
（10）散佈謠言，損害錢包和錢包商譽；
（11）違法行為，其他違反本協議的行為，及錢包合理認為應當暫停功能的情形。
4. 當您與錢包之間的服務關係變更、中斷、終止時，您仍有權在合理時間內導出您錢包等信息。

七、第三方服務
錢包所有產品和服務上可能包含了指向第三方網站的鏈接（以下簡稱“第三方網站”）。 “第三方網站”非由錢包控制，對於任何“第三方網站”的內容，包含但不限於“第三方網站”內含的任何鏈接，或“第三方網站”的任何改變或更新，錢包均不予負責。 “第三方網站”接收的網絡傳播或其它形式之傳送，錢包不予負責。
錢包所有產品和服務上可能包含了指向第三方API或DAPP服務。第三方API或DAPP服務非由錢包控制。對於任何通過第三方API或DAPP進行的服務，在您使用錢包集成的第三方API或DApp服務時，請您仔細閱讀本協議及APP提示，了解交易或服務對象及產品信息，謹慎評估風險後再採取行動。所有您在第三方API或DAPP進行的操作行為系您的個人行為，有約束力的合同關係在您和您的相對方之間建立，與錢包無關。錢包對因您的交易行為所引起的一切風險、責任、損失、費用不承擔任何責任。

八、 您合法使用錢包服務的承諾
1. 您應遵守中華人民共和國相關法律法規及您所居住的國家或地區的法律法規，不得將錢包用於任何非法目的，也不得以任何非法方式使用錢包服務。
2. 您不得利用錢包從事違法或犯罪的行為，包括但不限於：
（1）反對憲法所確定的基本原則，危害國家安全、洩漏國家秘密、顛覆國家政權、破壞國家統一的；
（2）從事任何違法犯罪行為，包括但不限於洗錢、非法集資等；
（3）通過使用任何自動化程序、軟件、引擎、網絡爬蟲、網頁分析工具、數據挖掘工具或類似工具，接入錢包服務、收集或處理錢包所提供的內容，干預或試圖干預任何用戶或任何其他方式接入錢包服務的行為；
（4）提供賭博資訊或以任何方式引誘他人參與賭博；
（5）侵入他人錢包盜取數字代幣；
（6）進行與交易對方宣稱的交易內容不符的交易，或不真實的交易；
（7）從事任何侵害或可能侵害錢包服務系統、數據之行為；
（8）其他違法以及錢包有正當理由認為不適當的行為。
3. 您理解並同意，如因您違反有關法律（包括但不限於海關及稅務方面的監管規定）或者本協議之規定，使錢包遭受任何損失、受到任何第三方的索賠或任何行政管理部門的處罰，您應對錢包進行賠償，包括合理的律師費用。
4. 您承諾按時繳納錢包的服務費用（如有），否則錢包有權暫停或中止對您提供的服務。

九、 隱私條款
1. 錢包十分重視對用戶隱私的保護，相關隱私保護政策請參考錢包公佈並不時更新的《錢包隱私政策》。

十、 免責及責任限制
1. 錢包僅對本協議中所列明的義務承擔責任。
2. 您理解和同意，在法律所允許的範圍內，錢包只能按照現有的技術水平和條件提供服務。因下列原因導致錢包無法正常提供服務，錢包不承擔責任：
（1）錢包系統停機維護或升級；
（2）因颱風、地震、洪水、雷電或恐怖襲擊等不可抗力原因；
（3）您的移動設備軟硬件和通信線路、供電線路出現故障的；
（4）您操作不當或未通過錢包授權或認可的方式使用錢包服務的；
（5）因病毒、木馬、惡意程序攻擊、網絡擁堵、系統不穩定、系統或設備故障、通訊故障、電力故障、銀行等原因或政府行為等原因；
（6）非因錢包的原因而引起的任何其它原因。
3. 錢包對以下情形不承擔責任：
（1）因用戶遺失移動設備、刪除且未備份錢包、刪除且未備份錢包、錢包被盜或遺忘錢包密碼、私鑰、助記詞、Keystore而導致的數字代幣丟失；
（2）因用戶自行洩露錢包密碼、私鑰、助記詞、Keystore，或借用、轉讓或授權他人使用自己的移動設備或錢包，或未通過錢包官方渠道下載錢包應用程序或其他不安全的方式使用錢包應用程序導致的數字代幣丟失；
（3）因用戶誤操作（包括但不限於您輸錯轉賬地址、您自身選擇轉賬節點服務器的問題）導致的數字代幣丟失；
（4）因用戶不理解區塊鏈技術的性質而進行誤操作導致的數字代幣丟失；
（5）因時間滯後、區塊鏈系統不穩定等原因導致錢包拷貝用戶在區塊鏈上的交易記錄發生偏差；
（6）用戶在第三方DApp上操作產生的風險和後果。
4. 您理解錢包僅作為您數字代幣管理的工具。錢包不能控制第三方DApp提供的產品及服務的質量、安全或合法性，信息的真實性或準確性，以及相對方履行其在與您簽訂的協議項下的各項義務的能力。所有您在第三方DApp進行的交易行為系您的個人行為，有約束力的合同關係在您和您的相對方之間建立，與錢包無關。錢包提醒您應該通過自己的謹慎判斷確定登錄DApp及相關信息的真實性、合法性和有效性。您與任何第三方交易所產生的風險亦應由您自行承擔。
5. 錢包可能同時為您及您的交易對手方提供服務，您同意對錢包可能存在的該等行為予以明確豁免任何實際或潛在的利益衝突，並不得以此來主張錢包在提供服務時存在法律上的瑕疵，也不因此而加重錢包的責任或註意義務。
6. 錢包不提供以下形式的保證：
（1）錢包服務將符合您的全部需求；
（2）您經由錢包服務取得的任何技術、產品、服務、資訊將符合您的期望；
（3）錢包從第三方交易所抓取的數字代幣市場交易行情等信息的及時性、準確性、完整性、可靠性做出保證；
（4）您在錢包上的交易各方會及時履行其在與您達成的交易協議中各項義務。
7. 在任何情況下，錢包對本協議所承擔的違約賠償責任總額不超過0.1個以太幣；或人民幣500元，以較高的為準。
8. 您理解錢包僅作為用戶管理數字代幣、顯示交易信息的工具，錢包不提供法律、稅務或投資建議等服務。您應當自行向法律、稅務、投資方面的專業人士尋求建議，且您在使用我們服務過程中所遭受的投資損失、數據損失等，錢包概不負責。
9. 您理解根據有關中國政策法規的要求，我們可能不時更改我們的用戶准入標準，限定向某一特定群體提供服務的範圍和方式等。

十一、 完整協議
1. 本協議由《錢包用戶協議》、《錢包隱私政策》及錢包不時公佈的各項規則（包括“幫助中心”的內容）組成。
2. 本協議部分內容被有管轄權的法院認定為違反或無效的，不因此影響其他內容的效力。
3. 本協議的任何譯文版本僅為方便用戶而提供，無意對本協議的條款進行修改。如果本協議的中文版本與非中文版本之間存在衝突，應以中文版本為準。

十二、 知識產權保護
1. 錢包是錢包開發並擁有知識產權的應用程序。錢包中顯示的任何內容（包括本協議、公告、文章、視頻、音頻、圖片、檔案、資訊、資料、商標或標識）的知識產權歸錢包或第三方權利人所有。用戶僅可為持有和管理數字代幣之目的使用錢包應用程序及其中的內容。未經錢包或第三方權利人的事先書面同意，任何人不得擅自使用、修改、反向編譯、複製、公開傳播、改變、散佈、發行或公開發表上述應用程序及內容。

十三、 法律適用與爭議解決
1. 本協議及其修訂版之效力、解釋、變更、執行與爭議解決均適用中華人民共和國法律，如無相關法律規定，則應當適用國際商業慣例和（或）行業慣例。
2. 若您和錢包之間發生任何糾紛或爭議，首先應友好協商解決，協商不成的，任何一方可提交錢包所在地有管轄權的人民法院管轄。

十四、 其他
1. 如您是中華人民共和國以外用戶，您需全面了解並遵守您所在司法轄區與使用錢包服務所有相關法律、法規及規則。
2. 您在使用錢包服務過程中，如遇到任何問題，您可以通過在錢包提交反饋等方式聯繫我們。客服QQ是：1422242813。
3. 請所有用戶共同學習和遵守本用戶協議，同時請及時關注更新的公告和軟件版本。
2020年1月
        
《錢包隱私政策》


尊敬的用戶：
錢包非常重視對用戶的個人隱私保護，作為錢包的運營方（以下簡稱“錢包”或“我們”）尊重並保護用戶（以下簡稱“您”或“用戶”）的隱私，錢包平台中的”數字錢包“功能及相關服務（以下簡稱”錢包“），第三方DApp包括第三方理財、遊戲等相關產品及服務（以下簡稱“第三方DApp”），我們將按照本隱私政策(以下稱“本政策”)收集、使用、共享和保護用戶的個人信息。在用戶使用錢包的產品及服務前，請用戶仔細閱讀並全面了解本政策。

如果用戶是未成年人，用戶的監護人需要仔細閱讀本政策並同意用戶依照本政策使用我們的產品及服務。當用戶瀏覽、訪問錢包平台及使用錢包平台中的任一產品或服務時，即表示用戶已經同意我們按照本政策來收集、使用、共享和保護用戶的個人信息。我們收集、使用、共享和保護用戶的個人信息，是在遵守國家法律法規規定的前提下，出於向用戶提供錢包平台中的產品及服務並不斷提升產品及服務質量的目的，包括但不限於支持我們開展錢包平台中產品及服務相關的市場活動、完善現有產品及服務功能、開發新產品或新服務。請注意我們不時地會檢查我們的政策，因此有關的措施會隨之變化。請用戶定期查看本頁面，以確保對我們《隱私政策》最新版本始終保持了解。如果您不接受修改後的條款，請立即停止使用錢包，您繼續使用錢包將被視為接受修改後的政策。經修改的政策一經在錢包上公佈，立即自動生效。

錢包建議您在使用本產品（以下簡稱“錢包”）之前仔細閱讀並理解本政策全部內容,本政策有關關鍵詞定義與錢包《錢包用戶協議》保持一致。

一、 我們收集您的哪些信息
請您知悉，我們收集您的以下信息是出於滿足您在錢包服務需要的目的，且我們十分重視對您隱私的保護。在我們收集您的信息時，將嚴格遵守“合法、正當、必要”的原則。且您知悉，若您不提供我們服務所需的相關信息，您在錢包的服務體驗可能因此而受到影響。
1. 我們將收集您的移動設備信息、操作記錄、交易記錄、錢包地址等個人信息。
2. 為滿足您的特定服務需求，我們將收集您的姓名、銀行卡號、手機號碼、郵件地址等信息。
3. 您知悉：您在錢包上的錢包密碼、私鑰、助記詞、Keystore並不存儲或同步至錢包服務器。錢包不提供找回您的錢包密碼、私鑰、助記詞、Keystore的服務。
4. 除上述內容之外，您知悉在您使用錢包特定功能時，我們將在收集您的個人信息前向您作出特別提示，要求向您收集更多的個人信息。如您選擇不同意，則視為您放棄使用錢包該特定功能。
5. 當您跳轉到第三方DApp後，第三方DApp會向您收集個人信息。錢包不持有第三方DApp向您收集的個人信息。
6. 在法律法規允許的範圍內，錢包可能會在以下情形中收集並使用您的個人信息無需徵得您的授權同意：
（1） 與國家安全、國防安全有關的；
（2） 與公共安全、公共衛生、重大公共利益有關的；
（3） 與犯罪偵查、起訴、審判和判決執行等有關的；
（4） 所收集的個人信息是您自行向社會公眾公開的；
（5） 從合法公開披露的信息中收集您的個人信息，如合法的新聞報導，政府信息公開等渠道；
（6） 用於維護服務的安全和合規所必需的，例如發現、處理產品和服務的故障；
（7） 法律法規規定的其他情形。
7. 我們收集信息的方式如下：
（1） 您向我們提供信息。例如，您在“個人中心”頁面中填寫姓名、手機號碼或銀行卡號，或在反饋問題時提供郵件地址，或在使用我們的特定服務時，您額外向我們提供。
（2） 我們在您使用錢包的過程中獲取信息，包括您移動設備信息以及您對錢包的操作記錄等信息；
（3） 我們通過區塊鏈系統，拷貝您全部或部分的交易記錄。但交易記錄以區塊鏈系統的記載為準。

二、 我們如何使用您的信息
1. 我們通過您移動設備的唯一序列號，確認您與您的錢包的對應關係。
2. 我們將向您及時發送重要通知，如軟件更新、用戶協議及本政策條款的變更。
3. 我們通過收集您公開的錢包地址和提供的移動設備信息來處理您向我們提交的反饋。
4. 我們收集您的個人信息進行錢包內部審計、數據分析和研究等，以期不斷提升我們的服務水平。
5. 依照《錢包用戶協議》及錢包其他有關規定，錢包將利用用戶信息對用戶的使用行為進行管理及處理。
6. 法律法規規定及與監管機構配合的要求。

三、 您如何控制自己的信息
您在錢包中擁有以下對您個人信息自主控制權：
1. 您可以通過同步錢包的方式，將您的其他錢包導入錢包中，或者將您在錢包的錢包導入到其他數字代幣管理錢包中。錢包將向您顯示導入錢包的信息。
2. 您知悉您可以在“本地資產”版塊內容修改您的數字通過代幣種類、進行轉賬及收款等活動。
3. 您知悉當我們出於特定目的向您收集信息時，我們會提前給予您通知，您有權選擇拒絕。但同時您知悉，當您選擇拒絕提供有關信息時，即表示您放棄使用錢包的有關服務。
4. 您知悉，您及我們對於您交易記錄是否公開並沒有控制權，因為基於區塊鏈交易系統的開源屬性，您的交易記錄在整個區塊鏈系統中公開透明。
5. 您知悉當您使用錢包的功能跳轉至第三方DApp之後，我們的《錢包用戶協議》、《錢包隱私政策》將不再適用，針對您在第三方DApp上對您個人信息的控制權問題，我們建議您在使用第三方DApp之前詳細閱讀並了解其隱私規則和有關用戶用戶協議等內容。
6. 您有權要求我們更新、更改、刪除您的有關信息。
7. 您知悉我們可以根據本政策第一條第6款的要求收集您的信息而無需獲得您的授權同意。
四、 信息共享
1，共享我們對用戶的個人信息承擔保密義務，但用戶授權我們在下列情況下將用戶的信息與第三方共享:為了提升我們的產品及服務質量或向用戶提供全新的產品及服務，我們會在關聯公司內部共享用戶的相關信息，也可能將我們收集的信息提供給第三方用於分析和統計;

如果用戶通過錢包平台使用的某些產品及服務是由我們的合作夥伴提供的，或是由我們與合作夥伴或供應商共同提供的，我們將與其共享向用戶提供相應產品及服務所必需的信息;為了與第三方開展聯合推廣活動，我們可能與其共享開展活動所必需的以及在活動過程中產生的相關信息;為了維護用戶的合法權益，在協助處理與用戶有關的交易糾紛或爭議時，我們會向用戶的交易相對方或存在利害關係的第三方提供解決交易糾紛或爭議所必需的信息;根據法律法規的規定及商業慣例，我們需要接受第三方的審計或盡職調查時，可能向其提供用戶的相關信息;根據法律法規的規定或行政機關、司法機構等有權機關要求，我們會向其提供用戶的相關信息;

2，其他經用戶同意或授權可以向第三方提供用戶的個人信息的情況。我們僅會出於合法、正當、必要、特定、明確的目的共享用戶的信息。對我們與之共享信息的公司、組織和個人，我們會與其簽署嚴格的保密協定，要求他們按照我們的說明、本《隱私政策》以及其他任何相關的保密和安全措施來處理信息。
披露我們僅會在以下情況下，且採取符合業界標準的安全防護措施的前提下，才會披露用戶的信息:
（1） 事先獲得您明確的同意或授權；
（2） 所收集的個人信息是您自行向社會公眾公開的；
（3） 所收集的個人信息係從合法公開披露的信息中收集，如合法的新聞報導，政府信息公開等渠道；
（4） 與錢包的關聯方共享，我們只會共享必要的用戶信息，且受本隱私條款中所聲明的目的的約束；
（5） 根據適用的法律法規、法律程序的要求、行政機關或司法機關的要求進行提供；
（6） 在涉及合併、收購時，如涉及到個人信息轉讓，錢包將要求個人信息接收方繼續接受本政策的約束。

五、 信息的安全及保護
錢包將採用嚴格的安全制度以及行業通行的安全技術和程序來確保用戶的個人信息不丟失、洩露、毀損或被濫用和變造;我們將使用安全技術和程序，來保護用戶的個人信息不被未經授權的訪問、使用;我們的員工及服務外包人員將受到保密協議的約束，同時還將受到數據信息的權限控制和操作監控。

請用戶注意，任何安全系統都存在可能的及未知的風險。請用戶理解，由於技術的限制以及風險防範的局限，即便我們已經盡量加強安全措施，也無法始終保證信息百分之百的安全。用戶需要了解，用戶接入平台服務所用的系統和通訊網絡，有可能因我們可控範圍外的情況而發生問題。

並且我們將與可能接觸到用戶的個人信息的我們的合作方及供應商等第三方簽署保密協議並儘合理的努力督促其履行保密義務，但我們無法保證第三方一定會按照我們的要求採取保密措施，我們亦不對第三方的行為及後果承擔任何責任。

1. 如錢包停止運營，錢包將及時停止繼續收集您個人信息的活動，將停止運營的通知公告在錢包上，並對所持有的您的個人信息在合理期限內進行刪除或匿名化處理。
2. 為了保護您的個人信息，錢包將採取數據安全技術措施，提升內部合規水平，增加內部員工信息安全培訓，並對相關數據設置安全訪問權限等方式安全保護您的隱私信息。

六、 年齡限制
我們建議:任何未成年人參加網上活動應事先取得家長或其法定監護人(以下簡稱"監護人")的同意。我們將根據國家相關法律法規的規定保護未成年人的相關信息。

我們建議未成年人應當讓其父母或監護人閱讀本《隱私政策》，並建議未成年人在提交信息之前尋求父母或監護人的同意和指導。

七、 免責聲明
1. 請您注意，您通過錢包接入第三方DApp後，將適用該第三方DApp發布的隱私政策。該第三方DApp對您個人信息的收集和使用不為錢包所控制，也不受本政策的約束。錢包無法保證第三方DApp一定會按照錢包的要求採取個人信息保護措施。
2. 您應審慎選擇和使用第三方DApp，並妥善保護好您的個人信息，錢包對其他第三方DApp的隱私保護不負任何責任。

八、 其他
1. 如您是中華人民共和國以外的用戶，您需全面了解並遵守您所在司法轄區與使用錢包服務所有相關法律、法規及規則。
2. 您在使用錢包服務過程中，如遇到任何有關個人信息使用的問題，您可以通過在錢包提交反饋等方式聯繫我們，客服QQ是：1422242813。
3. 我們會適時修改本《隱私政策》的條款，該等修改構成本《隱私政策》的一部分。在該種情況下，如用戶仍然繼續使用平台服務的，即表示同意受經修訂的本《隱私政策》的約束。我們鼓勵用戶在每次使用平台服務時都查閱我們的隱私政策。
最後，用戶必須對用戶的賬號和密碼信息負有保密義務。任何情況下，請小心妥善保管。

2020年1月`,
        en: ``
    };

    return privacyPolicy[getLang()];
};