/**
 * backup index
 */
import { popNew } from '../../../pi/ui/root';
import { Widget } from '../../../pi/widget/widget';
import { fetchModulConfig } from '../../logic/wrap';

interface Props {
    mnemonic: string;
    fragments: any[];
}
// tslint:disable-next-line:completed-docs
export class BackupIndex extends Widget {
    public ok: () => void;
    public setProps(props: Props) {
        this.props = {
            ...props,
            walletName: fetchModulConfig('WALLET_NAME')
        };
        super.setProps(this.props);
    }
    public backPrePage() {
        const props = { title: '确认备份', content: '确认您已经保留助记词或其它登录数据，下次登录需要重新导入钱包', sureText: '继续备份', cancelText: '等会再来' };
        popNew('blockchain-components-modalBox-modalBox', props, undefined, () => {
            this.ok && this.ok();
        });
    }

    public standardBackupClick() {
        popNew('blockchain-view-backup-backupMnemonicWordConfirm', { mnemonic: this.props.mnemonic }, () => {
            this.ok && this.ok();
        });
    }
    public fragmentsBackupClick() {
        popNew('blockchain-view-backup-shareMnemonic', { fragments: this.props.fragments }, () => {
            this.ok && this.ok();
        });
    }

    public whatIsMnemonic() {
        popNew('blockchain-view-backup-whatIsMnemonic');
    }
}