/**
 * receipt
 */
import { ShareToPlatforms, ShareType, SharePlatform } from '../../../pi/browser/shareToPlatforms';
import { popNew } from '../../../pi/ui/root';
import { getLang } from '../../../pi/util/lang';
import { Widget } from '../../../pi/widget/widget';
import { makeScreenShot } from '../../logic/native';
import { copyToClipboard, getCurrentAddrByCurrencyName, popNewMessage } from '../../utils/tools';

interface Props {
    currencyName: string;
    avatar: string;
}
export class Receipt extends Widget {
    public ok: () => void;
    public props: any;
    public language: any;
    public backPrePage() {
        this.ok && this.ok();
    }
    public setProps(props: Props, oldProps: Props) {
        super.setProps(props, oldProps);
        this.init();
    }
    public init() {
        this.language = this.config.value[getLang()];
        this.props = {
            ...this.props,
            fromAddr: getCurrentAddrByCurrencyName(this.props.currencyName)
        };
    }

    public copyClick() {
        copyToClipboard(this.props.fromAddr);
        popNewMessage(this.language.tips[0]);
    }

    public shareClick() {

    }

    public shareToWechat() {
        this.baseShare(SharePlatform.PLATFORM_WEBCHAT);
    }

    public shareToFriends() {
        this.baseShare(SharePlatform.PLATFORM_MOMENTS);
    }

    public shareToQQ() {
        this.baseShare(SharePlatform.PLATFORM_QQ);
    }

    public shareToQQSpace() {
        this.baseShare(SharePlatform.PLATFORM_QZONE);
    }

    private baseShare(platform: number) {
        makeScreenShot((result) => {
            ShareToPlatforms.shareScreenShot({
                success: (result) => { console.log('share success callback') },
                fail: (result) => { console.log('share fail callback') },
                platform: platform
            });
        }, (result) => {
            popNewMessage(this.language.tips[1]);
        });

    }
}