"use strict";

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

(function () {
    /**
    * 约定：
    *    在VM上，全局变量就是 pi_modules
    *    在webview上，全局变量就是 pi_sdk
    */
    if (navigator.userAgent.indexOf("JSVM_") >= 0) {
        window.pi_modules = window.pi_modules || {
            globalCallback: {}
        };
        pi_modules = window.pi_modules;
    } else {
        window.pi_sdk = {
            isSDK: true,
            // 全局回调函数
            globalCallback: {}
        };

        // 注：最后，构建系统会将这个变量定义为闭包变量，避免和pi库init的全局变量冲突。
        pi_modules = window.pi_sdk;
    }

    // 注：最后，构建系统会将这个变量定义为闭包变量，避免和pi库init的全局变量冲突。
    var _$define = undefined;

    var pi_modules;

    (function (gObject) {
        _$define = function _$define(name, func) {
            gObject[name] = {
                id: name,
                exports: {},
                buildFunc: func
            };
        };

        gObject.butil = {
            id: "butil",
            exports: {}
        };
        gObject.depend = {
            id: "depend",
            exports: {}
        };
        gObject.load = {
            id: "load",
            exports: {}
        };

        gObject.commonjs = {
            id: "commonjs",
            exports: undefined
        };
        gObject.commonjs.exports = function () {
            var exp = function exp() {};

            var relativePath = function relativePath(filePath, dir) {
                if (filePath.charCodeAt(0) !== 46) return filePath;
                var i = 0;
                var len = filePath.length;
                var j = dir.length - 1;
                if (dir.charCodeAt(j) !== 47) {
                    j = dir.lastIndexOf("/");
                }
                while (i < len) {
                    if (filePath.charCodeAt(i) !== 46) break;
                    if (filePath.charCodeAt(i + 1) === 47) {
                        // ./的情况
                        i += 2;
                        break;
                    }
                    if (filePath.charCodeAt(i + 1) !== 46 || filePath.charCodeAt(i + 2) !== 47) break;
                    // ../的情况
                    i += 3;
                    j = dir.lastIndexOf("/", j - 1);
                }
                if (i > 0) filePath = filePath.slice(i);
                if (j < 0) return filePath;
                if (j < dir.length - 1) dir = dir.slice(0, j + 1);
                return dir + filePath;
            };

            /**
             * 请求模块，返回该模块的exports对象
             */
            exp.require = function (modID, _fileMap, okCB) {
                if (Array.isArray(modID) && modID.length > 1) {
                    throw new Error("modID isn't much");
                }
                modID = Array.isArray(modID) ? modID[0] : modID;
                var mod = gObject[modID];
                if (!mod) {
                    throw new Error("invalid require: " + modID);
                }
                var func = mod.buildFunc;
                if (func) {
                    mod.buildFunc = undefined;
                    func(function (reqModName) {
                        var path = relativePath(reqModName, mod.id);
                        return path === mod.id ? mod.exports : exp.require(path);
                    }, mod.exports, mod);
                }
                if (okCB) {
                    okCB([mod.exports]);
                } else {
                    return mod.exports;
                }
            };
            return exp;
        }();

        gObject.ajax = {
            id: "ajax",
            exports: undefined
        };
        gObject.ajax.exports = function () {
            var exp = function exp() {};

            // ============================== 导出

            exp.RESP_TYPE_BIN = 'bin';
            exp.RESP_TYPE_JSON = 'json';
            exp.RESP_TYPE_TEXT = 'text';

            exp.REQ_TYPE_BIN = 'bin';
            exp.REQ_TYPE_JSON = 'json';
            exp.REQ_TYPE_TEXT = 'text';

            exp.ERR_ABORT = "ERR_ABORT";
            exp.ERR_TIMEOUT = "ERR_TIMEOUT";
            exp.ERR_ARGS = "ERR_ARGS";
            exp.ERR_NORMAL = "ERR_NORMAL";
            exp.ERR_LOCATION = "ERR_LOCATION";
            exp.ERR_JSON = "ERR_JSON";

            /**
             * @description URL增加随机参数
             * @example
             */
            exp.randomUrl = function (url /*:string*/) {
                return url.indexOf("?") > 0 ? url + "&" + Math.random() : url + "?" + Math.random();
            };

            /**
             * @description GET方法
             * @example
             */
            exp.get = function (url /*:string*/, headers /*:join*/, reqData /*:json|string*/, reqType, respType /*:string*/, callback /*:function*/, errorCallback /*:function*/, processCallback /*:function*/) {
                var onsuccess = function onsuccess(data) {
                    if (respType === exp.RESP_TYPE_BIN) {
                        callback(base64js.toByteArray(data));
                    } else {
                        callback(data);
                    }
                };
                return exp.request('GET', url, headers, reqData, reqType, respType, onsuccess, errorCallback, processCallback);
            };

            /**
             * @description POST方法
             * @example
             */
            exp.post = function (url /*:string*/, headers /*:join*/, reqData /*:string|ArrayBuffer|FormData*/, reqType, contentType /*:string*/, respType /*:string*/, callback /*:function*/, errorCallback /*:function*/, processCallback /*:function*/) {
                headers = headers || {};
                headers["Content-Type"] = contentType;
                var onsuccess = function onsuccess(data) {
                    if (respType === exp.RESP_TYPE_BIN) {
                        callback(base64js.toByteArray(data));
                    } else {
                        callback(data);
                    }
                };
                return exp.request('POST', url, headers, reqData, reqType, respType, onsuccess, errorCallback, processCallback);
            };

            /**
             * @description request方法
             * @example
             */
            exp.request = function (type /*:string*/, url /*:string*/, headers /*:join*/, reqData /*:string|ArrayBuffer*/, reqType, respType /*:string*/, callback /*:function*/, errorCallback /*:function*/, processCallback /*:function*/) {
                if (callback === undefined) {
                    callback = function callback() {};
                }
                if (errorCallback === undefined) {
                    errorCallback = function errorCallback() {};
                }
                if (processCallback === undefined) {
                    processCallback = function processCallback() {};
                }
                if (headers === undefined) {
                    headers = "";
                }
                if (reqData === undefined) {
                    reqData = "";
                }
                if (reqType === undefined) {
                    reqType = "";
                }
                if (respType === undefined) {
                    respType = "";
                }
                return JSVM.request(type, url, headers, reqData, reqType, respType, callback, errorCallback, processCallback);
            };

            return exp;
        }();

        gObject.store = {
            id: "store",
            exports: undefined
        };
        gObject.store.exports = function () {

            var exp = function exp() {};

            exp.ERR_READ = "ERR_READ";
            exp.ERR_WRITE = "ERR_WRITE";
            exp.ERR_DELETE = "ERR_DELETE";
            exp.ERR_ITERATE = "ERR_ITERATE";
            exp.ERR_CLEAR = "ERR_CLEAR";
            exp.ERR_INIT = "ERR_INIT";

            exp.check = function () {
                return true;
            };

            /**
             * 删除指定的数据库
             */
            exp.deleteDatabase = function (db, success, fail, complete) {
                if (success === undefined) {
                    success = function success() {};
                }
                if (fail === undefined) {
                    fail = function fail() {};
                }
                if (complete === undefined) {
                    complete = function complete() {};
                }
                var name = db.tabName;
                JSVM.store.delete(name, success, function (e) {
                    onerror(fail, ERR_DELETE, e);
                }, complete);
            };

            exp.create = function (dbName /*:string*/, tabName /*:string*/) {
                dbName = dbName || "_idb_db";
                tabName = tabName || "_idb_tab";
                return {
                    dbName: dbName,
                    tabName: dbName,
                    db: undefined
                };
            };

            /**
             * @description 初始化存储
             * @example
             */
            exp.init = function (db, success, fail, complete) {
                // 返回值类型1|类型2
                if (success === undefined) {
                    success = function success() {};
                }
                if (fail === undefined) {
                    fail = function fail() {};
                }
                if (complete === undefined) {
                    complete = function complete() {};
                }
                var name = db.tabName;
                JSVM.store.create(name, success, function (e) {
                    onerror(fail, exp.ERR_INIT, e);
                }, complete);
            };

            /**
             * @description 读取数据
             * @example
             */
            exp.read = function (db, key, success, fail, complete) {
                if (success === undefined) {
                    success = function success() {};
                }
                if (fail === undefined) {
                    fail = function fail() {};
                }
                if (complete === undefined) {
                    complete = function complete() {};
                }
                var onsuccess = function onsuccess(dh) {
                    success(dh.getContent());
                };
                exp.sread(db, key, onsuccess, fail, complete);
            };

            exp.sread = function (db, key, success, fail, complete) {
                if (success === undefined) {
                    success = function success() {};
                }
                if (fail === undefined) {
                    fail = function fail() {};
                }
                if (complete === undefined) {
                    complete = function complete() {};
                }
                var name = db.tabName;
                JSVM.store.read(name, key, success, function (e) {
                    onerror(fail, exp.ERR_READ, e);
                }, complete);
            };

            /**
             * @description 写入数据，如果键名存在则替换
             * @example
             */
            exp.write = function (db, key, data, success, fail, complete) {
                if (success === undefined) {
                    success = function success() {};
                }
                if (fail === undefined) {
                    fail = function fail() {};
                }
                if (complete === undefined) {
                    complete = function complete() {};
                }
                var name = db.tabName;
                JSVM.store.write(name, key, data, success, function (e) {
                    onerror(fail, exp.ERR_WRITE, e);
                }, complete);
            };

            /**
             * @description 删除数据
             * @example
             */
            exp.delete = function (db, key, success, fail, complete) {
                if (success === undefined) {
                    success = function success() {};
                }
                if (fail === undefined) {
                    fail = function fail() {};
                }
                if (complete === undefined) {
                    complete = function complete() {};
                }
                var name = db.tabName;
                JSVM.store.remove(name, key, success, function (e) {
                    onerror(fail, exp.ERR_DELETE, e);
                }, complete);
            };

            /**
             * @description 迭代
             * @example
             */
            exp.iterate = function (db, success, fail, complete) {
                if (success === undefined) {
                    success = function success() {};
                }
                if (fail === undefined) {
                    fail = function fail() {};
                }
                if (complete === undefined) {
                    complete = function complete() {};
                }
                var name = db.tabName;
                JSVM.store.iterate(name, function (data) {
                    var db = JSON.parse(data);
                    for (var r in db) {
                        if (success(r, db[r]) !== false) continue;
                    }
                }, function (e) {
                    onerror(fail, exp.ERR_ITERATE, e);
                }, complete);
            };

            /**
             * @description 清除存储
             * @example
             */
            exp.clear = function (db, success, fail, complete) {
                if (success === undefined) {
                    success = function success() {};
                }
                if (fail === undefined) {
                    fail = function fail() {};
                }
                if (complete === undefined) {
                    complete = function complete() {};
                }
                var name = db.tabName;
                JSVM.store.delete(name, function () {
                    JSVM.store.create(name, success, function () {}, complete);
                }, function (e) {
                    onerror(fail, exp.ERR_CLEAR, e);
                }, complete);
            };

            // ============================== 本地
            // 返回错误处理函数
            var onerror = function onerror(cb, type, e) {
                console.log(e);
                if (cb) {
                    cb({
                        error: type,
                        reason: e
                    });
                }
            };

            return exp;
        }();
    })(window.pi_sdk || window.pi_modules);
    _$define("util/webview", function (require, exports, module) {
        "use strict";

        var webview_1 = require("../pi/browser/webview");
        /**
         * 最小化webview
         */
        exports.minimize = function (name) {
            webview_1.WebViewManager.minWebView(name, '');
        };
        /**
         * 关闭指定的webview
         */
        exports.closeWebview = function (name) {
            webview_1.WebViewManager.close(name);
        };
    });
    _$define("util/tools", function (require, exports, module) {
        "use strict";

        var webview_1 = require("../pi/browser/webview");
        var config_1 = require("./config");
        /**
         * 与 VM 通信
         * @param methodName method
         * @param params params
         * @param cb callback
         */
        exports.jsvmRPC = function (methodName, params, cb) {
            var rpcData = {
                moduleName: config_1.sdkConfig.jsApi,
                methodName: methodName,
                params: [params, cb]
            };
            webview_1.WebViewManager.rpc('JSVM', rpcData);
        };
        /**
         * 选择按钮
         */
        exports.buttonModInit = function () {
            if (config_1.sdkConfig.buttonMod === config_1.ButtonMods.SpotButton) {
                // 可拖动悬浮框 三个点
                floatButtonInit();
            } else if (config_1.sdkConfig.buttonMod === config_1.ButtonMods.WxButton) {
                // 微信小程序悬浮框
                WxButtionInit();
            } else if (config_1.sdkConfig.buttonMod === config_1.ButtonMods.IconButton) {
                // 可拖动悬浮框 图标
                floatButtonInit2();
            } else {
                // 默认
                floatButtonInit();
            }
        };
        /**
         * 关闭弹框
         */
        exports.closePopBox = function () {
            var $root = document.querySelector('#pi-root');
            if ($root) {
                document.querySelector('body').removeChild($root);
            }
        };
        /**
         * 提示框
         */
        exports.popNewMessage = function (msg) {
            var $message = document.createElement('div');
            $message.setAttribute('class', 'pi-message message-fade-enter');
            $message.textContent = msg;
            var $body = document.querySelector('body');
            $body.appendChild($message);
            setTimeout(function () {
                $message.setAttribute('class', 'pi-message');
            }, 17);
            setTimeout(function () {
                $message.setAttribute('class', 'pi-message message-fade-enter');
                setTimeout(function () {
                    $body.removeChild($message);
                }, 300);
            }, 2000);
        };
        // 创建授权弹窗标签
        exports.createAuthorizeElementTag = function () {
            var htmlText = "\n        <div class=\"pi-update-box animated bounceInUp\">\n            <img src=\"" + config_1.sdkConfig.imgUrlPre + "rocket.png\" class=\"pi-update-rocket\" />\n            <div class=\"pi-update-content\">\n                <div class=\"pi-update-title\">\u60A8\u5C06\u83B7\u53D6\u4EE5\u4E0B\u6388\u6743</span></div>\n                <div class=\"pi-update-items\">\n                </div>\n            </div>\n            <div class=\"pi-btns\">\n                <div class=\"pi-cancel-btn\">\u53D6\u6D88</div>\n                <div class=\"pi-ok-btn\">\u786E\u5B9A</div>\n            </div>\n        </div>";
            var $mask = document.createElement('div');
            $mask.setAttribute('class', 'pi-mask');
            // tslint:disable-next-line:no-inner-html
            $mask.innerHTML = htmlText;
            var $root = document.createElement('div');
            $root.setAttribute('id', 'pi-root');
            $root.appendChild($mask);
            var $body = document.querySelector('body');
            $body.appendChild($root);
        };
        // 创建支付弹窗标签
        exports.createPayElementTag = function () {
            var htmlText = "\n        <div class=\"pi-update-box animated bounceInUp\">\n            <div class=\"pi-update-content\">\n                <div class=\"pi-pay-title\">\u786E\u8BA4\u652F\u4ED8</div>\n                <div class=\"pi-pay-content\">\n                    <div class=\"pi-pay-item\">\n                        <span>\u91D1\u989D\uFF1A</span><span id=\"pi_payCount\" class=\"pi-pay-num\">0.02ST</span>\n                    </div>\n                    <div class=\"pi-pay-item\">\n                        <span>\u53D1\u7ED9\uFF1A</span><span id=\"pi_payObject\" class=\"pi-pay-text\">LOL\u8D5B\u4E8B\u7ADE\u731C</span>\n                    </div>\n                    <div class=\"pi-pay-item\">\n                        <span>\u4F59\u989D\uFF1A</span><span id=\"pi_payBalance\" class=\"pi-pay-text\">12ST</span>\n                    </div>\n                    <div>\n                        <input class=\"pi-pay-input\" type=\"password\" placeholder=\"\u8F93\u5165\u5BC6\u7801\" name=\"\" id=\"pi_password\">\n                    </div>\n                </div>\n            </div>\n            <div class=\"pi-btns\">\n                <div class=\"pi-cancel-btn\">\u53D6\u6D88</div>\n                <div class=\"pi-ok-btn\">\u786E\u5B9A</div>\n            </div>\n        </div>";
            var $root = document.createElement('div');
            $root.setAttribute('class', 'pi-mask');
            // tslint:disable-next-line:no-inner-html
            $root.innerHTML = htmlText;
            var $body = document.querySelector('.pi-root');
            $body.appendChild($root);
            $body.style.display = 'flex';
        };
        // 创建加载弹窗标签
        exports.popNewLoading = function (loadingStr) {
            var htmlText = "\n        <div class=\"pi-loading-mask\">\n            <div class=\"pi-loading-spinner\">\n                <div class=\"loading-img\"></div>\n                <p class=\"pi-loading-text\">\n                    " + loadingStr + "\n                </p>\n            </div>\n        </div>";
            var $mask = document.createElement('div');
            $mask.setAttribute('class', 'pi-loading-mask');
            // tslint:disable-next-line:no-inner-html
            $mask.innerHTML = htmlText;
            var $root = document.createElement('div');
            $root.setAttribute('id', 'pi-root');
            $root.appendChild($mask);
            document.querySelector('body').appendChild($root);
        };
        /**
         * 密码弹框
         */
        exports.popInputBox = function (title, okCB, cancelCB) {
            createInputBoxElementTag(title);
            var $ok = document.querySelector('.pi-ok-btn');
            var $cancel = document.querySelector('.pi-cancel-btn');
            var $input = document.getElementById('pi_password');
            $ok.addEventListener('click', function () {
                exports.closePopBox();
                okCB && okCB($input.value);
            });
            $cancel.addEventListener('click', function () {
                cancelCB && cancelCB();
                exports.closePopBox();
            });
        };
        /**
         * 根据id获取buttonItem
         */
        var getButtonItemById = function getButtonItemById(id) {
            var index = config_1.sdkConfig.showButtons.findIndex(function (item) {
                return item.id === id;
            });
            return config_1.sdkConfig.showButtons[index];
        };
        // 创建设置免密弹窗标签
        var createInputBoxElementTag = function createInputBoxElementTag(title) {
            var htmlText = "\n        <div class=\"pi-update-box animated bounceInUp\">\n            <div class=\"pi-update-content\">\n                <div class=\"pi-pay-title\">" + title + "</div>\n                <div class=\"pi-pay-content\">\n                    <div>\n                        <input class=\"pi-pay-input\" type=\"password\" placeholder=\"\u8F93\u5165\u5BC6\u7801\" name=\"\" id=\"pi_password\">\n                    </div>\n                </div>\n            </div>\n            <div class=\"pi-btns\">\n                <div class=\"pi-cancel-btn\">\u53D6\u6D88</div>\n                <div class=\"pi-ok-btn\">\u786E\u5B9A</div>\n            </div>\n        </div>";
            var $mask = document.createElement('div');
            $mask.setAttribute('class', 'pi-mask');
            // tslint:disable-next-line:no-inner-html
            $mask.innerHTML = htmlText;
            var $root = document.createElement('div');
            $root.setAttribute('id', 'pi-root');
            $root.appendChild($mask);
            document.querySelector('body').appendChild($root);
        };
        /**
         * 悬浮框按钮样式1初始化
         */
        var floatButtonInit = function floatButtonInit() {
            console.log('floatButtonInit ---------floatButtonInit');
            var $floatButton = document.createElement('div');
            $floatButton.setAttribute('class', 'pi-float-button button-mod');
            // tslint:disable-next-line:no-inner-html
            $floatButton.innerHTML = "\n    <span class=\"pi-dot1\"></span>\n    <span class=\"pi-dot2\"></span>\n    <span class=\"pi-dot1\"></span>\n    ";
            //  <img src="${sdkConfig.imgUrlPre}redSpot.png" class="pi-float-redSpot"/>
            $floatButton.addEventListener('click', popNewPanel());
            document.querySelector('body').appendChild($floatButton);
            dragDom($floatButton);
        };
        /**
         * 微信小程序按钮样式初始化
         */
        var WxButtionInit = function WxButtionInit() {
            console.log('~!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!WxButtionInit');
            var $wxBtns = document.createElement('div');
            $wxBtns.setAttribute('class', 'pi-wx-btns button-mod');
            var $wxDots = document.createElement('div');
            $wxDots.setAttribute('class', 'pi-wx-dots');
            // tslint:disable-next-line:no-inner-html
            $wxDots.innerHTML = "<span class=\"pi-wx-dot1\"></span>\n      <span class=\"pi-wx-dot2\"></span>\n      <span class=\"pi-wx-dot1\"></span>";
            var $wxCircle = document.createElement('div');
            $wxCircle.setAttribute('class', 'pi-wx-circle');
            // tslint:disable-next-line:no-inner-html
            $wxCircle.innerHTML = "<div class=\"pi-wx-circle1\">\n          <div class=\"pi-wx-circle2\">\n          </div>\n      </div>";
            // 弹出底部框
            $wxDots.addEventListener('click', popNewPanel());
            // 关闭游戏
            var closeItem = getButtonItemById(config_1.ButtonId.ExitGame);
            $wxCircle.addEventListener('click', closeItem.clickCb);
            $wxBtns.appendChild($wxDots);
            $wxBtns.appendChild($wxCircle);
            document.querySelector('body').appendChild($wxBtns);
        };
        /**
         * 悬浮框按钮样式2初始化
         */
        var floatButtonInit2 = function floatButtonInit2() {
            console.log('floatButtonInit2 ---------floatButtonInit2');
            var $floatButton = document.createElement('div');
            $floatButton.setAttribute('class', 'pi-float-button button-mod');
            // tslint:disable-next-line:max-line-length
            $floatButton.setAttribute('style', 'position: absolute;top:133px;right: 0px; width:50px;height:50px;border-radius:50%;border:1px solid rgba(255,255,255,0.2);z-index: 99999;');
            // tslint:disable-next-line:no-inner-html
            $floatButton.innerHTML = "\n          <img src=\"" + config_1.sdkConfig.imgUrlPre + "wallet_logo.png\" style=\"width:100%;height:100%;border-radius:50%;\"/>\n          <img src=\"" + config_1.sdkConfig.imgUrlPre + "bubble.png\" style=\"border-radius:50%;position: absolute;width:100%;height:100%;top:0;left:0;\"/>\n      ";
            $floatButton.addEventListener('click', popNewPanel());
            document.querySelector('body').appendChild($floatButton);
            dragDom($floatButton);
        };
        /**
         * 弹出底部面板框
         */
        var popNewPanel = function popNewPanel() {
            return throttle(function () {
                var $bottomBox = document.createElement('div');
                $bottomBox.setAttribute('class', 'pi-bottom-box');
                $bottomBox.addEventListener('click', function (e) {
                    e.stopPropagation();
                    e.preventDefault();
                });
                config_1.sdkConfig.showButtons.forEach(function (item, index) {
                    if (!item.show) return;
                    var $bottomItem = document.createElement('div');
                    $bottomItem.setAttribute('class', 'pi-bottom-item');
                    $bottomItem.setAttribute('id', item.id);
                    var imgUrl = item.img;
                    var text = item.text;
                    if (item.id === config_1.ButtonId.FreeSecret) {
                        imgUrl = config_1.sdkConfig.freeSecret ? item.startImg : item.closeImg;
                        text = config_1.sdkConfig.freeSecret ? item.startText : item.closeText;
                    }
                    // tslint:disable-next-line:no-inner-html
                    if (item.redSpot) {
                        // tslint:disable-next-line:no-inner-html
                        $bottomItem.innerHTML = "<div class=\"pi-img-box\">\n                <img src=\"" + config_1.sdkConfig.imgUrlPre + imgUrl + "\" class=\"pi-item-img\"/>\n                <img src=\"" + config_1.sdkConfig.imgUrlPre + "redSpot.png\" class=\"pi-item-redSpot\"/>\n                </div>\n                  <div class=\"pi-text\">" + text + "</div>";
                    } else {
                        // tslint:disable-next-line:no-inner-html
                        $bottomItem.innerHTML = "<div class=\"pi-img-box\">\n                <img src=\"" + config_1.sdkConfig.imgUrlPre + imgUrl + "\" class=\"pi-item-img\"/>\n                </div>\n                  <div class=\"pi-text\">" + text + "</div>";
                    }
                    $bottomItem.addEventListener('click', function () {
                        throttle(item.clickCb)();
                        if (item.clickedClose) {
                            exports.closePopBox();
                        }
                    });
                    $bottomBox.appendChild($bottomItem);
                });
                // 获取相关CSS属性
                var getCss = function getCss(o, key) {
                    return o.currentStyle ? o.currentStyle[key] : document.defaultView.getComputedStyle(o, false)[key];
                };
                var bottomBox = document.querySelector('.pi-bottom-box');
                var floatBall = document.querySelector('.pi-float-button');
                var screenWidth = document.documentElement.clientWidth; // 屏幕宽度
                var floatBallLeft = parseFloat(getCss(floatBall, 'left'));
                if (bottomBox) {
                    document.querySelector('body').removeChild(bottomBox);
                } else {
                    document.querySelector('body').appendChild($bottomBox);
                    $bottomBox.style.top = parseFloat(floatBall.style.top ? floatBall.style.top : '100') - 5 + "px";
                }
                $bottomBox.addEventListener('click', function () {
                    // 获取相关CSS属性
                    if (floatBallLeft >= screenWidth / 2) {
                        // 左侧展开  右侧收回
                        $bottomBox.style.left = floatBallLeft - $bottomBox.clientWidth + "px";
                    } else {
                        // 右侧展开  左侧收回
                        $bottomBox.style.left = -floatBallLeft * 2 + "px";
                    }
                    setTimeout(function () {
                        document.querySelector('body').removeChild(document.querySelector('.pi-bottom-box'));
                    }, 300);
                });
                requestAnimationFrame(function () {
                    $bottomBox.style.top = parseFloat(floatBall.style.top) - 5 + "px";
                    if (floatBallLeft >= screenWidth / 2) {
                        // 左侧展开
                        $bottomBox.style.left = floatBallLeft - $bottomBox.clientWidth - 18 + "px";
                    } else {
                        // 右侧展开
                        $bottomBox.style.left = -floatBallLeft * 2 + 18 + "px";
                    }
                });
            });
        };
        /**
         * 函数防抖
         */
        var throttle = function throttle(func) {
            var intervel = 300;
            var lastTime = 0;
            return function () {
                var nowTime = +new Date();
                if (nowTime - lastTime > intervel) {
                    func && func();
                    lastTime = nowTime;
                }
            };
        };
        /**
         * 拖动悬浮框
         */
        var dragDom = function dragDom(element, callback) {
            var nowLeft = -1;
            var screenWidth = document.documentElement.clientWidth; // 屏幕宽度
            var screenHeigth = document.documentElement.clientHeight; // 屏幕高度
            var elementWidth = element.clientWidth;
            var elementHeight = element.clientHeight;
            var params = {
                left: 0,
                top: 0,
                currentX: 0,
                currentY: 0,
                leftLimit: screenWidth - elementWidth,
                topLimit: screenHeigth - elementHeight,
                flag: false
            };
            // 获取相关CSS属性
            var getCss = function getCss(o, key) {
                return o.currentStyle ? o.currentStyle[key] : document.defaultView.getComputedStyle(o, false)[key];
            };
            // 拖拽的实现
            if (getCss(element, 'left') !== 'auto') {
                params.left = getCss(element, 'left');
            }
            if (getCss(element, 'top') !== 'auto') {
                params.top = getCss(element, 'top');
            }
            // o是移动对象
            element.ontouchstart = function (event) {
                if (document.querySelector('.pi-bottom-box')) return;
                console.log('onmousedown');
                params.flag = true;
                event = event || window.event;
                params.currentX = event.changedTouches[0].clientX;
                params.currentY = event.changedTouches[0].clientY;
            };
            element.ontouchend = function () {
                console.log('onmouseup');
                if (nowLeft !== -1) {
                    var floatRed = document.querySelector('.pi-float-redSpot');
                    if (nowLeft < screenWidth / 2) {
                        // 左侧
                        nowLeft = -elementWidth / 3;
                        // 小红点存在则在右侧显示
                        if (floatRed) {
                            var floatWidth = document.querySelector('.pi-float-button').clientWidth;
                            floatRed.style.left = floatWidth - floatRed.clientWidth + "px";
                        }
                        element.style.left = nowLeft + "px";
                    } else {
                        // 右侧
                        var nowRight = -elementWidth / 3;
                        // 小红点存在则在左侧显示
                        if (floatRed) {
                            floatRed.style.left = '0px';
                        }
                        element.style.left = "auto";
                        element.style.right = nowRight + "px";
                    }
                    nowLeft = -1;
                }
                params.flag = false;
                if (getCss(element, 'left') !== 'auto') {
                    params.left = getCss(element, 'left');
                }
                if (getCss(element, 'top') !== 'auto') {
                    params.top = getCss(element, 'top');
                }
                callback && callback();
            };
            document.ontouchmove = function (event) {
                console.log('onmousemove');
                event = event || window.event;
                // tslint:disable-next-line:one-variable-per-declaration
                var nowX = event.changedTouches[0].clientX,
                    nowY = event.changedTouches[0].clientY;
                // tslint:disable-next-line:one-variable-per-declaration
                var disX = nowX - params.currentX,
                    disY = nowY - params.currentY;
                if (params.flag) {
                    nowLeft = parseInt(params.left, 10) + disX;
                    var nowTop = parseInt(params.top, 10) + disY;
                    nowLeft = nowLeft < 0 ? 0 : nowLeft > params.leftLimit ? params.leftLimit : nowLeft;
                    nowTop = nowTop < 0 ? 0 : nowTop > params.topLimit ? params.topLimit : nowTop;
                    element.style.left = nowLeft + "px";
                    element.style.top = nowTop + "px";
                }
            };
        };
        /**
         * 弹出框
         */
        exports.createModalBox = function (title, msg, btnName, okCB) {
            exports.closePopBox();
            var htmlText = "\n        <div class=\"pi-mask\">\n            <div class=\"modalBox-body animated bounceInUp\">\n                <div style=\"font-size: 40px;line-height: 56px;text-align: center;\">\n                    " + title + "\n                </div>\n                <div style=\"color: #888888;margin-bottom: 50px;font-size: 32px;padding-top: 40px;\">\n                    " + msg + "\n                </div>\n                <div class=\"pi-sure-btn\">\n                    " + btnName + "\n                </div>\n            </div>\n        </div>";
            var piRoot = document.createElement('div');
            piRoot.setAttribute('id', 'pi-root');
            // tslint:disable-next-line:no-inner-html
            piRoot.innerHTML = htmlText;
            document.body.appendChild(piRoot);
            document.querySelector('.pi-sure-btn').addEventListener('click', function () {
                exports.closePopBox();
                okCB && okCB();
            });
        };
    });
    _$define("util/signIn", function (require, exports, module) {
        "use strict";

        /**
         * 登录注册
         */

        var agreement_1 = require("./agreement");
        var config_1 = require("./config");
        var tools_1 = require("./tools");
        /**
         * 创建第三方登陆方式
         */
        var createOtherLogin = function createOtherLogin() {
            var otherLogin = ''; // 其他登陆方式
            if (config_1.sdkConfig.loginList.indexOf(config_1.LoginStyles.QQ) >= 0) {
                otherLogin += "<div class=\"column\" id=\"qqLogin\">\n            <img src=\"" + config_1.sdkConfig.imgUrlPre + "signIn_qq.png\" class=\"signInImg\"/>\n            <span>QQ\u767B\u5F55</span>\n        </div>";
            }
            if (config_1.sdkConfig.loginList.indexOf(config_1.LoginStyles.WeChat) >= 0) {
                otherLogin += "<div class=\"column\" id=\"wxLogin\">\n            <img src=\"" + config_1.sdkConfig.imgUrlPre + "signIn_wx.png\" class=\"signInImg\"/>\n            <span>\u5FAE\u4FE1\u767B\u5F55</span>\n        </div>";
            }
            if (config_1.sdkConfig.loginList.indexOf(config_1.LoginStyles.WeiBo) >= 0) {
                otherLogin += "<div class=\"column\" id=\"wbLogin\">\n            <img src=\"" + config_1.sdkConfig.imgUrlPre + "signIn_wb.png\" class=\"signInImg\"/>\n            <span>\u5FAE\u535A\u767B\u5F55</span>\n        </div>";
            }
            if (config_1.sdkConfig.loginList.indexOf(config_1.LoginStyles.Tourist) >= 0) {
                otherLogin += "<div class=\"column\" id=\"touristLogin\">\n            <img src=\"" + config_1.sdkConfig.imgUrlPre + "signIn_tourist.png\" class=\"signInImg\"/>\n            <span>\u6E38\u5BA2\u767B\u5F55</span>\n        </div>";
            }
            return otherLogin;
        };
        /**
         * 创建注册界面
         */
        exports.createSignInPage = function () {
            // 钱包背景层
            var walletBg = document.createElement('div');
            walletBg.setAttribute('style', "background-position: center;background-repeat: no-repeat;background-size: cover;background-image: url(" + config_1.sdkConfig.imgUrlPre + "haohaiLogin.jpg);width:100%;height:100%;");
            var elem = document.createElement('div');
            elem.classList.add('signIn_page');
            var title = "\n    <div class=\"title\">\n        <img src=\"" + config_1.sdkConfig.imgUrlPre + (config_1.sdkConfig.webviewName === config_1.DEFAULT_WEBVIEW ? 'left_arrow_white' : 'signIn_user') + ".png\" style=\"width: 50px;height:50px;margin-right:5px;\" id=\"" + (config_1.sdkConfig.webviewName === config_1.DEFAULT_WEBVIEW ? 'closeSignIn' : '') + "\" />\n        <span>\u767B\u5F55\u597D\u55E8</span>\n    </div>";
            var content = "\n    <div style=\"display:flex;align-items:center;flex-direction: column;margin-top:80px;\">\n        <div class=\"phoneInput\">\n            <img src=\"" + config_1.sdkConfig.imgUrlPre + "signIn_tel.png\" class=\"inputIcon\"/>\n            <input type=\"number\" class=\"pi_input_inner\" id=\"phoneInput\" autofocus=\"autofocus\" placeholder=\"\u624B\u673A\u53F7\"/>\n        </div>\n        <div class=\"codeBox\">\n            <div class=\"codeInput\">\n                <img src=\"" + config_1.sdkConfig.imgUrlPre + "signIn_pwd.png\" class=\"inputIcon\"/>\n                <input type=\"number\" class=\"pi_input_inner\" id=\"codeInput\" placeholder=\"\u9A8C\u8BC1\u7801\"/>\n            </div>\n            <div class=\"codeBtn\" id=\"countdown\">\u83B7\u53D6\u9A8C\u8BC1\u7801</div>\n        </div>\n        <div class=\"loginBtn\" id=\"phoneLogin\">\u6CE8\u518C\u5E76\u767B\u5F55</div>\n        <div class=\"noticeLog\">\n            <span>\u767B\u5F55\u5373\u4EE3\u8868\u60A8\u540C\u610F</span>\n            <span style=\"color:#4C90F5;\" id=\"userProtocol\">\u300A\u7528\u6237\u534F\u8BAE\u53CA\u9690\u79C1\u670D\u52A1\u300B</span>\n        </div>\n\n        <div class=\"row\">\n            <span class=\"divideLine\"></span>\n            <span>\u5176\u5B83\u767B\u5F55</span>\n            <span class=\"divideLine\"></span>\n        </div>\n\n        <div class=\"row\" style=\"justify-content: space-around;width: 610px;\" id=\"otherLoginStyle\">\n            " + createOtherLogin() + "\n        </div>\n    </div>\n    ";
            var userDiv = "\n    <div id=\"showProtocol\">\n\t    " + (!config_1.sdkConfig.isHorizontal ? '<div style="height: 40px;"></div>' : '') + "\n\t    <div class=\"tabBar\">        \n\t        <div class=\"protocolTopBar\" on-down=\"onShow\">\n\t            <img id=\"backIcon\" src=\"" + config_1.sdkConfig.imgUrlPre + "left_arrow_blue.png\"/>\n\t            <span on-tap=\"backPrePage\"  style=\"color: fff\">\u7528\u6237\u534F\u8BAE\u53CA\u9690\u79C1\u670D\u52A1</span>\n\t        </div>\n\t    </div>\n\t    <div class=\"protocolContent\">\n\t        <div class=\"protocolText\">" + (navigator.userAgent.indexOf('YINENG_ANDROID') >= 0 ? agreement_1.ANDROID_PROTOCOL : agreement_1.IOS_PROTOCOL) + "</div>\n\t    </div>   \n    </div>";
            // tslint:disable-next-line:no-inner-html
            elem.innerHTML = config_1.sdkConfig.isHorizontal ? content + userDiv : title + content + userDiv;
            var piRoot = document.createElement('div');
            piRoot.classList.add('pi-root');
            if (config_1.sdkConfig.webviewName === config_1.DEFAULT_WEBVIEW) {
                piRoot.appendChild(walletBg);
            }
            piRoot.appendChild(elem);
            document.body.appendChild(piRoot);
            document.querySelector('#phoneInput') && document.querySelector('#phoneInput').addEventListener('input', phoneChange);
            document.querySelector('#phoneInput') && document.querySelector('#phoneInput').addEventListener('keyup', phoneKeyup);
            document.querySelector('#countdown') && document.querySelector('#countdown').addEventListener('click', getCode);
            document.querySelector('#phoneLogin') && document.querySelector('#phoneLogin').addEventListener('click', phoneLogin);
            document.querySelector('#wxLogin') && document.querySelector('#wxLogin').addEventListener('click', wxLogin);
            document.querySelector('#qqLogin') && document.querySelector('#qqLogin').addEventListener('click', qqLogin);
            document.querySelector('#wbLogin') && document.querySelector('#wbLogin').addEventListener('click', wbLogin);
            document.querySelector('#touristLogin') && document.querySelector('#touristLogin').addEventListener('click', touristLogin);
            document.querySelector('#userProtocol') && document.querySelector('#userProtocol').addEventListener('click', userProtocol);
            document.querySelector('#backIcon') && document.querySelector('#backIcon').addEventListener('click', backPrePage);
            document.querySelector('#closeSignIn') && document.querySelector('#closeSignIn').addEventListener('click', exports.closeSigninPage);
        };
        // 手机号输入
        var phoneChange = function phoneChange(e) {
            var phone = e.target.value;
            if (phone.length > 11) {
                document.querySelector('#phoneInput').value = phone.substr(0, 11);
            }
        };
        var phoneKeyup = function phoneKeyup(e) {
            var phone = e.target.value;
            console.log(phone);
            document.querySelector('#phoneInput').value = phone.replace(/\D/g, '');
        };
        // 获取验证码倒计时
        var codeTimer = null;
        // 获取验证码
        var getCode = function getCode() {
            if (codeTimer) {
                return;
            }
            var phone = document.querySelector('#phoneInput').value;
            var reg = /^[1][3-8]\d{9}$|^([6|9])\d{7}$|^[0][9]\d{8}$|^[6]([8|6])\d{5}$/;
            if (!phone || !reg.test(phone)) {
                tools_1.popNewMessage('无效的手机号');
                return;
            }
            var countdown = 60;
            document.querySelector('#countdown').innerHTML = countdown + "s \u91CD\u65B0\u83B7\u53D6";
            codeTimer = setInterval(function () {
                countdown--;
                document.querySelector('#countdown').innerHTML = countdown + "s \u91CD\u65B0\u83B7\u53D6";
                if (countdown <= 0) {
                    document.querySelector('#countdown').innerHTML = "\u83B7\u53D6\u9A8C\u8BC1\u7801";
                    codeTimer && clearInterval(codeTimer);
                    codeTimer = null;
                }
            }, 1000);
            console.log('sendCode start');
            tools_1.jsvmRPC('sendCode', phone, function (error, res) {
                console.log("\u83B7\u53D6\u9A8C\u8BC1\u7801 " + error + " " + res);
                if (error) {
                    tools_1.popNewMessage('获取验证码失败');
                    codeTimer && clearInterval(codeTimer);
                    codeTimer = null;
                }
            });
        };
        // 手机号登录
        var phoneLogin = function phoneLogin() {
            var phone = document.querySelector('#phoneInput').value;
            var code = document.querySelector('#codeInput').value;
            if (!phone) {
                tools_1.popNewMessage('请输入手机号');
                return;
            }
            if (!code) {
                tools_1.popNewMessage('请输入验证码');
                return;
            }
            tools_1.popNewLoading('登录中');
            tools_1.jsvmRPC('thirdManualLogin', {
                userType: config_1.UserType.Tel,
                user: phone,
                pwd: code
            }, function (error, res) {
                tools_1.closePopBox();
                if (!error) {
                    tools_1.popNewMessage('登录成功');
                    exports.closeSigninPage();
                } else if (error === -301) {
                    tools_1.popNewMessage('验证码错误');
                } else if (error === -300) {
                    tools_1.popNewMessage('验证码超时');
                } else {
                    tools_1.popNewMessage("\u7F51\u7EDC\u9519\u8BEF" + JSON.stringify(error));
                }
            });
        };
        // 游客登录
        var touristLogin = function touristLogin() {
            tools_1.popNewLoading('登录中');
            tools_1.jsvmRPC('thirdManualLogin', {
                userType: config_1.UserType.Tourist,
                user: '',
                pwd: ''
            }, function (error, res) {
                tools_1.closePopBox();
                if (error) {
                    tools_1.popNewMessage("\u7F51\u7EDC\u9519\u8BEF" + JSON.stringify(error));
                } else {
                    tools_1.popNewMessage('登录成功');
                    exports.closeSigninPage();
                }
            });
        };
        // 第三方登录失败提示
        var thirdLoginNotice = function thirdLoginNotice(error) {
            tools_1.closePopBox();
            if (!error) {
                tools_1.popNewMessage('登录成功');
                exports.closeSigninPage();
            } else if (error && error.thirdErr === -1) {
                tools_1.popNewMessage('授权失败');
            } else if (error && error.thirdErr === -2) {
                tools_1.popNewMessage('取消登录');
            } else if (error && error.thirdErr === -7) {
                // 只有微信有这个返回值，使用mob后微信也没有这个返回值了
                tools_1.popNewMessage('未安装微信');
            } else {
                tools_1.popNewMessage("\u7F51\u7EDC\u9519\u8BEF" + JSON.stringify(error));
            }
        };
        // qq登录
        var qqLogin = function qqLogin() {
            tools_1.popNewLoading('登录中');
            tools_1.jsvmRPC('qqLogin', undefined, function (error, res) {
                thirdLoginNotice(error);
            });
        };
        // 微信登录
        var wxLogin = function wxLogin() {
            tools_1.popNewLoading('登录中');
            tools_1.jsvmRPC('wechatLogin', undefined, function (error, res) {
                thirdLoginNotice(error);
            });
        };
        // 微博登录
        var wbLogin = function wbLogin() {
            tools_1.popNewLoading('登录中');
            tools_1.jsvmRPC('wbLogin', undefined, function (error, res) {
                thirdLoginNotice(error);
            });
        };
        /**
         * 注册或登录成功后关掉注册页面
         */
        exports.closeSigninPage = function () {
            codeTimer && clearInterval(codeTimer);
            codeTimer = null;
            var piRoot = document.querySelector('.pi-root');
            if (piRoot) {
                document.querySelector('body').removeChild(piRoot);
            }
        };
        var userProtocol = function userProtocol() {
            document.querySelector('#showProtocol').style.display = 'block';
        };
        var backPrePage = function backPrePage() {
            document.querySelector('#showProtocol').style.display = 'none';
        };
        /**
         * 打开公告
         */
        exports.openBulletin = function () {
            var bulletin = document.createElement('div');
            var html = "\n        <div class=\"bulletin\">\n            <div class=\"bulletinTitle\">\u4ED9\u4E4B\u4FA0\u9053\u5168\u5E73\u53F0\u516C\u6D4B\u6B63</div>\n            <img src=\"" + config_1.sdkConfig.imgUrlPre + "close.png\" class=\"closeButton\"/>\n            <div class=\"bulletinContentBox\">\n                <div class=\"bulletinContent\">\u611F\u8C22\u60A8\u5BF9\u4ED9\u4E4B\u4FA0\u9053\u7684\u5173\u6CE8\u4E0E\u652F\u6301\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0E10\u67081\u65E5\u4E0A\u534810:00\u6B63\u5F0F\u5F00\u542F\u5168\u5E73\u53F0\u516C\u6D4B\u3002\u611F\u8C22\u60A8\u5BF9\u4ED9\u4E4B\u4FA0\u9053\u7684\u5173\u6CE8\u4E0E\u652F\u6301\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0E10\u67081\u65E5\u4E0A\u534810:00\u6B63\u5F0F\u5F00\u542F\u5168\u5E73\u53F0\u516C\u6D4B\u3002</div>\n                <div class=\"publisher\">\u4ED9\u4E4B\u4FA0\u9053 \u8FD0\u8425\u7EC4</div>\n                <div>2019-\u5E749\u670830\u65E5</div>\n            </div>\n        </>\n    ";
            // tslint:disable-next-line:no-inner-html
            bulletin.innerHTML = html;
            document.querySelector('body').appendChild(bulletin);
            var close = document.querySelector('.closeButton');
            close.addEventListener('click', function () {
                document.querySelector('body').removeChild(bulletin);
            });
        };
    });
    _$define("util/service", function (require, exports, module) {
        "use strict";

        /**
         * @param timeMS: 超时时间
         * @param autoInfo：JSON对象
         * @param callback(err, initData) 接口回调
         * @description autoInfo 结构{"webviewName" = "testWebView"}
         * @description initData 结构{"code" = 0,"autoToken" = "HA1284HWADry98"}
         */

        var hasCallBind = false;
        var callBackListen = void 0;
        exports.bindService = function (timeMS, autoInfo, callback) {
            var start = 0;
            var step = 100;
            if (hasCallBind) {
                callback({
                    code: -1,
                    reason: 'this webview has already bind'
                });
                return;
            }
            hasCallBind = true;
            callBackListen = callback;
            var handler = function handler() {
                if (!hasCallBind) {
                    return;
                }
                start += step;
                if (start > timeMS) {
                    console.log('bind vm timeout');
                    callback('bind vm timeout');
                    return;
                }
                if (callBackListen) {
                    if (navigator.userAgent.indexOf('ANDROID') >= 0) {
                        // Android
                        window.JSBridge.webViewBindService('pi_sdk', JSON.stringify(autoInfo));
                    } else if (navigator.userAgent.indexOf('IOS') >= 0) {
                        // ios
                        window.webkit.messageHandlers.BindService.postMessage('pi_sdk', JSON.stringify(autoInfo));
                    } else if (autoInfo.webviewName === 'wallet') {
                        // 钱包PC端
                        exports.onBindService(null, JSON.stringify(autoInfo));
                    }
                    setTimeout(handler, step);
                }
            };
            setTimeout(handler, step);
        };
        exports.unbindService = function (webViewName) {
            if (!hasCallBind) return;
            hasCallBind = false;
            window.JSBridge.unWebViewBindService(webViewName);
        };
        exports.onBindService = function (err, initData) {
            console.log('bind vm success');
            callBackListen && callBackListen(err, JSON.parse(initData));
            callBackListen = undefined;
        };
    });
    _$define("util/free_secret", function (require, exports, module) {
        "use strict";

        var config_1 = require("./config");
        var tools_1 = require("./tools");
        /**
         * 获取是否开启免密支付
         */
        exports.getFreeSecret = function () {
            console.log('getFreeSecret called');
            tools_1.jsvmRPC('querySetNoPassword', config_1.sdkConfig.appid, function (error, startFreeSecret) {
                console.log('getFreeSecret called callback', startFreeSecret);
                config_1.sdkConfig.freeSecret = startFreeSecret;
            });
        };
        // 第三方设置免密支付
        // openFreeSecret:设置免密支付状态  
        // 0:关闭，1:开启
        exports.setFreeSecrectPay = function (openFreeSecret) {
            tools_1.closePopBox();
            var title = openFreeSecret ? '设置免密支付' : '关闭免密支付';
            tools_1.popInputBox(title, function (value) {
                var sendData = {
                    appid: config_1.sdkConfig.appid,
                    noPSW: openFreeSecret ? 1 : 0,
                    password: value
                };
                tools_1.popNewLoading('设置中...');
                tools_1.jsvmRPC('setFreeSecrectPay', sendData, function (_resCode1, msg1) {
                    if (msg1) {
                        config_1.sdkConfig.freeSecret = !config_1.sdkConfig.freeSecret;
                        tools_1.popNewMessage('设置成功');
                    } else {
                        tools_1.popNewMessage('设置失败');
                    }
                    tools_1.closePopBox();
                });
            });
        };
    });
    _$define("util/cssTag", function (require, exports, module) {
        "use strict";

        /**
         * 创建CSS标签的方法
         */

        var config_1 = require("./config");
        /**
         * 悬浮框按钮样式
         */
        // tslint:disable-next-line:max-func-body-length
        exports.createThirdBaseStyle = function () {
            var cssText = "\n    .pi-message{\n        position: fixed;\n        left: 50%;\n        bottom: 150px;\n        border-radius: 6px;\n        background-color: rgba(0, 0, 0, 0.9);\n        line-height: 22.5px;\n        color: rgba(255, 255, 255, 0.87);\n        font-size: 16px;\n        text-align: center;\n        padding: 9px 12.5px;\n        transform: translateX(-50%);\n        opacity: 1;\n        z-index:99999;\n        transition: opacity .3s, transform .4s;\n    }\n    .message-fade-enter {\n      opacity: 1;\n      transform: translate(-50%,-100%);\n    }\n    .pi-float-button{\n      display: flex;\n      align-items: center;\n      justify-content: center;\n      width:40px;\n      height:40px;\n      background:rgba(0,0,0,0.2);\n      border-radius:50%;\n      border:1px solid rgba(255,255,255,0.2);\n      position: fixed;\n      top: 100px;\n      right:10px;\n      z-index:99999;\n    }\n    .pi-dot1{\n    width: 3.5px;\n    height: 3.5px;\n    background-color: #fff;\n    border-radius: 50%;\n    }\n    .pi-dot2{\n    width: 7.5px;\n    height: 7.5px;\n    background-color: #fff;\n    border-radius: 50%;\n    margin: 0 5px;\n    }\n  \n    .pi-wx-btns{\n      position:absolute;\n      top:20px;\n      right:10px;\n      background-color:rgba(0,0,0,0.2);\n      border-radius:16px;\n      border:1px solid rgba(255,255,255,0.2);\n      padding: 3.5px 10px;\n      display: inline-flex;\n      align-items: center;\n      z-index:99999;\n    }\n    .pi-wx-dots{\n        display: flex;\n        align-items: center;\n        width: 25px;\n        height: 25px;\n        justify-content: center;\n    }\n    .pi-wx-dot1{\n        width:3.5px;\n        height:3.5px;\n        background-color: #fff;\n        border-radius: 50%;\n    }\n    .pi-wx-dot2{\n        width:6.5px;\n        height:6.5px;\n        background-color: #fff;\n        border-radius: 50%;\n        margin: 0 2.5px;\n    }\n    .pi-wx-circle{\n        width:25px;\n        height:25px;\n        display: flex;\n        justify-content: center;\n        align-items: center;\n        margin-left: 17px;\n    }\n    .pi-wx-circle1{\n        background-color:rgba(0,0,0,0);\n        width:17px;\n        height:17px;\n        border: 2px solid #fff;\n        display: flex;\n        justify-content: center;\n        align-items: center;\n        border-radius: 50%;\n        box-sizing: border-box;\n    }\n    .pi-wx-circle2{\n        width:5px;\n        height:5px;\n        background-color: #fff;\n        border-radius: 50%;\n    }\n    .pi-bottom-box{\n        background:rgba(0,0,0,0.5);\n        border-radius:48px;\n        position: fixed;\n        display: flex;\n        flex-wrap: wrap;\n        transition: all .3s ease-in-out;\n        padding:0 15px;\n        z-index: 99999;\n    }\n    .pi-bottom-item{\n        display: flex;\n        width:25px;\n        flex-direction: column;\n        align-items: center;\n        margin: 5px;\n    }\n    .pi-img-box{\n        width: 25px;\n        height: 25px;\n        display: flex;\n        justify-content: center;\n        align-items: center;\n        position: relative;\n    }\n    .pi-item-img{\n        width: 25px;\n        height: 25px;\n    }\n    .pi-item-redSpot{\n        position: absolute;\n        top:0;\n        right:0;\n        width:8px;\n        height:8px;\n    }\n    .pi-float-redSpot{\n        position: absolute;\n        top:0;\n        left:0;\n        width:8px;\n        height:8px;\n    }\n    .pi-text{\n        font-size:12px;\n        margin-top: 2px;\n        color:rgba(255,255,255,1);\n    }\n    .bulletin{\n        width:300px;\n        height:225px;\n        background:rgba(0,0,0,0.6);\n        border-radius:6px;\n        position: fixed;\n        top:50%;\n        left:50%;\n        z-index:999999;\n        transform: translate(-50%, -50%);\n    }\n    .bulletinTitle{\n        width:148px;\n        heigth:50px;\n        line-height:50px;\n        font-size:18px;\n        font-family:SourceHanSansCN-Medium,SourceHanSansCN;\n        font-weight:500;\n        color:rgba(255,255,255,1);\n        overflow:hidden;\n        text-overflow:ellipsis;\n        white-space:nowrap;\n        margin: 0 auto;\n    }\n    .closeButton{\n        width:25px;\n        height:25px;\n        position:absolute;\n        top:10px;\n        right:12px;\n    }\n    .bulletinContentBox{\n        width:250px;\n        height:164px;\n        font-size:14px;\n        font-family:SourceHanSansCN-Normal,SourceHanSansCN;\n        font-weight:400;\n        color:rgba(255,255,255,1);\n        overflow-x:hidden;\n        overflow-y:auto;\n        line-height:20px;\n        margin: 0 auto;\n    }\n    .publisher{\n        margin-top: 26px;\n    }\n    ";
            var piRootCss = "#pi-root{" + browserAdaptive() + "}.pi-root{" + browserAdaptive() + "}";
            var style = document.createElement('style');
            style.type = 'text/css';
            // tslint:disable-next-line:no-inner-html
            style.innerHTML = piRootCss + cssText;
            document.getElementsByTagName('head')[0].appendChild(style);
        };
        /**
         * 第三方api样式
         */
        // tslint:disable-next-line:max-func-body-length
        exports.createThirdApiStyleTag = function () {
            var cssText = "\n    .pi-mask {\n    position: absolute;\n    top: 0;\n    bottom: 0;\n    right: 0;\n    left: 0;\n    background-color: rgba(50, 50, 50, 0.5);\n    display: flex;\n    justify-content: center;\n    align-items: center;\n    }\n    .pi-btns {\n    margin: 30px 40px 0;\n    display: flex;\n    justify-content: space-between;\n    align-items: center;\n    }\n    .pi-cancel-btn {\n    width: 220px;\n    height: 80px;\n    border-radius: 50px;\n    border: 1px dashed rgba(136, 136, 136, 1);\n    font-size: 32px;\n    color: #888;\n    display: flex;\n    justify-content: center;\n    align-items: center;\n    }\n    .pi-ok-btn {\n    width: 220px;\n    height: 80px;\n    background: linear-gradient(\n        270deg,\n        rgba(68, 206, 237, 1) 0%,\n        rgba(62, 179, 241, 1) 100%\n    );\n    box-shadow: 0px 5px 10px 0px rgba(13, 131, 246, 0.1);\n    border-radius: 50px;\n    font-size: 32px;\n    color: #fff;\n    display: flex;\n    justify-content: center;\n    align-items: center;\n    }\n    .pi-sure-btn{\n        border-top: 1px solid #CCCCCC;\n        padding: 30px;\n        text-align: center;\n        color: #3294E6;\n        font-size: 28px;\n        font-weight: 600;\n    }\n\n\n    /* \u83B7\u53D6openid */\n\n    .pi-update-box {\n    background-color: #fff;\n    background-image: url(" + config_1.sdkConfig.imgUrlPre + "update_bg.png);\n    background-repeat: no-repeat;\n    background-size: 100% 235px;\n    width: 630px;\n    border-radius: 12px;\n    padding-bottom: 30px;\n    position: relative;\n    }\n    .pi-update-rocket {\n    position: absolute;\n    left: 50%;\n    top: 0;\n    transform: translate3d(-50%, -30%, 0);\n    }\n    .pi-update-content {\n    padding: 20px 30px;\n    }\n    .pi-update-title {\n    margin-top: 250px;\n    font-size: 32px;\n    color: #111;\n    line-height: 45px;\n    }\n    .pi-update-items {\n    margin-top: 20px;\n    }\n    .pi-update-item {\n    font-size: 28px;\n    line-height: 40px;\n    color: #8e96ab;\n    }\n\n    /* \u652F\u4ED8 */\n    .pi-pay-title {\n        font-size:38px;\n        height: 90px;\n        text-align: center;\n        line-height: 90px;\n        border-bottom: 1px solid #CCCCCC;\n    }\n\n    .pi-pay-content {\n        padding-top: 20px;\n        font-size: 28px;\n    }\n\n    .pi-pay-item {\n        line-height: 40px;\n        height: 40px;\n        margin-bottom: 10px;\n    }\n    .pi-pay-text{\n        font-weight:500;\n    }\n    .pi-pay-num{\n        color: #318DE6;\n    }\n    .pi-pay-input{\n        height: 80px;\n        width: 100%;\n        border: 1px solid #1E6DEF;\n        background:rgba(249,249,249,1);\n        border-radius: 6px;\n        font-size: 32px;\n        padding: 0px 15px;\n        box-sizing: border-box;\n        letter-spacing: 2px;\n        margin-top: 15px;\n        outline:none;\n    }\n\n    /* \u52A0\u8F7D */\n    .pi-loading-mask{\n        position: absolute;\n        margin: 0;\n        top: 0;\n        right: 0;   \n        bottom: 0;\n        left: 0;\n        -webkit-transition: opacity .3s;\n        transition: opacity .3s;\n        color: #fff;\n        font-size: 24px;\n    }\n    .pi-loading-spinner{\n        width: 180px;\n        height: 180px;\n        background-color: rgba(0,0,0,.6);\n        top: 50%;\n        left: 50%;\n        text-align: center;\n        position: absolute;\n        transform: translate(-50%,-50%);\n        display: flex;\n        flex-direction: column;\n        justify-content: center;\n        align-items: center;\n        border-radius: 12px;\n        padding-top: 10px;\n    }\n    .loading-img{\n        width: 50px;\n        height: 50px;\n        border: 4px solid white;\n        border-bottom-color:transparent;\n        -webkit-animation: loading 1s 0s linear infinite;\n        animation: loading 1s 0s linear infinite;\n        opacity:1;\n        border-radius:50%;\n    }\n    .pi-loading-text{\n        color: #fff;\n        margin: 10px 0 20px;\n    }\n    .modalBox-body{\n        background-color: #fff;\n        padding: 30px;\n        padding-bottom: 0;\n        width: 570px;\n        border-radius: 12px;\n        box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.2);\n    }\n\n    /* \u52A8\u753B */\n    @-webkit-keyframes bounceInUp {\n    from,\n    60%,\n    75%,\n    90%,\n    to {\n        -webkit-animation-timing-function: cubic-bezier(\n        0.215,\n        0.61,\n        0.355,\n        1\n        );\n        animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);\n    }\n\n    from {\n        opacity: 0;\n        -webkit-transform: translate3d(0, 3000px, 0);\n        transform: translate3d(0, 3000px, 0);\n    }\n\n    60% {\n        opacity: 1;\n        -webkit-transform: translate3d(0, -20px, 0);\n        transform: translate3d(0, -20px, 0);\n    }\n\n    75% {\n        -webkit-transform: translate3d(0, 10px, 0);\n        transform: translate3d(0, 10px, 0);\n    }\n\n    90% {\n        -webkit-transform: translate3d(0, -5px, 0);\n        transform: translate3d(0, -5px, 0);\n    }\n\n    to {\n        -webkit-transform: translate3d(0, 0, 0);\n        transform: translate3d(0, 0, 0);\n    }\n    }\n\n    @keyframes bounceInUp {\n    from,\n    60%,\n    75%,\n    90%,\n    to {\n        -webkit-animation-timing-function: cubic-bezier(\n        0.215,\n        0.61,\n        0.355,\n        1\n        );\n        animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);\n    }\n\n    from {\n        opacity: 0;\n        -webkit-transform: translate3d(0, 3000px, 0);\n        transform: translate3d(0, 3000px, 0);\n    }\n\n    60% {\n        opacity: 1;\n        -webkit-transform: translate3d(0, -20px, 0);\n        transform: translate3d(0, -20px, 0);\n    }\n\n    75% {\n        -webkit-transform: translate3d(0, 10px, 0);\n        transform: translate3d(0, 10px, 0);\n    }\n\n    90% {\n        -webkit-transform: translate3d(0, -5px, 0);\n        transform: translate3d(0, -5px, 0);\n    }\n\n    to {\n        -webkit-transform: translate3d(0, 0, 0);\n        transform: translate3d(0, 0, 0);\n    }\n    }\n\n    @keyframes loading {\n    0% {\n        -webkit-transform: rotate(0deg);\n            transform: rotate(0deg); \n    }\n    100%{\n        -webkit-transform: rotate(360deg);\n                transform: rotate(360deg); \n    } \n    }\n\n    .bounceInUp {\n    -webkit-animation-name: bounceInUp;\n    animation-name: bounceInUp;\n    }\n    .animated {\n    -webkit-animation-duration: 1s;\n    animation-duration: 1s;\n    -webkit-animation-fill-mode: both;\n    animation-fill-mode: both;\n    }";
            var style = document.createElement('style');
            style.type = 'text/css';
            // tslint:disable-next-line:no-inner-html
            style.innerHTML = cssText;
            document.getElementsByTagName('head')[0].appendChild(style);
        };
        /**
         * 登录注册页的CSS
         */
        // tslint:disable-next-line:max-func-body-length
        exports.createSignInStyle = function () {
            var cssText = "\n    .signIn_page{\n        position: absolute;\n        top: 0;\n        bottom: 0;\n        left: 0;\n        right: 0;\n        background: rgba(0,0,0,0.5);\n    }\n    .title{\n        display: flex;\n        align-items: center;\n        font-size: 48px;\n        color: #fff;\n        margin: 100px 70px 0;\n    }\n    .phoneInput{\n        width:500px;\n        height:80px;\n        position: relative;\n    }\n    .pi_input_inner{\n        appearance:none;\n        -moz-appearance:none; /* Firefox */\n        -webkit-appearance:none; /* Safari \u548C Chrome */\n        background-color: #fff;\n        background-image: none;\n        border-radius: 4px;\n        border: none;\n        -webkit-box-sizing: border-box;\n        box-sizing: border-box;\n        display: inline-block;\n        font-size: inherit;\n        height: 100%;\n        line-height: 40px;\n        outline: 0;\n        -webkit-transition: border-color .2s cubic-bezier(.645,.045,.355,1);\n        transition: border-color .2s cubic-bezier(.645,.045,.355,1);\n        width: 100%;\n        padding: 10px;\n        padding-left: 70px;\n        color: #222;\n        font-size: 28px;\n    }\n    .pi_input_inner:focus{\n        border:3px solid rgba(66,133,244,1);\n    }\n    .codeBox{\n        display: flex;\n        margin-top: 20px;\n    }\n    .codeInput{\n        width:300px;\n        height:80px;\n        position: relative;\n    }\n    .codeBtn{\n        width:190px;\n        height:80px;\n        background:rgba(48,129,237,1);\n        border-radius:4px;\n        margin-left: 10px;\n        font-size:28px;\n        color:rgba(255,255,255,1);\n        line-height:80px;\n        text-align: center;\n    }\n    .loginBtn{\n        width:500px;\n        height:80px;\n        margin-top: 20px;\n        background:linear-gradient(90deg,rgba(86,204,242,1) 0%,rgba(47,128,237,1) 100%);\n        font-size: 32px;\n        text-align: center;\n        line-height: 80px;\n        color: #fff;\n    }\n    .noticeLog{\n        text-align: center;\n        height:33px;\n        font-size:24px;\n        color:rgba(136,136,136,1);\n        line-height:33px;\n        margin-top: 20px;\n        margin-bottom: 80px;\n    }\n    .row{\n        display: flex;\n        align-items:center;\n        color: #CCCCCC;\n        font-size: 24px;\n    }\n    .divideLine{\n        width:200px;\n        height:1px;\n        background:rgba(136,136,136,1);\n        margin: 30px;\n    }\n    .column{\n        display: flex;\n        flex-direction: column;\n        align-items: center;\n    }\n    .signInImg{\n        width: 100px;\n        height: 100px;\n        margin-bottom: 5px;\n    }\n    .inputIcon{\n        position: absolute;\n        top: 25px;\n        left: 20px;\n        width: 30px;\n        height: 30px;\n    },\n    .tabBar{\n        height: 88px;\n        width: 100%;\n        display: flex;\n        align-items: center;\n        justify-content: space-between;\n        position: relative;\n        color: #222;\n        box-sizing: border-box;\n    }\n    #showProtocol{\n        position: absolute;\n        left: 0;\n        top: 0;\n        bottom: 0;\n        right: 0;\n        background-color: #f9f9f9;\n        display:none\n    }\n    .protocolTopBar{\n        display: flex;\n        font-size: 28px;\n        align-items: center;\n        height:100px;\n    }\n    #backIcon{\n        width: 48px;\n        height: 48px;\n        margin: 0 15px;\n        border: 15px solid transparent;\n    }\n    .protocolContent{\n        height: 100%;\n        overflow-x: hidden;\n        overflow-y: auto;\n        -webkit-overflow-scrolling: touch;\n        scroll-behavior: smooth;\n    }\n    .protocolText{\n        font-size: 28px;\n        margin:10px 20px;\n        white-space: pre-wrap;\n        background: #ffffff;\n        border-radius: 12px;\n        padding:10px 30px;\n    }\n    ";
            var style = document.createElement('style');
            style.type = 'text/css';
            style.innerHTML = cssText;
            document.getElementsByTagName('head')[0].appendChild(style);
        };
        // ==================================本地
        /**
         * 自适应
         */
        var browserAdaptive = function browserAdaptive() {
            var cfg = {
                width: 750, height: 1334, wscale: 0, hscale: 0.25, full: false
            };
            if (config_1.sdkConfig.isHorizontal) {
                // 横屏游戏
                cfg = {
                    width: 1334, height: 750, wscale: 0.25, hscale: 0, full: false
                };
            }
            var clientWidth = document.documentElement.clientWidth;
            var clientHeight = document.documentElement.clientHeight;
            var rootWidth = cfg.width;
            var rootHeight = cfg.height;
            var scaleW = clientWidth / rootWidth;
            var scaleH = clientHeight / rootHeight;
            if (cfg.wscale >= cfg.hscale) {
                // 宽度比例变动
                if (scaleW > scaleH * (cfg.wscale + 1)) {
                    // 大于规定的比例
                    rootWidth = rootWidth * (cfg.wscale + 1) | 0;
                } else {
                    rootWidth = clientWidth / scaleH | 0;
                }
                scaleW = scaleH;
            } else {
                // 高度比例变动
                if (scaleH > scaleW * (cfg.hscale + 1)) {
                    rootHeight = rootHeight * (cfg.hscale + 1) | 0;
                } else {
                    rootHeight = clientHeight / scaleW | 0;
                }
                scaleH = scaleW;
            }
            var rootX = (clientWidth - rootWidth) / 2;
            var rootY = (clientHeight - rootHeight) / 2;
            // tslint:disable-next-line:max-line-length
            return "z-index:99999;user-select:none;position: fixed;overflow: hidden;left:" + rootX + "px;top: " + rootY + "px;width:" + rootWidth + "px;height:" + rootHeight + "px;-webkit-transform:scale(" + scaleW + "," + scaleH + ");-moz-transform:scale(" + scaleW + "," + scaleH + ");-ms-transform:scale(" + scaleW + "," + scaleH + ");transform:scale(" + scaleW + "," + scaleH + ");";
        };
    });
    _$define("util/config", function (require, exports, module) {
        "use strict";

        var tools_1 = require("./tools");
        var webview_1 = require("./webview");
        // 是否在APP中
        exports.IN_APP = navigator.userAgent.indexOf('YINENG') > -1;
        // 钱包webview的名字
        exports.DEFAULT_WEBVIEW = 'wallet';
        // button id定义
        var ButtonId;
        (function (ButtonId) {
            ButtonId[ButtonId["Invite"] = 0] = "Invite";
            ButtonId[ButtonId["Bulletin"] = 1] = "Bulletin";
            ButtonId[ButtonId["GameService"] = 2] = "GameService";
            ButtonId[ButtonId["OfficialGroup"] = 3] = "OfficialGroup";
            ButtonId[ButtonId["Divided"] = 4] = "Divided";
            ButtonId[ButtonId["Recharge"] = 5] = "Recharge";
            ButtonId[ButtonId["FreeSecret"] = 6] = "FreeSecret";
            ButtonId[ButtonId["Minimise"] = 7] = "Minimise";
            ButtonId[ButtonId["ExitGame"] = 8] = "ExitGame"; // 退出游戏
        })(ButtonId = exports.ButtonId || (exports.ButtonId = {}));
        // 其他登陆方式
        var LoginStyles;
        (function (LoginStyles) {
            LoginStyles["QQ"] = "qq";
            LoginStyles["WeChat"] = "wechat";
            LoginStyles["WeiBo"] = "weibo";
            LoginStyles["Tourist"] = "tourist";
        })(LoginStyles = exports.LoginStyles || (exports.LoginStyles = {}));
        // 按钮模式
        var ButtonMods;
        (function (ButtonMods) {
            ButtonMods[ButtonMods["SpotButton"] = 1] = "SpotButton";
            ButtonMods[ButtonMods["WxButton"] = 2] = "WxButton";
            ButtonMods[ButtonMods["IconButton"] = 3] = "IconButton"; // 图标 可拖动
        })(ButtonMods = exports.ButtonMods || (exports.ButtonMods = {}));
        // 用户类型
        var UserType;
        (function (UserType) {
            UserType[UserType["Wallet"] = 0] = "Wallet";
            UserType[UserType["Tel"] = 1] = "Tel";
            UserType[UserType["Wx"] = 2] = "Wx";
            UserType[UserType["Tourist"] = 3] = "Tourist";
            UserType[UserType["QQ"] = 4] = "QQ";
            UserType[UserType["Web"] = 5] = "Web"; // 微博
        })(UserType = exports.UserType || (exports.UserType = {}));
        /**
         * 授权状态
         */
        var AuthState;
        (function (AuthState) {
            AuthState[AuthState["NoAccount"] = -1] = "NoAccount";
            AuthState[AuthState["ServerErr"] = -2] = "ServerErr";
            AuthState[AuthState["Connecting"] = -3] = "Connecting";
            AuthState[AuthState["NetworkErr"] = -4] = "NetworkErr"; // 网络错误
        })(AuthState = exports.AuthState || (exports.AuthState = {}));
        // SDK 的一些常量
        exports.sdkConfig = {
            appid: '',
            jsApi: 'app/remote/js_api',
            imgUrlPre: 'http://app.highapp.com:81/wallet/app/res/image/third/',
            buttonMod: ButtonMods.SpotButton,
            webviewName: '',
            isHorizontal: false,
            loginList: [],
            freeSecret: false,
            showButtons: [{
                id: ButtonId.GameService,
                img: 'square.png',
                text: '广场',
                show: true,
                clickedClose: true,
                redSpot: false,
                clickCb: function clickCb() {
                    console.log('click 广场');
                    tools_1.jsvmRPC('gotoSquare', exports.sdkConfig.webviewName, function (error, result) {
                        console.log('gotoSquare call success');
                    });
                    webview_1.minimize('');
                }
            }, {
                id: ButtonId.Minimise,
                img: 'mainPage.png',
                text: '主页',
                show: true,
                clickedClose: true,
                redSpot: false,
                clickCb: function clickCb() {
                    console.log('click 最小化');
                    tools_1.jsvmRPC('minWebview', exports.sdkConfig.webviewName, function (error, result) {
                        console.log('minWebview call success');
                    });
                    webview_1.minimize('');
                }
            }, {
                id: ButtonId.ExitGame,
                img: 'exitApp.png',
                text: '退出',
                show: true,
                clickedClose: true,
                redSpot: false,
                clickCb: function clickCb() {
                    console.log('click 退出游戏');
                    tools_1.jsvmRPC('closeWebview', exports.sdkConfig.webviewName, function (error, result) {
                        console.log('closeWebview call success');
                    });
                }
            }]
        };
    });
    _$define("util/api", function (require, exports, module) {
        "use strict";

        /**
         * APP版本 可供第三方调用的接口
         */

        var app_1 = require("../pi/browser/app");
        var config_1 = require("./config");
        var cssTag_1 = require("./cssTag");
        var service_1 = require("./service");
        var signIn_1 = require("./signIn");
        var tools_1 = require("./tools");
        var authorizeData = []; // 授权数据 [参数，回调]
        var signInFlag = false; // 是否已打开注册页面
        // ==================================== 对外提供的接口
        /**
         * 初始化
         */
        exports.init = function (param, cb) {
            // app的版本号
            app_1.App.getVersion(function (err, appVersion) {
                if (!isMajorAndMinorExpected(appVersion, pi_sdk.version)) {
                    cb && cb("sdk init failed, appVersion = " + appVersion + ", sdkVersion = " + pi_sdk.version + ", err = " + err);
                    return;
                }
            });
            service_1.bindService(6 * 1000, { webviewName: param.webviewName }, cb);
            config_1.sdkConfig.appid = param.appid;
            config_1.sdkConfig.webviewName = param.webviewName;
            config_1.sdkConfig.isHorizontal = param.isHorizontal;
            config_1.sdkConfig.buttonMod = param.buttonMod || config_1.ButtonMods.SpotButton; // 默认使用三个点的样式
            // 登陆方式选择
            config_1.sdkConfig.loginList = param.loginList || [config_1.LoginStyles.QQ, config_1.LoginStyles.WeChat, config_1.LoginStyles.WeiBo, config_1.LoginStyles.Tourist];
            cssTag_1.createThirdBaseStyle();
            cssTag_1.createThirdApiStyleTag();
            // 一定要在style标签已经创建后才能初始化按钮
            if (param.isShowButton !== false) {
                // 只有传false时不显示
                tools_1.buttonModInit();
            }
            // 钱包PC端 特殊判断
            if (!config_1.IN_APP && param.webviewName === config_1.DEFAULT_WEBVIEW) {
                config_1.sdkConfig.jsApi = 'vm/remote/js_api';
            }
        };
        // 授权 获取openID
        exports.authorize = function (params, callBack) {
            if (JSON.stringify(authorizeData).indexOf(JSON.stringify(params)) === -1) {
                authorizeData.push([params, callBack]);
            }
            runAuthorizeFunc(params, callBack);
        };
        // 第三方支付
        exports.thirdPay = function (order, callBack) {
            var payCode = {
                CANCEL: -2,
                NOWEXIN: -7,
                SUCCESS: 1,
                SETNOPASSWORD: 2,
                EXCEEDLIMIT: 3,
                ERRORPSW: 4,
                RECHARGEFAILED: 5,
                FAILED: 6 // 支付失败
            };
            tools_1.closePopBox();
            tools_1.popNewLoading('支付中...');
            tools_1.jsvmRPC('thirdPay', Object.assign(Object.assign({}, order), { webviewName: config_1.sdkConfig.webviewName }), function (error, res) {
                console.log('thirdPay call success', res);
                tools_1.closePopBox();
                if (res.result === payCode.SUCCESS) {
                    tools_1.popNewMessage('支付成功');
                    callBack(error, res);
                } else if (res.result === payCode.SETNOPASSWORD || res.result === payCode.EXCEEDLIMIT) {
                    var title = res.result === payCode.SETNOPASSWORD ? '未开启免密支付，请输入支付密码' : '免密额度到达上限';
                    tools_1.popInputBox(title, function (value) {
                        tools_1.popNewLoading('支付中...');
                        tools_1.jsvmRPC('thirdPayDirect', {
                            order: order,
                            password: value
                        }, function (error, res) {
                            console.log('thirdPayDirect call success', res);
                            tools_1.closePopBox();
                            if (res.result === payCode.SUCCESS) {
                                tools_1.popNewMessage('支付成功');
                                callBack(error, res);
                            } else if (res.result === payCode.ERRORPSW) {
                                tools_1.popNewMessage('密码错误');
                                callBack(error, { result: payCode.FAILED });
                            } else if (res.result === payCode.CANCEL) {
                                tools_1.popNewMessage('取消支付');
                                callBack(error, res);
                            } else if (res.result === payCode.NOWEXIN) {
                                tools_1.popNewMessage('未安装微信');
                                callBack(error, res);
                            } else {
                                tools_1.popNewMessage('支付失败');
                                callBack(error, { result: payCode.FAILED });
                            }
                        });
                    });
                } else if (res.result === payCode.CANCEL) {
                    tools_1.popNewMessage('取消支付');
                    callBack(error, res);
                } else if (res.result === payCode.NOWEXIN) {
                    tools_1.popNewMessage('未安装微信');
                    callBack(error, res);
                } else {
                    tools_1.popNewMessage('支付失败');
                    callBack(error, { result: payCode.FAILED });
                }
            });
        };
        // 打开注册登录页面
        exports.openSignInPage = function () {
            if (!document.querySelector('.signIn_page')) {
                signInFlag = true;
                cssTag_1.createSignInStyle();
                signIn_1.createSignInPage();
            }
        };
        // 邀请好友 分享
        exports.inviteUser = function (param) {
            tools_1.jsvmRPC('inviteFriends', Object.assign(Object.assign({}, param), { webviewName: config_1.sdkConfig.webviewName }), function (_error, _result) {
                console.log('inviteUser call success');
            });
        };
        // 退出账号信息
        exports.logoutUser = function (callBack) {
            tools_1.jsvmRPC('logoutUser', null, function (error, result) {
                console.log('logoutUser call success');
                signInFlag = false;
                callBack && callBack(error, result);
            });
        };
        // 绑定第三方应用
        exports.bindThirdData = function (loginType, callBack) {
            tools_1.jsvmRPC('bindThirdData', loginType, function (error, result) {
                console.log('bindThirdData call success');
                signInFlag = false;
                callBack && callBack(error, result);
            });
        };
        // 绑定手机号
        exports.bindPhoneNumber = function (param, callBack) {
            tools_1.jsvmRPC('bindPhoneNumber', param, function (error, result) {
                console.log('bindPhoneNumber call success');
                callBack && callBack(error, result);
            });
        };
        // 获取验证码
        exports.sendCode = function (phone, callBack) {
            tools_1.jsvmRPC('sendCode', phone, function (error, res) {
                console.log("\u83B7\u53D6\u9A8C\u8BC1\u7801 " + error + " " + res);
                callBack && callBack(error, res);
            });
        };
        // 获取当前包名最后一段
        exports.getPackageName = function (callBack) {
            tools_1.jsvmRPC('getPackageName', null, function (error, res) {
                console.log("getPackageName " + error + " " + res);
                callBack && callBack(error, res);
            });
        };
        // 获取已绑定的应用
        exports.getBindApps = function (callBack) {
            tools_1.jsvmRPC('getBindApps', null, function (error, res) {
                console.log("getBindApps call success");
                callBack && callBack(error, res);
            });
        };
        // 获取app安装路径 exe有效  空实现
        exports.getAppPath = function (callBack) {
            setTimeout(function () {
                callBack && callBack(undefined, '');
            }, 0);
        };
        // ==================================== 供vm的rpc调用
        // 执行授权监听回调
        exports.runAuthorizeListener = function () {
            console.log("runAuthorizeListener authorizeParams " + JSON.stringify(authorizeData));
            if (authorizeData.length) {
                for (var i = 0; i < authorizeData.length; i++) {
                    runAuthorizeFunc(authorizeData[i][0], authorizeData[i][1]);
                }
            }
        };
        // 执行被踢下线方法
        exports.runForceLogout = function () {
            tools_1.createModalBox('下线通知', '您的账号已下线，如需继续使用，请重新登录', '重新登录', function () {
                tools_1.jsvmRPC('runForceLogout');
            });
        };
        // 执行弹出提示
        exports.runPopNewMessage = function (msg) {
            tools_1.popNewMessage(msg);
        };
        // ====================================== 本地方法
        // 执行授权方法
        var runAuthorizeFunc = function runAuthorizeFunc(params, callBack) {
            tools_1.jsvmRPC('authorize', params, function (error, result) {
                console.log('authorize call success', error, JSON.stringify(result));
                callBack && callBack(error, result);
                if (!error) {
                    if (config_1.sdkConfig.webviewName !== config_1.DEFAULT_WEBVIEW) {
                        // 钱包不弹出这条提示
                        tools_1.popNewMessage('授权成功，进入游戏');
                    }
                    signIn_1.closeSigninPage();
                } else {
                    if (error === config_1.AuthState.NoAccount && (!signInFlag || config_1.sdkConfig.webviewName === config_1.DEFAULT_WEBVIEW)) {
                        // 弹出注册页面，钱包可多次打开注册页面         
                        console.log('没有账号，弹出注册界面');
                        exports.openSignInPage();
                    } else if (error === config_1.AuthState.ServerErr) {
                        console.log('授权失败，请退出后重新授权');
                        tools_1.popNewMessage('授权失败，请退出后重新授权');
                        signIn_1.closeSigninPage();
                        // createModalBox('授权失败', '请退出登录后重新授权', '退出登录', () => {
                        //     logoutUser(() => {
                        //         runAuthorizeFunc(params, callBack);
                        //     });
                        // });
                    } else if (error === config_1.AuthState.Connecting) {
                        console.log('正在登录中，请稍候');
                    } else if (error === config_1.AuthState.NetworkErr) {
                        console.log('网络未连接，请检查网络');
                        tools_1.popNewMessage('网络未连接，请检查网络');
                        signIn_1.closeSigninPage();
                        // createModalBox('网络未连接', '请检查网络后再次尝试授权', '再次授权', () => {
                        //     runAuthorizeFunc(params, callBack);
                        // });
                    }
                }
            });
        };
        /**
         * 当前APP版本号与当前SDK的版本号。
         * 只比较，前两个版本号。
         * @param appVerison APP
         * @param sdkVersion SDK
         * @return 实际 是否 符合期望。
         */
        var isMajorAndMinorExpected = function isMajorAndMinorExpected(appVerison, sdkVersion) {
            var rs = appVerison.split('.').map(function (v) {
                return parseInt(v, 10);
            });
            var es = sdkVersion.split('.').map(function (v) {
                return parseInt(v, 10);
            });
            if (rs.length < 2 || es.length < 2) {
                return false;
            }
            if (rs[0] !== es[0]) {
                return rs[0] > es[0];
            }
            return rs[1] >= es[1];
        };
    });
    _$define("util/agreement", function (require, exports, module) {
        "use strict";

        // tslint:disable-next-line:missing-jsdoc

        exports.ANDROID_PROTOCOL = "\u4E00.\u603B\u5219\n    1.1 \u672C\u300A\u9690\u79C1\u653F\u7B56\u53CA\u7528\u6237\u534F\u8BAE\u300B\u4E3A\u60A8\uFF08\u5373\u7528\u6237\uFF09\u4E0E\u4ED9\u4E4B\u4FA0\u9053\u6E38\u620F\uFF08\u4EE5\u4E0B\u7B80\u79F0\u4ED9\u4E4B\u4FA0\u9053\uFF09\u5C31\u4ED9\u4E4B\u4FA0\u9053\u6240\u63D0\u4F9B\u7684\u670D\u52A1\u8FBE\u6210\u7684\u534F\u8BAE\u3002\u4ED9\u4E4B\u4FA0\u9053\u5728\u6B64\u7279\u522B\u63D0\u9192\u60A8\u8BA4\u771F\u9605\u8BFB\u3001\u5145\u5206\u7406\u89E3\u672C\u300A\u534F\u8BAE\u300B:\u7528\u6237\u5E94\u8BA4\u771F\u9605\u8BFB\u3001\u5145\u5206\u7406\u89E3\u672C\u300A\u534F\u8BAE\u300B\u4E2D\u5404\u6761\u6B3E\uFF0C\u7279\u522B\u6D89\u53CA\u514D\u9664\u6216\u8005\u9650\u5236\u4ED9\u4E4B\u4FA0\u9053\u8D23\u4EFB\u7684\u514D\u8D23\u6761\u6B3E\uFF0C\u5BF9\u7528\u6237\u7684\u6743\u5229\u9650\u5236\u7684\u6761\u6B3E\uFF0C\u6CD5\u5F8B\u9002\u7528\u3001\u4E89\u8BAE\u89E3\u51B3\u65B9\u5F0F\u7684\u6761\u6B3E\u3002\u5982\u679C\u60A8\u672A\u6EE118\u5468\u5C81\uFF0C\u8BF7\u5728\u6CD5\u5B9A\u76D1\u62A4\u4EBA\u7684\u966A\u540C\u4E0B\u9605\u8BFB\u672C\u300A\u534F\u8BAE\u300B\u3002\n    1.2 \u8BF7\u60A8\u5BA1\u614E\u9605\u8BFB\u5E76\u9009\u62E9\u540C\u610F\u6216\u4E0D\u540C\u610F\u672C\u300A\u534F\u8BAE\u300B\uFF0C\u9664\u975E\u60A8\u63A5\u53D7\u672C\u300A\u534F\u8BAE\u300B\u6240\u6709\u6761\u6B3E\uFF0C\u5426\u5219\u60A8\u65E0\u6743\u4EE5\u4E0B\u8F7D\u3001\u5B89\u88C5\u3001\u5347\u7EA7\u3001\u767B\u5F55\u3001\u663E\u793A\u3001\u8FD0\u884C\u3001\u622A\u5C4F\u7B49\u65B9\u5F0F\u4F7F\u7528\u672C\u8F6F\u4EF6\u53CA\u5176\u76F8\u5173\u670D\u52A1\u3002\u60A8\u7684\u4E0B\u8F7D\u3001\u5B89\u88C5\u3001\u663E\u793A\u3001\u8D26\u53F7\u83B7\u53D6\u548C\u767B\u5F55\u3001\u622A\u5C4F\u7B49\u884C\u4E3A\u8868\u660E\u60A8\u81EA\u613F\u63A5\u53D7\u672C\u534F\u8BAE\u7684\u5168\u90E8\u5185\u5BB9\u5E76\u53D7\u5176\u7EA6\u675F\uFF0C\u4E0D\u5F97\u4EE5\u4EFB\u4F55\u7406\u7531\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u4EE5\u672A\u80FD\u8BA4\u771F\u9605\u8BFB\u672C\u534F\u8BAE\u7B49\u4F5C\u4E3A\u7EA0\u7EB7\u6297\u8FA9\u7406\u7531\u3002\n    1.3 \u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u4E0D\u5B9A\u671F\u5BF9\u672C\u300A\u534F\u8BAE\u300B\u8FDB\u884C\u5FC5\u8981\u7684\u66F4\u65B0\uFF0C\u66F4\u65B0\u540E\u7684\u534F\u8BAE\u6761\u6B3E\u4E00\u65E6\u516C\u5E03\u5373\u4EE3\u66FF\u539F\u6765\u7684\u534F\u8BAE\u6761\u6B3E\uFF0C\u60A8\u53EF\u5728\u5E94\u7528\u5185\u76F8\u5173\u9875\u9762\u67E5\u770B\u6700\u65B0\u7248\u534F\u8BAE\u6761\u6B3E\u3002\u5728\u4ED9\u4E4B\u4FA0\u9053\u4FEE\u6539\u300A\u534F\u8BAE\u300B\u6761\u6B3E\u540E\uFF0C\u5982\u679C\u60A8\u4E0D\u63A5\u53D7\u66F4\u65B0\u540E\u7684\u6761\u6B3E\uFF0C\u8BF7\u7ACB\u5373\u505C\u6B62\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u63D0\u4F9B\u7684\u8F6F\u4EF6\u548C\u670D\u52A1\uFF0C\u60A8\u7EE7\u7EED\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u63D0\u4F9B\u7684\u8F6F\u4EF6\u548C\u670D\u52A1\u5C06\u88AB\u89C6\u4E3A\u5DF2\u63A5\u53D7\u4E86\u66F4\u65B0\u540E\u7684\u534F\u8BAE\u3002\n    1.4 \u672C\u300A\u534F\u8BAE\u300B\u5185\u5BB9\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u672C\u534F\u8BAE\u4EE5\u4E0B\u5185\u5BB9\uFF0C\u9488\u5BF9\u67D0\u4E9B\u5177\u4F53\u670D\u52A1\u6240\u7EA6\u5B9A\u7684\u7BA1\u7406\u529E\u6CD5\u3001\u516C\u544A\u3001\u91CD\u8981\u63D0\u793A\u3001\u6307\u5F15\u3001\u8BF4\u660E\u7B49\u5747\u4E3A\u672C\u534F\u8BAE\u7684\u8865\u5145\u5185\u5BB9\uFF0C\u4E3A\u672C\u534F\u8BAE\u4E0D\u53EF\u5206\u5272\u4E4B\u7EC4\u6210\u90E8\u5206\uFF0C\u5177\u6709\u4E0E\u672C\u534F\u8BAE\u540C\u7B49\u7684\u6CD5\u5F8B\u6548\u529B\uFF0C\u63A5\u53D7\u672C\u534F\u8BAE\u5373\u89C6\u4E3A\u60A8\u540C\u65F6\u63A5\u53D7\u4EE5\u4E0A\u7BA1\u7406\u529E\u6CD5\u3001\u516C\u544A\u3001\u91CD\u8981\u63D0\u793A\u3001\u6307\u5F15\u3001\u8BF4\u660E\u7B49\u5E76\u53D7\u5176\u7EA6\u675F\uFF1B\u5426\u5219\u8BF7\u60A8\u7ACB\u5373\u505C\u6B62\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u63D0\u4F9B\u7684\u8F6F\u4EF6\u548C\u670D\u52A1\u3002\n    \n    \n    \n    \u4E8C\u3001\u5B9A\u4E49 \n    2. 1\u4ED9\u4E4B\u4FA0\u9053\uFF1A\u672C\u534F\u8BAE\u4E0B\u6587\u4E2D\uFF0C\u201C\u4ED9\u4E4B\u4FA0\u9053\u201D\u5373\u6307\u4ED9\u4E4B\u4FA0\u9053\u5E94\u7528\u8F6F\u4EF6\u3002\n    2. 2\u7528\u6237\uFF1A\n    \uFF081\uFF09\u7528\u6237\u5FC5\u987B\u662F\u5177\u5907\u5B8C\u5168\u6C11\u4E8B\u884C\u4E3A\u80FD\u529B\u7684\u81EA\u7136\u4EBA\uFF1B\n    \uFF082\uFF09\u82E5\u60A8\u4E3A18\u5468\u5C81\u4EE5\u4E0B\u7684\u672A\u6210\u5E74\u4EBA\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u670D\u52A1\uFF0C\u9700\u8981\u5728\u60A8\u7236\u6BCD\u6216\u76D1\u62A4\u4EBA\u7684\u6307\u5BFC\u4E0B\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u3002\u65E0\u6C11\u4E8B\u884C\u4E3A\u80FD\u529B\u4EBA\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u6216\u9650\u5236\u6C11\u4E8B\u884C\u4E3A\u80FD\u529B\u4EBA\u8D85\u8FC7\u5176\u6C11\u4E8B\u6743\u5229\u6216\u884C\u4E3A\u80FD\u529B\u8303\u56F4\u4ECE\u4E8B\u4EA4\u6613\u7684\uFF0C\u9020\u6210\u7684\u4E00\u5207\u540E\u679C\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u8981\u6C42\u60A8\u53CA\u60A8\u7684\u7236\u6BCD\u6216\u76D1\u62A4\u4EBA\u8D1F\u8D23\u3002\n    2.3\u6E38\u620F\u89C4\u5219\uFF1A\u6307\u4ED9\u4E4B\u4FA0\u9053\u6E38\u620F\u670D\u52A1\u63D0\u4F9B\u65B9\u4E0D\u65F6\u53D1\u5E03\u5E76\u4FEE\u8BA2\u7684\u5173\u4E8E\u4ED9\u4E4B\u4FA0\u9053\u6E38\u620F\u7684\u7528\u6237\u5B88\u5219\u3001\u73A9\u5BB6\u6761\u4F8B\u3001\u6E38\u620F\u516C\u544A\u3001\u63D0\u793A\u53CA\u901A\u77E5\u7B49\u5185\u5BB9\u3002\n    2.4 \u4ED9\u4E4B\u4FA0\u9053\u6E38\u620F\u670D\u52A1\uFF1A\u6307\u4ED9\u4E4B\u4FA0\u9053\u5411\u60A8\u63D0\u4F9B\u7684\u4E0E\u6E38\u620F\u76F8\u5173\u7684\u5404\u9879\u5728\u7EBF\u8FD0\u8425\u670D\u52A1\u3002\n    2.5 \u60A8\uFF1A\u53C8\u79F0\u201C\u73A9\u5BB6\u201D\u6216\u201C\u7528\u6237\u201D\uFF0C\u6307\u88AB\u6388\u6743\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u5E94\u7528\u53CA\u5176\u670D\u52A1\u7684\u81EA\u7136\u4EBA\u3002\n    2.6 \u521B\u5EFA\u6216\u5BFC\u5165\u94B1\u5305\uFF1A\u6307\u60A8\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\uFF0C\u786E\u8BA4\u5C65\u884C\u672C\u534F\u8BAE\u5E76\u521B\u5EFA\u6216\u5BFC\u5165\u94B1\u5305\u7684\u8FC7\u7A0B\u3002\u5728\u60A8\u7684\u8FD9\u53F0\u79FB\u52A8\u8BBE\u5907\u6216\u4ED9\u4E4B\u4FA0\u9053\u7684\u670D\u52A1\u5668\uFF0C\u4E00\u65E6\u4E22\u5931\u4F60\u9700\u8981\u501F\u52A9\u660E\u6587\u79C1\u94A5\u6216\u52A9\u8BB0\u8BCD\u91CD\u7F6E\u65B0\u5BC6\u7801\u3002\n    2.8\u4FE1\u606F\u63D0\u793A\uFF1A\u4ED9\u4E4B\u4FA0\u9053\u8F6F\u4EF6\u64CD\u4F5C\u754C\u9762\u6D89\u53CA\u7684\u4FE1\u606F\u63D0\u793A\u5185\u5BB9\uFF0C\u5EFA\u8BAE\u7528\u6237\u6309\u7167\u76F8\u5173\u6B65\u9AA4\u8FDB\u884C\u64CD\u4F5C\u3002\n    2.9\u79C1\u94A5\uFF1A\u7531256\u4F4D\u968F\u673A\u5B57\u7B26\u6784\u6210\uFF0C\u662F\u7528\u6237\u62E5\u6709\u5E76\u4F7F\u7528\u6570\u5B57\u4EE3\u5E01\u7684\u6838\u5FC3\u3002\n    2.10\u516C\u94A5\uFF1A\u7531\u79C1\u94A5\u501F\u52A9\u5BC6\u7801\u5B66\u539F\u7406\u5355\u5411\u63A8\u5BFC\u751F\u6210\uFF0C\u5E76\u7528\u4EE5\u751F\u6210\u6570\u5B57\u8D27\u5E01\u5730\u5740\uFF0C\u6570\u5B57\u8D27\u5E01\u5730\u5740\u5373\u4E3A\u516C\u5F00\u6536\u6B3E\u5730\u5740\u3002\n    2.11\u52A9\u8BB0\u8BCD\uFF1A\u7B26\u5408\u533A\u5757\u94FEBIP39 \u884C\u4E1A\u6807\u51C6\uFF0C\u7531\u968F\u673A\u7B97\u6CD5\u751F\u6210\u768412\uFF08\u621615/18/21/24\uFF09\u4E2A\u6709\u5E8F\u5355\u8BCD\u7EC4\u6210\u3002\u662F\u79C1\u94A5\u7684\u6613\u8BB0\u5F55\u8868\u73B0\u5F62\u5F0F\uFF0C\u65B9\u4FBF\u7528\u6237\u5907\u4EFD\u4FDD\u7BA1\u3002\n    2.12\u4E2A\u4EBA\u4FE1\u606F\uFF1A\u6307\u4EE5\u7535\u5B50\u6216\u8005\u5176\u4ED6\u65B9\u5F0F\u8BB0\u5F55\u7684\u80FD\u591F\u5355\u72EC\u6216\u8005\u4E0E\u5176\u4ED6\u4FE1\u606F\u7ED3\u5408\u8BC6\u522B\u7528\u6237\u4E2A\u4EBA\u8EAB\u4EFD\u7684\u5404\u79CD\u4FE1\u606F\uFF0C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u81EA\u7136\u4EBA\u7684\u59D3\u540D\u3001\u51FA\u751F\u65E5\u671F\u3001\u8EAB\u4EFD\u8BC1\u4EF6\u53F7\u7801\u3001\u4E2A\u4EBA\u751F\u7269\u8BC6\u522B\u4FE1\u606F\u3001\u4F4F\u5740\u3001\u7535\u8BDD\u53F7\u7801\u3001\u94F6\u884C\u5361\u53F7\u3001\u90AE\u4EF6\u5730\u5740\u3001\u94B1\u5305\u5730\u5740\u3001\u79FB\u52A8\u8BBE\u5907\u4FE1\u606F\u3001\u64CD\u4F5C\u8BB0\u5F55\u3001\u4EA4\u6613\u8BB0\u5F55\u7B49\uFF0C\u4F46\u4E0D\u5305\u62EC\u7528\u6237\u7684\u94B1\u5305\u5BC6\u7801\u3001\u79C1\u94A5\u3001\u52A9\u8BB0\u8BCD\u3001Keystore\u3002\n    2.13\u670D\u52A1\u6570\u636E\uFF1A\u6307\u60A8\u5728\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u8F6F\u4EF6\u8FC7\u7A0B\u4E2D\u4EA7\u751F\u7684\u88AB\u670D\u52A1\u5668\u8BB0\u5F55\u7684\u5404\u79CD\u6570\u636E\uFF0C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u89D2\u8272\u6570\u636E\u3001\u865A\u62DF\u7269\u54C1\u6570\u636E\u3001\u884C\u4E3A\u65E5\u5FD7\u3001\u8D2D\u4E70\u65E5\u5FD7\u7B49\u7B49\u6570\u636E\u3002\n    \n    \u4E09\u3001\u8D26\u53F7\n    3.1\u60A8\u5982\u679C\u9700\u8981\u4F7F\u7528\u5E76\u4EAB\u53D7\u4ED9\u4E4B\u4FA0\u9053\u5E94\u7528\u4E2D\u7684\u6E38\u620F\u53CA\u5176\u4ED6\u670D\u52A1\uFF0C\u5219\u60A8\u9700\u8981\u6CE8\u518C\u4ED9\u4E4B\u4FA0\u9053\u8D26\u53F7\u4F5C\u4E3A\u6E38\u620F\u53CA\u5176\u4ED6\u670D\u52A1\u4F7F\u7528\u8D26\u53F7\u3002\u5982\u4E2A\u4EBA\u8D44\u6599\u6709\u4EFB\u4F55\u53D8\u52A8\uFF0C\u5FC5\u987B\u53CA\u65F6\u66F4\u65B0\u3002\u56E0\u7528\u6237\u63D0\u4F9B\u4E2A\u4EBA\u8D44\u6599\u4E0D\u51C6\u786E\u3001\u4E0D\u771F\u5B9E\u800C\u5F15\u53D1\u7684\u4E00\u5207\u540E\u679C\u7531\u7528\u6237\u627F\u62C5\u3002\n    3.2 \u4ED9\u4E4B\u4FA0\u9053\u8D26\u53F7\u7684\u6240\u6709\u6743\u5F52\u4ED9\u4E4B\u4FA0\u9053\uFF0C\u7528\u6237\u5B8C\u6210\u6CE8\u518C\u7533\u8BF7\u624B\u7EED\u540E\uFF0C\u83B7\u5F97\u4ED9\u4E4B\u4FA0\u9053\u8D26\u53F7\u7684\u4F7F\u7528\u6743\u3002\n    3.3\u60A8\u8FDB\u4E00\u6B65\u77E5\u6089\u5E76\u540C\u610F\uFF0C\u7528\u6237\u5E94\u5F53\u4E3A\u81EA\u8EAB\u6CE8\u518C\u5E10\u6237\u4E0B\u7684\u4E00\u5207\u884C\u4E3A\u8D1F\u8D23\uFF0C\u56E0\u7528\u6237\u884C\u4E3A\u800C\u5BFC\u81F4\u7684\u7528\u6237\u81EA\u8EAB\u6216\u5176\u4ED6\u4EFB\u4F55\u7B2C\u4E09\u65B9\u7684\u4EFB\u4F55\u635F\u5931\u6216\u635F\u5BB3\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u627F\u62C5\u8D23\u4EFB\u3002\n    3.4\u60A8\u8FDB\u4E00\u6B65\u77E5\u6089\u5E76\u540C\u610F\uFF0C\u60A8\u5728\u6E38\u5BA2\u6A21\u5F0F\u4E0B\u53EF\u80FD\u65E0\u6CD5\u8FDB\u884C\u6E38\u620F\u5145\u503C\u6216\u6D88\u8D39\u3002\u4E14\u4E00\u65E6\u60A8\u5378\u8F7D\u6216\u91CD\u88C5\u4ED9\u4E4B\u4FA0\u9053\uFF0C\u6216\u60A8\u66F4\u6362\u624B\u673A\u3001\u7535\u8111\u7B49\u7EC8\u7AEF\u8BBE\u5907\u6216\u8BE5\u7B49\u7EC8\u7AEF\u8BBE\u5907\u635F\u574F\u7684\uFF0C\u60A8\u5728\u8BE5\u6E38\u5BA2\u6A21\u5F0F\u4E0B\u6240\u6709\u6E38\u620F\u76F8\u5173\u6570\u636E\u53EF\u80FD\u90FD\u5C06\u4F1A\u88AB\u6E05\u7A7A\uFF0C\u4E14\u65E0\u6CD5\u67E5\u8BE2\u548C\u6062\u590D\u3002\u5982\u56E0\u6B64\u9020\u6210\u60A8\u4EFB\u4F55\u635F\u5931\u7684\uFF0C\u5747\u7531\u60A8\u81EA\u884C\u627F\u62C5\u3002\n    3.5\u60A8\u5145\u5206\u7406\u89E3\u5E76\u540C\u610F\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u5BA1\u67E5\u7528\u6237\u6CE8\u518C\u6240\u63D0\u4F9B\u7684\u4FE1\u606F\u662F\u5426\u771F\u5B9E\u3001\u6709\u6548\uFF0C\u5E76\u5E94\u79EF\u6781\u5730\u91C7\u53D6\u6280\u672F\u4E0E\u7BA1\u7406\u7B49\u5408\u7406\u63AA\u65BD\u4FDD\u969C\u7528\u6237\u8D26\u53F7\u7684\u5B89\u5168\u3001\u6709\u6548\uFF1B\u7528\u6237\u6709\u4E49\u52A1\u59A5\u5584\u4FDD\u7BA1\u5176\u8D26\u53F7\u53CA\u5BC6\u7801\uFF0C\u5E76\u6B63\u786E\u3001\u5B89\u5168\u5730\u4F7F\u7528\u5176\u8D26\u53F7\u53CA\u5BC6\u7801\uFF0C\u82E5\u60A8\u4E22\u5931\u8D26\u53F7\u53CA\u5BC6\u7801\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u63D0\u4F9B\u8D26\u53F7\u548C\u5BC6\u7801\u627E\u56DE\u670D\u52A1\u3002\n    3.6\u60A8\u7406\u89E3\u5E76\u540C\u610F\uFF0C\u60A8\u4E0D\u5F97\u5C06\u6E38\u620F\u8D26\u53F7\u4EE5\u4EFB\u4F55\u65B9\u5F0F\u63D0\u4F9B\u7ED9\u4ED6\u4EBA\u4F7F\u7528\uFF0C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u4E0D\u5F97\u4EE5\u8F6C\u8BA9\u3001\u51FA\u79DF\u3001\u501F\u7528\u7B49\u65B9\u5F0F\u63D0\u4F9B\u7ED9\u4ED6\u4EBA\u4F5C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u4EE3\u6253\u4EE3\u7EC3\u7B49\u5546\u4E1A\u6027\u4F7F\u7528\u3002\u5426\u5219\uFF0C\u56E0\u6B64\u4EA7\u751F\u4EFB\u4F55\u6CD5\u5F8B\u540E\u679C\u53CA\u8D23\u4EFB\u5747\u7531\u60A8\u81EA\u884C\u627F\u62C5\uFF0C\u4E14\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u5BF9\u60A8\u7684\u6E38\u620F\u8D26\u53F7\u91C7\u53D6\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u8B66\u544A\u3001\u9650\u5236\u6216\u7981\u6B62\u4F7F\u7528\u6E38\u620F\u5E10\u53F7\u5168\u90E8\u6216\u90E8\u5206\u529F\u80FD\u3001\u5220\u9664\u6E38\u620F\u8D26\u53F7\u53CA\u6E38\u620F\u6570\u636E\u53CA\u5176\u4ED6\u76F8\u5173\u4FE1\u606F\u3001\u5C01\u53F7\u76F4\u81F3\u6CE8\u9500\u7684\u5904\u7406\u63AA\u65BD\uFF0C\u56E0\u6B64\u9020\u6210\u7684\u4E00\u5207\u540E\u679C\u7531\u60A8\u81EA\u884C\u627F\u62C5\u3002\n    \n    \n    \u56DB\u3001\u7528\u6237\u4FE1\u606F\u6536\u96C6\u3001\u4F7F\u7528\u53CA\u4FDD\u62A4\n    4.1\u60A8\u540C\u610F\u5E76\u6388\u6743\u4ED9\u4E4B\u4FA0\u9053\u4E3A\u5C65\u884C\u672C\u534F\u8BAE\u4E4B\u76EE\u7684\u6536\u96C6\u60A8\u7684\u7528\u6237\u4FE1\u606F\uFF0C\u8FD9\u4E9B\u4FE1\u606F\u5305\u62EC\u60A8\u7CFB\u7EDF\u4E2D\u6CE8\u518C\u7684\u4FE1\u606F\u3001\u60A8\u6E38\u620F\u8D26\u53F7\u4E0B\u7684\u6E38\u620F\u6570\u636E\u4EE5\u53CA\u5176\u4ED6\u60A8\u5728\u4F7F\u7528\u8F6F\u4EF6\u670D\u52A1\u7684\u8FC7\u7A0B\u4E2D\u5411\u4ED9\u4E4B\u4FA0\u9053\u57FA\u4E8E\u5B89\u5168\u3001\u7528\u6237\u4F53\u9A8C\u4F18\u5316\u7B49\u8003\u8651\u800C\u9700\u6536\u96C6\u7684\u4FE1\u606F\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u5BF9\u60A8\u7684\u7528\u6237\u4FE1\u606F\u7684\u6536\u96C6\u5C06\u9075\u5FAA\u672C\u534F\u8BAE\u53CA\u76F8\u5173\u6CD5\u5F8B\u7684\u89C4\u5B9A\u3002\n    4.2\u60A8\u5145\u5206\u7406\u89E3\u5E76\u540C\u610F\uFF1A\u4ED9\u4E4B\u4FA0\u9053\u53EF\u4EE5\u6839\u636E\u60A8\u7684\u7528\u6237\u4FE1\u606F\uFF0C\u901A\u8FC7\u77ED\u4FE1\u3001\u7535\u8BDD\u3001\u90AE\u4EF6\u7B49\u5404\u79CD\u65B9\u5F0F\u5411\u60A8\u63D0\u4F9B\u5173\u4E8E\u4ED9\u4E4B\u4FA0\u9053\u6E38\u620F\u7684\u6D3B\u52A8\u4FE1\u606F\u3001\u63A8\u5E7F\u4FE1\u606F\u7B49\u5404\u7C7B\u4FE1\u606F\u3002\n    4.3\u60A8\u7406\u89E3\u5E76\u540C\u610F\uFF1A\u4E3A\u4E86\u66F4\u597D\u5730\u5411\u60A8\u63D0\u4F9B\u6E38\u620F\u670D\u52A1\uFF0C\u6539\u5584\u6E38\u620F\u4F53\u9A8C\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u53EF\u5BF9\u60A8\u6E38\u620F\u5E10\u53F7\u4E2D\u7684\u6635\u79F0\u3001\u5934\u50CF\u4EE5\u53CA\u5728\u4ED9\u4E4B\u4FA0\u9053\u4E2D\u7684\u76F8\u5173\u64CD\u4F5C\u4FE1\u606F\u3001\u6E38\u620F\u4FE1\u606F\u7B49\u4FE1\u606F\uFF08\u4EE5\u4E0B\u79F0\u201C\u8BE5\u7B49\u4FE1\u606F\u201D\u3002\u8BE5\u7B49\u4FE1\u606F\u5177\u4F53\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u60A8\u7684\u767B\u5F55\u72B6\u6001\u3001\u5BF9\u6218\u4FE1\u606F/\u72B6\u6001\u3001\u6210\u5C31\u4FE1\u606F\u7B49\uFF09\u8FDB\u884C\u4F7F\u7528\uFF0C\u5E76\u53EF\u5411\u60A8\u672C\u4EBA\u6216\u5176\u4ED6\u7528\u6237\u6216\u597D\u53CB\u5C55\u793A\u8BE5\u7B49\u4FE1\u606F\u3002\n    4.4\u60A8\u5E94\u5BF9\u901A\u8FC7\u4ED9\u4E4B\u4FA0\u9053\u6E38\u620F\u53CA\u76F8\u5173\u670D\u52A1\u4E86\u89E3\u3001\u63A5\u6536\u6216\u53EF\u63A5\u89E6\u5230\u7684\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u5176\u4ED6\u7528\u6237\u5728\u5185\u7684\u4EFB\u4F55\u4EBA\u7684\u4E2A\u4EBA\u4FE1\u606F\u4E88\u4EE5\u5145\u5206\u5C0A\u91CD\uFF0C\u60A8\u4E0D\u5E94\u4EE5\u641C\u96C6\u3001\u590D\u5236\u3001\u5B58\u50A8\u3001\u4F20\u64AD\u6216\u4EE5\u5176\u4ED6\u4EFB\u4F55\u65B9\u5F0F\u4F7F\u7528\u5176\u4ED6\u7528\u6237\u7684\u4E2A\u4EBA\u4FE1\u606F\uFF0C\u5426\u5219\uFF0C\u7531\u6B64\u4EA7\u751F\u7684\u540E\u679C\u7531\u60A8\u81EA\u884C\u627F\u62C5\u3002\n    \n    \n    \u4E94.\u4ED9\u4E4B\u4FA0\u9053\u670D\u52A1\u8BF4\u660E\n    5.1\u4ED9\u4E4B\u4FA0\u9053\u5BF9\u7528\u6237\u63D0\u4F9B\u670D\u52A1\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u6388\u6743\u7528\u6237\u901A\u8FC7\u5176\u8D26\u53F7\u8FDB\u884C\u5728\u7EBF\u6E38\u620F\u3001\u5373\u65F6\u901A\u8BAF\u3001\u6DFB\u52A0\u597D\u53CB\u3001\u52A0\u5165\u5C0F\u7EC4\u3001\u53D1\u5E03\u8BC4\u8BBA\u3001\u767B\u5F55\u53CA\u4F7F\u7528\u5145\u503C\u670D\u52A1\u3002\u4ED9\u4E4B\u4FA0\u9053\u53EF\u4EE5\u5BF9\u5176\u63D0\u4F9B\u7684\u6240\u6709\u670D\u52A1\u4E88\u4EE5\u53D8\u66F4\u3001\u589E\u52A0\u6216\u5F3A\u5316\uFF0C\u5305\u62EC\u6240\u63A8\u51FA\u7684\u65B0\u529F\u80FD\uFF0C\u5747\u53D7\u5230\u672C\u534F\u8BAE\u4E4B\u89C4\u8303\u3002\n    5.2\u4ED9\u4E4B\u4FA0\u9053\u6240\u6709\u4EA7\u54C1\u548C\u670D\u52A1\u4E0A\u53EF\u80FD\u5305\u542B\u4E86\u6307\u5411\u7B2C\u4E09\u65B9\u7F51\u7AD9\u7684\u94FE\u63A5\uFF08\u4EE5\u4E0B\u7B80\u79F0\u201C\u7B2C\u4E09\u65B9\u7F51\u7AD9\u201D\uFF09\u3002\u201C\u7B2C\u4E09\u65B9\u7F51\u7AD9\u201D\u975E\u7531\u4ED9\u4E4B\u4FA0\u9053\u63A7\u5236\uFF0C\u5BF9\u4E8E\u4EFB\u4F55\u201C\u7B2C\u4E09\u65B9\u7F51\u7AD9\u201D\u7684\u5185\u5BB9\uFF0C\u5305\u542B\u4F46\u4E0D\u9650\u4E8E\u201C\u7B2C\u4E09\u65B9\u7F51\u7AD9\u201D\u5185\u542B\u7684\u4EFB\u4F55\u94FE\u63A5\uFF0C\u6216\u201C\u7B2C\u4E09\u65B9\u7F51\u7AD9\u201D\u7684\u4EFB\u4F55\u6539\u53D8\u6216\u66F4\u65B0\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u5747\u4E0D\u4E88\u8D1F\u8D23\u3002\u201C\u7B2C\u4E09\u65B9\u7F51\u7AD9\u201D\u63A5\u6536\u7684\u7F51\u7EDC\u4F20\u64AD\u6216\u5176\u5B83\u5F62\u5F0F\u4E4B\u4F20\u9001\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u4E88\u8D1F\u8D23\u3002\n    5.3\u4ED9\u4E4B\u4FA0\u9053\u6240\u6709\u4EA7\u54C1\u548C\u670D\u52A1\u4E0A\u53EF\u80FD\u5305\u542B\u4E86\u6307\u5411\u7B2C\u4E09\u65B9API\u670D\u52A1\u3002\u7B2C\u4E09\u65B9API\u670D\u52A1\u975E\u7531\u4ED9\u4E4B\u4FA0\u9053\u63A7\u5236\u3002\u5BF9\u4E8E\u4EFB\u4F55\u901A\u8FC7\u7B2C\u4E09\u65B9API\u8FDB\u884C\u7684\u670D\u52A1\uFF0C\u5728\u60A8\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u96C6\u6210\u7684\u7B2C\u4E09\u65B9API\u670D\u52A1\u65F6\uFF0C\u8BF7\u60A8\u4ED4\u7EC6\u9605\u8BFB\u672C\u534F\u8BAE\u53CAAPP\u63D0\u793A\uFF0C\u4E86\u89E3\u4EA4\u6613\u6216\u670D\u52A1\u5BF9\u8C61\u53CA\u4EA7\u54C1\u4FE1\u606F\uFF0C\u8C28\u614E\u8BC4\u4F30\u98CE\u9669\u540E\u518D\u91C7\u53D6\u884C\u52A8\u3002\u6240\u6709\u60A8\u5728\u7B2C\u4E09\u65B9API\u8FDB\u884C\u7684\u64CD\u4F5C\u884C\u4E3A\u7CFB\u60A8\u7684\u4E2A\u4EBA\u884C\u4E3A\uFF0C\u6709\u7EA6\u675F\u529B\u7684\u5408\u540C\u5173\u7CFB\u5728\u60A8\u548C\u60A8\u7684\u76F8\u5BF9\u65B9\u4E4B\u95F4\u5EFA\u7ACB\uFF0C\u4E0E\u4ED9\u4E4B\u4FA0\u9053\u65E0\u5173\u3002\u4ED9\u4E4B\u4FA0\u9053\u5BF9\u56E0\u60A8\u7684\u4EA4\u6613\u884C\u4E3A\u6240\u5F15\u8D77\u7684\u4E00\u5207\u98CE\u9669\u3001\u8D23\u4EFB\u3001\u635F\u5931\u3001\u8D39\u7528\u4E0D\u627F\u62C5\u4EFB\u4F55\u8D23\u4EFB\u3002\n    5.4\u5728\u4EFB\u4F55\u60C5\u51B5\u4E0B\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u5BF9\u56E0\u4E0D\u53EF\u6297\u529B\u5BFC\u81F4\u7684\u60A8\u5728\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u670D\u52A1\u8FC7\u7A0B\u4E2D\u906D\u53D7\u7684\u635F\u5931\u627F\u62C5\u8D23\u4EFB\u3002\u8BE5\u7B49\u4E0D\u53EF\u6297\u529B\u4E8B\u4EF6\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u56FD\u5BB6\u6CD5\u5F8B\u3001\u6CD5\u89C4\u3001\u653F\u7B56\u53CA\u56FD\u5BB6\u673A\u5173\u7684\u547D\u4EE4\u53CA\u5176\u4ED6\u653F\u5E9C\u884C\u4E3A\u6216\u8005\u5176\u5B83\u7684\u8BF8\u5982\u5730\u9707\u3001\u6C34\u707E\u3001\u96EA\u707E\u3001\u706B\u707E\u3001\u6D77\u5578\u3001\u53F0\u98CE\u3001\u7F62\u5DE5\u3001\u6218\u4E89\u7B49\u4E0D\u53EF\u9884\u6D4B\u3001\u4E0D\u53EF\u907F\u514D\u4E14\u4E0D\u53EF\u514B\u670D\u7684\u4E8B\u4EF6\u3002\n    5.5\u4ED9\u4E4B\u4FA0\u9053\u53EF\u80FD\u56E0\u6E38\u620F\u8F6F\u4EF6BUG\u3001\u7248\u672C\u66F4\u65B0\u7F3A\u9677\u3001\u7B2C\u4E09\u65B9\u75C5\u6BD2\u653B\u51FB\u6216\u5176\u4ED6\u4EFB\u4F55\u56E0\u7D20\u5BFC\u81F4\u60A8\u7684\u6E38\u620F\u89D2\u8272\u3001\u6E38\u620F\u9053\u5177\u3001\u6E38\u620F\u88C5\u5907\u53CA\u6E38\u620F\u5E01\u7B49\u8D26\u53F7\u6570\u636E\u53D1\u751F\u5F02\u5E38\u3002\u5728\u6570\u636E\u5F02\u5E38\u7684\u539F\u56E0\u672A\u5F97\u5230\u67E5\u660E\u524D\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u6682\u65F6\u51BB\u7ED3\u8BE5\u6E38\u620F\u8D26\u53F7\uFF1B\u82E5\u67E5\u660E\u6570\u636E\u5F02\u5E38\u4E3A\u975E\u6B63\u5E38\u6E38\u620F\u884C\u4E3A\u6240\u81F4\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u6062\u590D\u6E38\u620F\u8D26\u53F7\u6570\u636E\u81F3\u5F02\u5E38\u53D1\u751F\u524D\u7684\u539F\u59CB\u72B6\u6001\uFF08\u5305\u62EC\u5411\u7B2C\u4E09\u65B9\u8FFD\u56DE\u88AB\u8F6C\u79FB\u6570\u636E\uFF09\uFF0C\u4E14\u4ED9\u4E4B\u4FA0\u9053\u65E0\u987B\u5411\u60A8\u627F\u62C5\u4EFB\u4F55\u8D23\u4EFB\u3002\n    5.6\u9488\u5BF9\u4ED9\u4E4B\u4FA0\u9053\u94B1\u5305\u670D\u52A1\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u5BF9\u4EE5\u4E0B\u60C5\u5F62\u4E0D\u627F\u62C5\u8D23\u4EFB\uFF1A\n    \uFF081\uFF09\u56E0\u7528\u6237\u9057\u5931\u79FB\u52A8\u8BBE\u5907\u3001\u5220\u9664\u4E14\u672A\u5907\u4EFD\u4ED9\u4E4B\u4FA0\u9053\u3001\u5220\u9664\u4E14\u672A\u5907\u4EFD\u94B1\u5305\u3001\u94B1\u5305\u88AB\u76D7\u6216\u9057\u5FD8\u94B1\u5305\u5BC6\u7801\u3001\u79C1\u94A5\u3001\u52A9\u8BB0\u8BCD\u3001Keystore\u800C\u5BFC\u81F4\u7684\u6570\u5B57\u4EE3\u5E01\u4E22\u5931\uFF1B\n    \uFF082\uFF09\u56E0\u7528\u6237\u81EA\u884C\u6CC4\u9732\u94B1\u5305\u5BC6\u7801\u3001\u79C1\u94A5\u3001\u52A9\u8BB0\u8BCD\u3001Keystore\uFF0C\u6216\u501F\u7528\u3001\u8F6C\u8BA9\u6216\u6388\u6743\u4ED6\u4EBA\u4F7F\u7528\u81EA\u5DF1\u7684\u79FB\u52A8\u8BBE\u5907\u6216\u4ED9\u4E4B\u4FA0\u9053\u94B1\u5305\uFF0C\u6216\u672A\u901A\u8FC7\u4ED9\u4E4B\u4FA0\u9053\u5B98\u65B9\u6E20\u9053\u4E0B\u8F7D\u4ED9\u4E4B\u4FA0\u9053\u5E94\u7528\u7A0B\u5E8F\u6216\u5176\u4ED6\u4E0D\u5B89\u5168\u7684\u65B9\u5F0F\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u5E94\u7528\u7A0B\u5E8F\u5BFC\u81F4\u7684\u6570\u5B57\u4EE3\u5E01\u4E22\u5931\uFF1B\n    5.7\u60A8\u5145\u5206\u7406\u89E3\u5E76\u540C\u610F\uFF0C\u4E3A\u9AD8\u6548\u5229\u7528\u670D\u52A1\u5668\u8D44\u6E90\uFF0C\u5982\u679C\u60A8\u957F\u671F\u672A\u4F7F\u7528\u6E38\u620F\u8D26\u53F7\u767B\u5F55\u4ED9\u4E4B\u4FA0\u9053\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u89C6\u9700\u8981\uFF0C\u5728\u63D0\u524D\u901A\u77E5\u7684\u60C5\u51B5\u4E0B\uFF0C\u5BF9\u8BE5\u8D26\u53F7\u53CA\u5176\u8D26\u53F7\u4E0B\u7684\u6E38\u620F\u6570\u636E\u53CA\u76F8\u5173\u4FE1\u606F\u91C7\u53D6\u5220\u9664\u7B49\u5904\u7F6E\u63AA\u65BD\uFF0C\u4E0A\u8FF0\u5904\u7F6E\u53EF\u80FD\u5BFC\u81F4\u60A8\u5BF9\u8BE5\u6E38\u620F\u8D26\u53F7\u4E0B\u76F8\u5173\u6743\u76CA\u7684\u4E27\u5931\uFF0C\u5BF9\u6B64\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u627F\u62C5\u4EFB\u4F55\u8D23\u4EFB\u3002\n    5.8\u4ED9\u4E4B\u4FA0\u9053\u81EA\u884C\u51B3\u5B9A\u7EC8\u6B62\u8FD0\u8425\u4ED9\u4E4B\u4FA0\u9053\u6E38\u620F\u53CA\u5176\u4ED6\u670D\u52A1\u65F6\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4F1A\u6309\u7167\u6587\u5316\u90E8\u6709\u5173\u7F51\u7EDC\u6E38\u620F\u7EC8\u6B62\u8FD0\u8425\u7684\u76F8\u5173\u89C4\u5B9A\u5904\u7406\u6E38\u620F\u53CA\u5176\u4ED6\u670D\u52A1\u7EC8\u6B62\u8FD0\u8425\u76F8\u5173\u4E8B\u5B9C\uFF0C\u4EE5\u4FDD\u969C\u7528\u6237\u5408\u6CD5\u6743\u76CA\u3002\n    5.9\u60A8\u7406\u89E3\u5E76\u63A5\u53D7\u4ED9\u4E4B\u4FA0\u9053\u63D0\u4F9B\u7684\u670D\u52A1\u4E2D\u53EF\u80FD\u5305\u62EC\u5E7F\u544A\uFF0C\u540C\u610F\u5728\u4F7F\u7528\u670D\u52A1\u7684\u8FC7\u7A0B\u4E2D\u663E\u793A\u4ED9\u4E4B\u4FA0\u9053\u548C\u7B2C\u4E09\u65B9\u4F9B\u5E94\u5546\u3001\u5408\u4F5C\u4F19\u4F34\u63D0\u4F9B\u7684\u5E7F\u544A\u3002\n    \n    \u516D\u3001\u7528\u6237\u884C\u4E3A\u89C4\u8303\n     \u7528\u6237\u5728\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u670D\u52A1\u8FC7\u7A0B\u4E2D\uFF0C\u5FC5\u987B\u9075\u5FAA\u4EE5\u4E0B\u539F\u5219\uFF1A\n    6.1 \u9075\u5B88\u4E2D\u56FD\u6709\u5173\u7684\u6CD5\u5F8B\u548C\u6CD5\u89C4\uFF1B\n    6.2 \u9075\u5B88\u6240\u6709\u4E0E\u7F51\u7EDC\u670D\u52A1\u6709\u5173\u7684\u7F51\u7EDC\u534F\u8BAE\u3001\u89C4\u5B9A\u548C\u7A0B\u5E8F\uFF1B\n    6.3 \u4E0D\u5F97\u4E3A\u4EFB\u4F55\u975E\u6CD5\u76EE\u7684\u800C\u4F7F\u7528\u7F51\u7EDC\u670D\u52A1\u7CFB\u7EDF\uFF1B\n    6.4 \u4E0D\u5F97\u5229\u7528\u4ED9\u4E4B\u4FA0\u9053\u670D\u52A1\u7CFB\u7EDF\u8FDB\u884C\u4EFB\u4F55\u53EF\u80FD\u5BF9\u4E92\u8054\u7F51\u6216\u79FB\u52A8\u7F51\u6B63\u5E38\u8FD0\u8F6C\u9020\u6210\u4E0D\u5229\u5F71\u54CD\u7684\u884C\u4E3A\uFF1B\n    6.5 \u4E0D\u5F97\u5229\u7528\u4ED9\u4E4B\u4FA0\u9053\u63D0\u4F9B\u7684\u670D\u52A1\u4E0A\u4F20\u3001\u5C55\u793A\u6216\u4F20\u64AD\u4EFB\u4F55\u865A\u5047\u7684\u3001\u9A9A\u6270\u6027\u7684\u3001\u4E2D\u4F24\u4ED6\u4EBA\u7684\u3001\u8FB1\u9A82\u6027\u7684\u3001\u6050\u5413\u6027\u7684\u3001\u5EB8\u4FD7\u6DEB\u79FD\u7684\u6216\u5176\u4ED6\u4EFB\u4F55\u975E\u6CD5\u7684\u4FE1\u606F\u8D44\u6599\uFF1B\n    6.6 \u4E0D\u5F97\u4FB5\u72AF\u4ED9\u4E4B\u4FA0\u9053\u548C\u5176\u4ED6\u4EFB\u4F55\u7B2C\u4E09\u65B9\u7684\u4E13\u5229\u6743\u3001\u8457\u4F5C\u6743\u3001\u5546\u6807\u6743\u3001\u540D\u8A89\u6743\u6216\u5176\u4ED6\u4EFB\u4F55\u5408\u6CD5\u6743\u76CA\uFF1B\n    6.7 \u4E0D\u5F97\u5229\u7528\u4ED9\u4E4B\u4FA0\u9053\u670D\u52A1\u7CFB\u7EDF\u8FDB\u884C\u4EFB\u4F55\u4E0D\u5229\u4E8E\u4ED9\u4E4B\u4FA0\u9053\u7684\u884C\u4E3A\uFF1B\n    6.8\u4E0D\u5F97\u5229\u7528\u4EFB\u4F55\u76F8\u5173\u7CFB\u7EDF\u6F0F\u6D1E\u6216\u670D\u52A1\u6F0F\u6D1E\uFF0C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u4ED9\u4E4B\u4FA0\u9053\u7684\u7CFB\u7EDF\u6216\u670D\u52A1\u6F0F\u6D1E\u3001\u4ED9\u4E4B\u4FA0\u9053\u76F8\u5173\u5408\u4F5C\u65B9\u7684\u7CFB\u7EDF\u6216\u670D\u52A1\u6F0F\u6D1E\uFF0C\u4F5C\u51FA\u635F\u5BB3\u4ED9\u4E4B\u4FA0\u9053\u5408\u6CD5\u6743\u76CA\u7684\u884C\u4E3A\uFF1B\n    6.9\u5BF9\u6E38\u620F\u8F6F\u4EF6\u8FDB\u884C\u53CD\u5411\u5DE5\u7A0B\u3001\u53CD\u5411\u6C47\u7F16\u3001\u53CD\u5411\u7F16\u8BD1\u6216\u8005\u4EE5\u5176\u4ED6\u65B9\u5F0F\u5C1D\u8BD5\u53D1\u73B0\u8F6F\u4EF6\u7684\u6E90\u4EE3\u7801\uFF1B\n    6.10\u5BF9\u6E38\u620F\u8F6F\u4EF6\u6216\u8005\u8F6F\u4EF6\u8FD0\u884C\u8FC7\u7A0B\u4E2D\u91CA\u653E\u5230\u4EFB\u4F55\u7EC8\u7AEF\u5185\u5B58\u4E2D\u7684\u6570\u636E\u3001\u8F6F\u4EF6\u8FD0\u884C\u8FC7\u7A0B\u4E2D\u5BA2\u6237\u7AEF\u4E0E\u670D\u52A1\u5668\u7AEF\u7684\u4EA4\u4E92\u6570\u636E\uFF0C\u4EE5\u53CA\u8F6F\u4EF6\u8FD0\u884C\u6240\u5FC5\u9700\u7684\u7CFB\u7EDF\u6570\u636E\uFF0C\u8FDB\u884C\u590D\u5236\u3001\u4FEE\u6539\u3001\u589E\u52A0\u3001\u5220\u9664\u3001\u6302\u63A5\u8FD0\u884C\u6216\u521B\u4F5C\u4EFB\u4F55\u884D\u751F\u4F5C\u54C1\uFF0C\u5F62\u5F0F\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u4F7F\u7528\u63D2\u4EF6\u3001\u5916\u6302\u6216\u975E\u7ECF\u5408\u6CD5\u6388\u6743\u7684\u7B2C\u4E09\u65B9\u5DE5\u5177/\u670D\u52A1\u63A5\u5165\u8F6F\u4EF6\u548C\u76F8\u5173\u7CFB\u7EDF\uFF1B\n    6.11 \u5982\u53D1\u73B0\u4EFB\u4F55\u975E\u6CD5\u4F7F\u7528\u7528\u6237\u8D26\u53F7\u6216\u8D26\u53F7\u51FA\u73B0\u5B89\u5168\u6F0F\u6D1E\u7684\u60C5\u51B5\uFF0C\u5E94\u7ACB\u5373\u901A\u544A\u4ED9\u4E4B\u4FA0\u9053\u3002\n    6.12 \u5982\u7528\u6237\u5728\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u670D\u52A1\u65F6\u8FDD\u53CD\u76F8\u5173\u6CD5\u5F8B\u89C4\u5B9A\u6216\u8005\u672C\u534F\u8BAE\u7684\u4EFB\u4F55\u7EA6\u5B9A\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u6216\u5176\u6388\u6743\u4EBA\u6709\u6743\u91C7\u53D6\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u4E0B\u5217\u63AA\u65BD\uFF1A\n    1.\u8981\u6C42\u7528\u6237\u6539\u6B63\u76F8\u5173\u884C\u4E3A\uFF1B\n    2.\u53D8\u66F4\u3001\u4E2D\u65AD\u3001\u7EC8\u6B62\u7528\u6237\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u7684\u670D\u52A1\uFF1B\n    3.\u5BF9\u7528\u6237\u7684\u8D26\u53F7\u91C7\u53D6\u4E34\u65F6\u6027\u6216\u6C38\u4E45\u6027\u7684\u7981\u6B62\u767B\u5F55\uFF08\u5373\u5C01\u53F7\uFF09\u63AA\u65BD\u7B49\u3002\n    \n    \u4E03\u3001\u77E5\u8BC6\u4EA7\u6743 \n    7.1 \u4ED9\u4E4B\u4FA0\u9053\u63D0\u4F9B\u7684\u670D\u52A1\u4E2D\u5305\u542B\u7684\u4EFB\u4F55\u6587\u672C\u3001\u56FE\u7247\u3001\u56FE\u5F62\u3001\u97F3\u9891\u548C/\u6216\u89C6\u9891\u8D44\u6599\u5747\u53D7\u7248\u6743\u3001\u5546\u6807\u548C/\u6216\u5176\u5B83\u8D22\u4EA7\u6240\u6709\u6743\u6CD5\u5F8B\u7684\u4FDD\u62A4\uFF0C\u672A\u7ECF\u76F8\u5173\u6743\u5229\u4EBA\u540C\u610F\uFF0C\u4E0A\u8FF0\u8D44\u6599\u5747\u4E0D\u5F97\u7528\u4E8E\u4EFB\u4F55\u5546\u4E1A\u76EE\u7684\u3002\n    7.2 \u4ED9\u4E4B\u4FA0\u9053\u4E3A\u63D0\u4F9B\u670D\u52A1\u800C\u4F7F\u7528\u7684\u4EFB\u4F55\u8F6F\u4EF6\uFF08\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u8F6F\u4EF6\u4E2D\u6240\u542B\u7684\u4EFB\u4F55\u56FE\u50CF\u3001\u7167\u7247\u3001\u52A8\u753B\u3001\u5F55\u50CF\u3001\u5F55\u97F3\u3001\u97F3\u4E50\u3001\u6587\u5B57\u7B49\uFF09\u7684\u4E00\u5207\u6743\u5229\u5747\u5C5E\u4E8E\u8BE5\u8F6F\u4EF6\u7684\u8457\u4F5C\u6743\u4EBA\uFF0C\u672A\u7ECF\u8BE5\u8F6F\u4EF6\u7684\u8457\u4F5C\u6743\u4EBA\u8BB8\u53EF\uFF0C\u7528\u6237\u4E0D\u5F97\u5BF9\u8BE5\u8F6F\u4EF6\u8FDB\u884C\u53CD\u5411\u5DE5\u7A0B\uFF08reverse engineer\uFF09\u3001\u53CD\u5411\u7F16\u8BD1\uFF08decompile\uFF09\u6216\u53CD\u6C47\u7F16\uFF08disassemble\uFF09\uFF0C\u4E0D\u5F97\u8FDB\u884C\u4EFB\u4F55\u6709\u53EF\u80FD\u635F\u5BB3\u8457\u4F5C\u6743\u4EBA\u5408\u6CD5\u6743\u76CA\u7684\u884C\u4E3A\u3002\n    \n    \u516B\u3001\u9690\u79C1\u58F0\u660E\n    8.1 \u4FDD\u62A4\u7528\u6237\u9690\u79C1\u662F\u4ED9\u4E4B\u4FA0\u9053\u7684\u4E00\u9879\u57FA\u672C\u653F\u7B56\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4FDD\u8BC1\u4E0D\u5BF9\u5916\u516C\u5F00\u6216\u5411\u7B2C\u4E09\u65B9\u63D0\u4F9B\u5355\u4E2A\u7528\u6237\u7684\u6CE8\u518C\u8D44\u6599\u53CA\u7528\u6237\u5728\u4F7F\u7528\u672C\u670D\u52A1\u65F6\u5B58\u50A8\u5728\u4ED9\u4E4B\u4FA0\u9053\u7684\u975E\u516C\u5F00\u5185\u5BB9\uFF0C\u4F46\u4E0B\u5217\u60C5\u51B5\u9664\u5916\uFF1A\n    \uFF081\uFF09 \u4E8B\u5148\u83B7\u5F97\u7528\u6237\u7684\u660E\u786E\u6388\u6743\uFF1B\n    \uFF082\uFF09 \u6839\u636E\u6709\u5173\u7684\u6CD5\u5F8B\u6CD5\u89C4\u8981\u6C42\uFF1B\n    \uFF083\uFF09 \u6309\u7167\u76F8\u5173\u653F\u5E9C\u4E3B\u7BA1\u90E8\u95E8\u7684\u8981\u6C42\uFF1B\n    \uFF084\uFF09 \u4E3A\u7EF4\u62A4\u793E\u4F1A\u516C\u4F17\u7684\u5229\u76CA\uFF1B\n    \uFF085\uFF09\u4E3A\u7EF4\u62A4\u4ED9\u4E4B\u4FA0\u9053\u7684\u5408\u6CD5\u6743\u76CA\u3002\n    8.2\u4ED9\u4E4B\u4FA0\u9053\u5236\u5B9A\u4E86\u4EE5\u4E0B\u4E09\u9879\u9690\u79C1\u6743\u4FDD\u62A4\u539F\u5219\uFF0C\u6307\u5BFC\u6211\u4EEC\u5982\u4F55\u6765\u5904\u7406\u4EA7\u54C1\u4E2D\u6D89\u53CA\u5230\u7528\u6237\u9690\u79C1\u6743\u548C\u7528\u6237\u4FE1\u606F\u7B49\u65B9\u9762\u7684\u95EE\u9898\uFF1A\n    \uFF081\uFF09 \u5229\u7528\u6211\u4EEC\u6536\u96C6\u7684\u4FE1\u606F\u4E3A\u7528\u6237\u63D0\u4F9B\u6709\u4EF7\u503C\u7684\u4EA7\u54C1\u548C\u670D\u52A1\u3002\n    \uFF082\uFF09 \u5F00\u53D1\u7B26\u5408\u9690\u79C1\u6743\u6807\u51C6\u548C\u9690\u79C1\u6743\u60EF\u4F8B\u7684\u4EA7\u54C1\u3002\n    \uFF083\uFF09 \u5C3D\u6700\u5927\u7684\u52AA\u529B\u4FDD\u62A4\u6211\u4EEC\u638C\u63E1\u7684\u4FE1\u606F\u3002\n    8.3\u4ED9\u4E4B\u4FA0\u9053\u975E\u5E38\u91CD\u89C6\u5BF9\u672A\u6210\u5E74\u4EBA\u4E2A\u4EBA\u4FE1\u606F\u7684\u4FDD\u62A4\u3002\u82E5\u60A8\u662F18\u5468\u5C81\u4EE5\u4E0B\u7684\u672A\u6210\u5E74\u4EBA\uFF0C\u5728\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u670D\u52A1\u524D\uFF0C\u5E94\u4E8B\u5148\u53D6\u5F97\u60A8\u5BB6\u957F\u6216\u6CD5\u5B9A\u76D1\u62A4\u4EBA\u7684\u540C\u610F\u3002\n    \n    \u4E5D\u3001\u8D44\u8D39\u8BF4\u660E\n    9.1 \u4ED9\u4E4B\u4FA0\u9053\u5728\u63D0\u4F9B\u4EA7\u54C1\u548C\u670D\u52A1\u65F6\uFF0C\u53EF\u80FD\u4F1A\u5BF9\u90E8\u5206\u4EA7\u54C1\u548C\u670D\u52A1\u5411\u7528\u6237\u6536\u53D6\u4E00\u5B9A\u7684\u8D39\u7528\u3002\u5728\u6B64\u60C5\u51B5\u4E0B\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4F1A\u5728\u76F8\u5173\u9875\u9762\u4E0A\u505A\u660E\u786E\u7684\u63D0\u793A\u3002\n    9.2\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u51B3\u5B9A\u6240\u63D0\u4F9B\u7684\u4EA7\u54C1\u548C\u670D\u52A1\u7684\u8D44\u8D39\u6807\u51C6\u548C\u6536\u8D39\u65B9\u5F0F\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u53EF\u80FD\u4F1A\u5C31\u4E0D\u540C\u7684\u4EA7\u54C1\u548C\u670D\u52A1\u5236\u5B9A\u4E0D\u540C\u7684\u8D44\u8D39\u6807\u51C6\u548C\u6536\u8D39\u65B9\u5F0F\uFF0C\u4E5F\u53EF\u80FD\u6309\u7167\u4ED9\u4E4B\u4FA0\u9053\u6240\u63D0\u4F9B\u7684\u4EA7\u54C1\u548C\u670D\u52A1\u7684\u4E0D\u540C\u9636\u6BB5\u786E\u5B9A\u4E0D\u540C\u7684\u8D44\u8D39\u6807\u51C6\u548C\u6536\u8D39\u65B9\u5F0F\u3002\u53E6\u5916\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u5229\u6839\u636E\u5E02\u573A\u5B9E\u9645\u60C5\u51B5\u4FEE\u6539\u8D44\u8D39\u653F\u7B56\u3002\u4ED9\u4E4B\u4FA0\u9053\u4F1A\u5C06\u6709\u5173\u4EA7\u54C1\u548C\u670D\u52A1\u7684\u6536\u8D39\u4FE1\u606F\u4EE5\u53CA\u4E0E\u8BE5\u4EA7\u54C1\u548C\u670D\u52A1\u6709\u5173\u7684\u8D44\u8D39\u6807\u51C6\u3001\u6536\u8D39\u65B9\u5F0F\u3001\u8D2D\u4E70\u65B9\u5F0F\u6216\u5176\u4ED6\u6709\u5173\u8D44\u8D39\u653F\u7B56\u7684\u4FE1\u606F\u653E\u7F6E\u5728\u8BE5\u4EA7\u54C1\u548C\u670D\u52A1\u76F8\u5173\u7F51\u9875\u7684\u663E\u8457\u4F4D\u7F6E\u3002\n    9.3\u5BF9\u4E8E\u4ED9\u4E4B\u4FA0\u9053\u7684\u6536\u8D39\u4EA7\u54C1\u548C\u670D\u52A1\uFF0C\u7528\u6237\u53EF\u81EA\u4E3B\u9009\u62E9\u63A5\u53D7\u6216\u62D2\u7EDD\u8BE5\u6536\u8D39\u4EA7\u54C1\u6216\u670D\u52A1\uFF0C\u5E76\u4FDD\u8BC1\u5728\u4F7F\u7528\u6536\u8D39\u4EA7\u54C1\u6216\u670D\u52A1\u65F6\uFF0C\u5C06\u6309\u7167\u4ED9\u4E4B\u4FA0\u9053\u7684\u76F8\u5173\u6536\u8D39\u89C4\u5B9A\u652F\u4ED8\u8D39\u7528\u3002\n    9.4\u9664\u975E\u6CD5\u5F8B\u53E6\u6709\u660E\u6587\u89C4\u5B9A\uFF0C\u5426\u5219\u7528\u6237\u4E0D\u5F97\u8981\u6C42\u4ED9\u4E4B\u4FA0\u9053\u8FD4\u8FD8\u7528\u6237\u5DF2\u7ECF\u652F\u4ED8\u4E88\u4ED9\u4E4B\u4FA0\u9053\u6E38\u620F\u7684\u4EFB\u4F55\u8D44\u8D39\uFF08\u4EE5\u4E0B\u7B80\u79F0\u201C\u9000\u6B3E\u201D\uFF09\uFF0C\u65E0\u8BBA\u8BE5\u7B49\u8D44\u8D39\u662F\u5426\u5DF2\u88AB\u6D88\u8D39\u3002\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u51B3\u5B9A\u662F\u5426\u3001\u4F55\u65F6\u3001\u4EE5\u4F55\u79CD\u65B9\u5F0F\u5411\u7528\u6237\u9000\u6B3E\u3002\u4ED9\u4E4B\u4FA0\u9053\u540C\u610F\u9000\u6B3E\u7684\uFF0C\u7528\u6237\u5E94\u8865\u507F\u652F\u4ED8\u65F6\u4F7F\u7528\u4FE1\u7528\u5361\u3001\u624B\u673A\u7B49\u652F\u4ED8\u6E20\u9053\u4EA7\u751F\u7684\u8D39\u7528\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u5728\u8FD4\u8FD8\u7528\u6237\u7684\u8D44\u8D39\u4E2D\u76F4\u63A5\u6263\u6536\u3002\u5B58\u5728\u4E0B\u5217\u60C5\u51B5\u4E4B\u4E00\u7684\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u4E0D\u4E88\u9000\u6B3E\uFF1A\n    1.\u7528\u6237\u5DF2\u7ECF\u6D88\u8D39\u7684\u8D44\u8D39\u90E8\u5206\uFF0C\u4E0D\u4E88\u9000\u6B3E\uFF1B\n    2.\u7528\u6237\u5B58\u5728\u8FDD\u53CD\u672C\u534F\u8BAE\u7EA6\u5B9A\u7684\u884C\u4E3A\u7684\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u4E0D\u4E88\u9000\u6B3E\uFF1B\n    \uFF083\uFF09\u4ED9\u4E4B\u4FA0\u9053\u5728\u4EA7\u54C1\u548C\u670D\u52A1\u63D0\u4F9B\u8FC7\u7A0B\u4E2D\u8D60\u9001\u7684\u5145\u503C\u91D1\u989D\u3001\u865A\u62DF\u8D27\u5E01\u3001\u865A\u62DF\u9053\u5177\u7B49\uFF0C\u4E0D\u4E88\u9000\u6B3E\u6216\u53D8\u73B0\u3002\n    \n    \u5341\u3001\u514D\u8D23\u6761\u6B3E\n    10.1 \u7528\u6237\u4E4B\u95F4\u56E0\u7EBF\u4E0A\u6E38\u620F\u884C\u4E3A\u6240\u53D1\u751F\u6216\u53EF\u80FD\u53D1\u751F\u7684\u4EFB\u4F55\u5FC3\u7406\u3001\u751F\u7406\u4E0A\u7684\u4F24\u5BB3\u548C\u7ECF\u6D4E\u4E0A\u7684\u635F\u5931\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u627F\u62C5\u4EFB\u4F55\u8D23\u4EFB\u3002\n    10.2 \u7528\u6237\u56E0\u5176\u4E2A\u4EBA\u539F\u56E0\u9020\u6210\u8D26\u53F7\u8D44\u6599\u4FDD\u7BA1\u4E0D\u59A5\u800C\u5BFC\u81F4\u4E2A\u4EBA\u4FE1\u606F\u6570\u636E\u88AB\u4ED6\u4EBA\u6CC4\u9732\u6216\u8D26\u53F7\u4E2D\u865A\u62DF\u8D22\u4EA7\u3001\u6E38\u620F\u9053\u5177\u88AB\u76D7\u6216\u635F\u5931\u7684\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u627F\u62C5\u4EFB\u4F55\u8D23\u4EFB\u3002\n    10.3 \u7528\u6237\u56E0\u9664\u4E86\u6309\u6E38\u620F\u89C4\u5219\u8FDB\u884C\u6E38\u620F\u7684\u884C\u4E3A\u5916\u7684\u5176\u4ED6\u884C\u4E3A\u89E6\u72AF\u4E86\u4E2D\u534E\u4EBA\u6C11\u5171\u548C\u56FD\u6CD5\u5F8B\u6CD5\u89C4\u7684\uFF0C\u8D23\u4EFB\u81EA\u8D1F\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u627F\u62C5\u4EFB\u4F55\u8D23\u4EFB\u3002\n    10.4 \u7528\u6237\u8D26\u53F7\u957F\u671F\u4E0D\u4F7F\u7528\u7684\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u8FDB\u884C\u56DE\u6536\uFF0C\u56E0\u6B64\u5E26\u6765\u7684\u7528\u6237\u4E2A\u4EBA\u4FE1\u606F\u6570\u636E\u4E22\u5931\u3001\u8D26\u6237\u5185\u865A\u62DF\u8D22\u4EA7\u548C\u6E38\u620F\u9053\u5177\u6E05\u96F6\u7B49\u4E00\u5207\u635F\u5931\u7531\u7528\u6237\u4E2A\u4EBA\u627F\u62C5\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u627F\u62C5\u4EFB\u4F55\u8D23\u4EFB\u3002\n    10.5\u57FA\u4E8E\u7F51\u7EDC\u73AF\u5883\u7684\u590D\u6742\u6027\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u62C5\u4FDD\u670D\u52A1\u4E00\u5B9A\u80FD\u6EE1\u8DB3\u7528\u6237\u7684\u8981\u6C42\uFF0C\u4E0D\u4FDD\u8BC1\u5404\u9879\u670D\u52A1\u5B8C\u5168\u65E0\u9519\u8BEF\u3001\u65E0\u7F3A\u9677\u3001\u4E0D\u4F1A\u4E2D\u65AD\u3001\u6216\u4E0D\u4F1A\u53D7\u5230\u4EFB\u4F55\u6765\u81EA\u4ED6\u65B9\u56E0\u7D20\u7684\u5E72\u6270\u53CA\u635F\u5BB3\u7B49\uFF0C\u5BF9\u670D\u52A1\u7684\u53CA\u65F6\u6027\u3001\u5B89\u5168\u6027\u4E5F\u4E0D\u4F5C\u62C5\u4FDD\u3002\u56E0\u7F51\u7EDC\u5B89\u5168\u3001\u7F51\u7EDC\u6545\u969C\u95EE\u9898\u548C\u5176\u4ED6\u7528\u6237\u7684\u975E\u6CD5\u884C\u4E3A\u7ED9\u7528\u6237\u9020\u6210\u7684\u635F\u5931\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u627F\u62C5\u4EFB\u4F55\u8D23\u4EFB\u3002\n    10.6 \u57FA\u4E8E\u7F51\u7EDC\u73AF\u5883\u7684\u7279\u6B8A\u6027\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u62C5\u4FDD\u5BF9\u7528\u6237\u9650\u5236\u6027\u884C\u4E3A\u548C\u7981\u6B62\u6027\u884C\u4E3A\u7684\u5224\u65AD\u7684\u51C6\u786E\u6027\uFF0C\u7528\u6237\u56E0\u6B64\u4EA7\u751F\u7684\u4EFB\u4F55\u635F\u5931\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u627F\u62C5\u4EFB\u4F55\u8D23\u4EFB\uFF0C\u7528\u6237\u53EF\u6309\u4ED9\u4E4B\u4FA0\u9053\u76F8\u5173\u89C4\u5B9A\u8FDB\u884C\u7533\u8BC9\u89E3\u51B3\u3002\n    10.7 \u4ED9\u4E4B\u4FA0\u9053\u4E0D\u4FDD\u8BC1\u60A8\u4ECE\u7B2C\u4E09\u65B9\u83B7\u5F97\u7684\u4ED9\u4E4B\u4FA0\u9053\u865A\u62DF\u8D27\u5E01\u3001\u6E38\u620F\u9053\u5177\u7B49\u6E38\u620F\u7269\u54C1\u80FD\u6B63\u5E38\u4F7F\u7528\uFF0C\u4E5F\u4E0D\u4FDD\u8BC1\u8BE5\u7B49\u7269\u54C1\u4E0D\u88AB\u7D22\u56DE\uFF0C\u56E0\u79C1\u4E0B\u8D2D\u4E70\u865A\u62DF\u8D27\u5E01\u3001\u6E38\u620F\u9053\u5177\u7B49\u6E38\u620F\u7269\u54C1\u6240\u4EA7\u751F\u7684\u4E00\u5207\u635F\u5931\u5747\u7531\u7528\u6237\u81EA\u884C\u627F\u62C5\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4E0D\u627F\u62C5\u4EFB\u4F55\u8D23\u4EFB\u3002\n    10.8\u7528\u6237\u5728\u4F7F\u7528\u4ED9\u4E4B\u4FA0\u9053\u670D\u52A1\u65F6\uFF0C\u5FC5\u987B\u9075\u5B88\u4E2D\u534E\u4EBA\u6C11\u5171\u548C\u56FD\u76F8\u5173\u6CD5\u5F8B\u6CD5\u89C4\u7684\u89C4\u5B9A\uFF0C\u7528\u6237\u540C\u610F\u5C06\u4E0D\u4F1A\u5229\u7528\u672C\u670D\u52A1\u8FDB\u884C\u4EFB\u4F55\u8FDD\u6CD5\u6216\u4E0D\u6B63\u5F53\u7684\u6D3B\u52A8\uFF0C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u4E0B\u5217\u884C\u4E3A\u2236\n    \u4E0A\u4F20\u3001\u5C55\u793A\u3001\u5F20\u8D34\u3001\u4F20\u64AD\u6216\u4EE5\u5176\u5B83\u65B9\u5F0F\u4F20\u9001\u542B\u6709\u4E0B\u5217\u5185\u5BB9\u4E4B\u4E00\u7684\u4FE1\u606F\uFF1A\n       \uFF081\uFF09\u53CD\u5BF9\u5BAA\u6CD5\u6240\u786E\u5B9A\u7684\u57FA\u672C\u539F\u5219\u7684\uFF1B\n       \uFF082\uFF09\u5371\u5BB3\u56FD\u5BB6\u5B89\u5168\uFF0C\u6CC4\u9732\u56FD\u5BB6\u79D8\u5BC6\uFF0C\u98A0\u8986\u56FD\u5BB6\u653F\u6743\uFF0C\u7834\u574F\u56FD\u5BB6\u7EDF\u4E00\u7684\uFF1B\n       \uFF083\uFF09\u635F\u5BB3\u56FD\u5BB6\u8363\u8A89\u548C\u5229\u76CA\u7684\uFF1B\n       \uFF084\uFF09\u717D\u52A8\u6C11\u65CF\u4EC7\u6068\u3001\u6C11\u65CF\u6B67\u89C6\u3001\u7834\u574F\u6C11\u65CF\u56E2\u7ED3\u7684\uFF1B\n       \uFF085\uFF09\u7834\u574F\u56FD\u5BB6\u5B97\u6559\u653F\u7B56\uFF0C\u5BA3\u626C\u90AA\u6559\u548C\u5C01\u5EFA\u8FF7\u4FE1\u7684\uFF1B\n       \uFF086\uFF09\u6563\u5E03\u8C23\u8A00\uFF0C\u6270\u4E71\u793E\u4F1A\u79E9\u5E8F\uFF0C\u7834\u574F\u793E\u4F1A\u7A33\u5B9A\u7684\uFF1B\n       \uFF087\uFF09\u6563\u5E03\u6DEB\u79FD\u3001\u8272\u60C5\u3001\u8D4C\u535A\u3001\u66B4\u529B\u3001\u51F6\u6740\u3001\u6050\u6016\u6216\u8005\u6559\u5506\u72AF\u7F6A\u7684\uFF1B\n       \uFF088\uFF09\u4FAE\u8FB1\u6216\u8005\u8BFD\u8C24\u4ED6\u4EBA\uFF0C\u4FB5\u5BB3\u4ED6\u4EBA\u5408\u6CD5\u6743\u5229\u7684\uFF1B\n       \uFF089\uFF09\u542B\u6709\u865A\u5047\u3001\u6709\u5BB3\u3001\u80C1\u8FEB\u3001\u4FB5\u5BB3\u4ED6\u4EBA\u9690\u79C1\u3001\u9A9A\u6270\u3001\u4FB5\u5BB3\u3001\u4E2D\u4F24\u3001\u7C97\u4FD7\u3001\u7325\u4EB5\u3001\u6216\u5176\u5B83\u9053\u5FB7\u4E0A\u4EE4\u4EBA\u53CD\u611F\u7684\u5185\u5BB9\uFF1B\n       \uFF0810\uFF09\u542B\u6709\u4E2D\u56FD\u6CD5\u5F8B\u3001\u6CD5\u89C4\u3001\u89C4\u7AE0\u3001\u6761\u4F8B\u4EE5\u53CA\u4EFB\u4F55\u5177\u6709\u6CD5\u5F8B\u6548\u529B\u4E4B\u89C4\u8303\u6240\u9650\u5236\u6216\u7981\u6B62\u7684\u5176\u5B83\u5185\u5BB9\u7684\u6216\u4EE5\u4EFB\u4F55\u65B9\u5F0F\u5371\u5BB3\u4ED6\u4EBA\u7684\u5408\u6CD5\u6743\u76CA\u3002\n    10.9\u7528\u6237\u8FDD\u53CD\u672C\u534F\u8BAE\u7684\u7EA6\u5B9A\u6216\u76F8\u5173\u7684\u670D\u52A1\u6761\u6B3E\u7684\u89C4\u5B9A\uFF0C\u5BFC\u81F4\u6216\u4EA7\u751F\u7684\u4EFB\u4F55\u7B2C\u4E09\u65B9\u4E3B\u5F20\u7684\u4EFB\u4F55\u7D22\u8D54\u3001\u8981\u6C42\u6216\u635F\u5931\uFF0C\u5305\u62EC\u5408\u7406\u7684\u5F8B\u5E08\u8D39\uFF0C\u60A8\u540C\u610F\u8D54\u507F\u4ED9\u4E4B\u4FA0\u9053\u4E0E\u5408\u4F5C\u516C\u53F8\u3001\u5173\u8054\u516C\u53F8\uFF0C\u5E76\u4F7F\u4E4B\u514D\u53D7\u635F\u5BB3\u3002\u5BF9\u6B64\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u6709\u6743\u89C6\u7528\u6237\u7684\u884C\u4E3A\u6027\u8D28\uFF0C\u91C7\u53D6\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u4E0B\u5217\u4E00\u9879\u6216\u591A\u9879\u63AA\u65BD\uFF1A\uFF081\uFF09\u5220\u9664\u7528\u6237\u53D1\u5E03\u4FE1\u606F\u5185\u5BB9\uFF1B\uFF082\uFF09\u6682\u505C\u6216\u7EC8\u6B62\u4F7F\u7528\u8BB8\u53EF\uFF1B\uFF083\uFF09\u6682\u505C\u6216\u7EC8\u6B62\u670D\u52A1\uFF1B\uFF084\uFF09\u9650\u5236\u6216\u7981\u6B62\u4F7F\u7528\u8D26\u53F7\uFF08\u5C01\u53F7\uFF09\uFF1B\uFF085\uFF09\u56DE\u6536\u8D26\u53F7\uFF1B\uFF086\uFF09\u8FFD\u7A76\u6CD5\u5F8B\u8D23\u4EFB\u7B49\u3002\u56E0\u4E0A\u8FF0\u63AA\u65BD\u6240\u5BFC\u81F4\u7684\u7528\u6237\u5E10\u53F7\u5185\u76F8\u5173\u6E38\u620F\u9053\u5177\uFF08\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u6E38\u620F\u865A\u62DF\u8D27\u5E01\u3001\u6E38\u620F\u88C5\u5907\u7B49\uFF09\u3001\u4FE1\u606F\u6570\u636E\u7B49\u8FC7\u671F\u6216\u8005\u5931\u6548\u7B49\u540E\u679C\uFF0C\u7531\u7528\u6237\u81EA\u884C\u627F\u62C5\u3002\u540C\u65F6\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u4F1A\u6309\u7167\u53F8\u6CD5\u90E8\u95E8\u7684\u8981\u6C42\uFF0C\u534F\u52A9\u53F8\u6CD5\u8C03\u67E5\u3002\n    \n    \n    \u5341\u4E00\u3001\u672A\u6210\u5E74\u4EBA\u4F7F\u7528\u6761\u6B3E\u53CA\u5065\u5EB7\u6E38\u620F\u5FE0\u544A\n    11.1 \u672A\u6210\u5E74\u4EBA\u7528\u6237\u5FC5\u987B\u9075\u5B88\u5168\u56FD\u9752\u5C11\u5E74\u7F51\u7EDC\u6587\u660E\u516C\u7EA6\uFF1A\n    \u8981\u5584\u4E8E\u7F51\u4E0A\u5B66\u4E60\uFF0C\u4E0D\u6D4F\u89C8\u4E0D\u826F\u4FE1\u606F\uFF1B\u8981\u8BDA\u5B9E\u53CB\u597D\u4EA4\u6D41\uFF0C\u4E0D\u4FAE\u8FB1\u6B3A\u8BC8\u4ED6\u4EBA\uFF1B\u8981\u589E\u5F3A\u81EA\u62A4\u610F\u8BC6\uFF0C\u4E0D\u968F\u610F\u7EA6\u4F1A\u7F51\u53CB\uFF1B\u8981\u7EF4\u62A4\u7F51\u7EDC\u5B89\u5168\uFF0C\u4E0D\u7834\u574F\u7F51\u7EDC\u79E9\u5E8F\uFF1B\u8981\u6709\u76CA\u8EAB\u5FC3\u5065\u5EB7\uFF0C\u4E0D\u6C89\u6EBA\u865A\u62DF\u65F6\u7A7A\u3002\n    11.2\u6839\u636E\u56FD\u5BB6\u65B0\u95FB\u51FA\u7248\u603B\u7F72\u5173\u4E8E\u5065\u5EB7\u6E38\u620F\u7684\u5FE0\u544A\uFF0C\u4ED9\u4E4B\u4FA0\u9053\u63D0\u9192\u60A8\uFF1A\u62B5\u5236\u4E0D\u826F\u6E38\u620F\uFF0C\u62D2\u7EDD\u76D7\u7248\u6E38\u620F\uFF1B\u6CE8\u610F\u81EA\u6211\u4FDD\u62A4\uFF0C\u8C28\u9632\u53D7\u9A97\u4E0A\u5F53\uFF1B\u9002\u5EA6\u6E38\u620F\u76CA\u8111\uFF0C\u6C89\u8FF7\u6E38\u620F\u4F24\u8EAB\u3002\n    \n    \u5341\u4E8C\u3001\u6CD5\u5F8B\u9002\u7528\u53CA\u4E89\u8BAE\u89E3\u51B3 \n    12.1 \u672C\u534F\u8BAE\u9002\u7528\u4E2D\u534E\u4EBA\u6C11\u5171\u548C\u56FD\u5927\u9646\u5730\u533A\u6CD5\u5F8B\u3002\n    12.2 \u56E0\u672C\u534F\u8BAE\u5F15\u8D77\u7684\u6216\u4E0E\u672C\u534F\u8BAE\u6709\u5173\u7684\u4EFB\u4F55\u4E89\u8BAE\uFF0C\u5404\u65B9\u5E94\u53CB\u597D\u534F\u5546\u89E3\u51B3\uFF1B\u534F\u5546\u4E0D\u6210\u7684\uFF0C\u4EFB\u4F55\u4E00\u65B9\u5747\u53EF\u5C06\u6709\u5173\u4E89\u8BAE\u5411\u4ED9\u4E4B\u4FA0\u9053\u516C\u53F8\u6240\u5728\u5730\u4EBA\u6C11\u6CD5\u9662\u63D0\u8D77\u8BC9\u8BBC\u3002\n    \n    \u5341\u4E09\u3001\u5176\u4ED6\u6761\u6B3E \n    13.1 \u5982\u679C\u672C\u534F\u8BAE\u4E2D\u7684\u4EFB\u4F55\u6761\u6B3E\u65E0\u8BBA\u56E0\u4F55\u79CD\u539F\u56E0\u5B8C\u5168\u6216\u90E8\u5206\u65E0\u6548\u6216\u4E0D\u5177\u6709\u6267\u884C\u529B\uFF0C\u6216\u8FDD\u53CD\u4EFB\u4F55\u9002\u7528\u7684\u6CD5\u5F8B\uFF0C\u5219\u8BE5\u6761\u6B3E\u88AB\u89C6\u4E3A\u5220\u9664\uFF0C\u4F46\u672C\u534F\u8BAE\u7684\u5176\u4F59\u6761\u6B3E\u4ECD\u7EE7\u7EED\u6709\u6548\u5E76\u4E14\u6709\u7EA6\u675F\u529B\u3002\n    13.2 \u4ED9\u4E4B\u4FA0\u9053\u5728\u6CD5\u5F8B\u5141\u8BB8\u8303\u56F4\u5185\u5BF9\u672C\u534F\u8BAE\u62E5\u6709\u89E3\u91CA\u6743\u4E0E\u4FEE\u6539\u6743\u3002\n    \u4ED9\u4E4B\u4FA0\u9053\u56E2\u961F\n    2019\u5E744\u6708";
        exports.IOS_PROTOCOL = "\u5C0A\u656C\u7684\u7528\u6237\uFF1A\n    \u597D\u55E8\u975E\u5E38\u91CD\u89C6\u5BF9\u7528\u6237\u7684\u4E2A\u4EBA\u9690\u79C1\u4FDD\u62A4\uFF0C\u5C0A\u91CD\u5E76\u4FDD\u62A4\u7528\u6237\uFF08\u4EE5\u4E0B\u7B80\u79F0\u201C\u60A8\u201D\u6216\u201C\u7528\u6237\u201D\uFF09\u7684\u9690\u79C1\uFF0C\u6211\u4EEC\u5C06\u6309\u7167\u672C\u9690\u79C1\u653F\u7B56(\u4EE5\u4E0B\u79F0\u201C\u672C\u653F\u7B56\u201D)\u6536\u96C6\u3001\u4F7F\u7528\u3001\u5171\u4EAB\u548C\u4FDD\u62A4\u7528\u6237\u7684\u4E2A\u4EBA\u4FE1\u606F\u3002\u5728\u7528\u6237\u4F7F\u7528\u597D\u55E8\u4EA7\u54C1\u53CA\u670D\u52A1\u524D\uFF0C\u8BF7\u7528\u6237\u4ED4\u7EC6\u9605\u8BFB\u5E76\u5168\u9762\u4E86\u89E3\u672C\u653F\u7B56\u3002\u5982\u679C\u7528\u6237\u662F\u672A\u6210\u5E74\u4EBA\uFF0C\u7528\u6237\u7684\u76D1\u62A4\u4EBA\u9700\u8981\u4ED4\u7EC6\u9605\u8BFB\u672C\u653F\u7B56\u5E76\u540C\u610F\u7528\u6237\u4F9D\u7167\u672C\u653F\u7B56\u4F7F\u7528\u6211\u4EEC\u7684\u4EA7\u54C1\u53CA\u670D\u52A1\u3002\u5F53\u7528\u6237\u6D4F\u89C8\u3001\u8BBF\u95EE\u597D\u55E8\u53CA\u4F7F\u7528\u597D\u55E8\u4EA7\u54C1\u6216\u670D\u52A1\u65F6\uFF0C\u5373\u8868\u793A\u7528\u6237\u5DF2\u7ECF\u540C\u610F\u6211\u4EEC\u6309\u7167\u672C\u653F\u7B56\u6765\u6536\u96C6\u3001\u4F7F\u7528\u3001\u5171\u4EAB\u548C\u4FDD\u62A4\u7528\u6237\u7684\u4E2A\u4EBA\u4FE1\u606F\u3002\u6211\u4EEC\u6536\u96C6\u3001\u4F7F\u7528\u3001\u5171\u4EAB\u548C\u4FDD\u62A4\u7528\u6237\u7684\u4E2A\u4EBA\u4FE1\u606F\uFF0C\u662F\u5728\u9075\u5B88\u56FD\u5BB6\u6CD5\u5F8B\u6CD5\u89C4\u89C4\u5B9A\u7684\u524D\u63D0\u4E0B\uFF0C\u51FA\u4E8E\u5411\u7528\u6237\u63D0\u4F9B\u597D\u55E8\u4EA7\u54C1\u53CA\u670D\u52A1\u5E76\u4E0D\u65AD\u63D0\u5347\u4EA7\u54C1\u53CA\u670D\u52A1\u8D28\u91CF\u7684\u76EE\u7684\uFF0C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u652F\u6301\u6211\u4EEC\u5F00\u5C55\u597D\u55E8\u4EA7\u54C1\u53CA\u670D\u52A1\u76F8\u5173\u7684\u5E02\u573A\u6D3B\u52A8\u3001\u5B8C\u5584\u73B0\u6709\u4EA7\u54C1\u53CA\u670D\u52A1\u529F\u80FD\u3001\u5F00\u53D1\u65B0\u4EA7\u54C1\u6216\u65B0\u670D\u52A1\u3002\u8BF7\u6CE8\u610F\u6211\u4EEC\u4E0D\u65F6\u5730\u4F1A\u68C0\u67E5\u6211\u4EEC\u7684\u653F\u7B56\uFF0C\u56E0\u6B64\u6709\u5173\u7684\u63AA\u65BD\u4F1A\u968F\u4E4B\u53D8\u5316\u3002\u8BF7\u7528\u6237\u5B9A\u671F\u67E5\u770B\u672C\u9875\u9762\uFF0C\u4EE5\u786E\u4FDD\u5BF9\u6211\u4EEC\u300A\u9690\u79C1\u653F\u7B56\u300B\u6700\u65B0\u7248\u672C\u59CB\u7EC8\u4FDD\u6301\u4E86\u89E3\u3002\u5982\u679C\u60A8\u4E0D\u63A5\u53D7\u4FEE\u6539\u540E\u7684\u6761\u6B3E\uFF0C\u8BF7\u7ACB\u5373\u505C\u6B62\u4F7F\u7528\u597D\u55E8\uFF0C\u60A8\u7EE7\u7EED\u4F7F\u7528\u597D\u55E8\u5C06\u88AB\u89C6\u4E3A\u63A5\u53D7\u4FEE\u6539\u540E\u7684\u653F\u7B56\u3002\u7ECF\u4FEE\u6539\u7684\u653F\u7B56\u4E00\u7ECF\u5728\u597D\u55E8\u4E0A\u516C\u5E03\uFF0C\u7ACB\u5373\u81EA\u52A8\u751F\u6548\u3002\n    \n    \u597D\u55E8\u5EFA\u8BAE\u60A8\u5728\u4F7F\u7528\u672C\u4EA7\u54C1\u4E4B\u524D\u4ED4\u7EC6\u9605\u8BFB\u5E76\u7406\u89E3\u672C\u653F\u7B56\u5168\u90E8\u5185\u5BB9\u3002\n    \n    \u4E00\u3001 \u6211\u4EEC\u6536\u96C6\u60A8\u7684\u54EA\u4E9B\u4FE1\u606F\n    \u8BF7\u60A8\u77E5\u6089\uFF0C\u6211\u4EEC\u6536\u96C6\u60A8\u7684\u4EE5\u4E0B\u4FE1\u606F\u662F\u51FA\u4E8E\u6EE1\u8DB3\u60A8\u5728\u597D\u55E8\u670D\u52A1\u9700\u8981\u7684\u76EE\u7684\uFF0C\u4E14\u6211\u4EEC\u5341\u5206\u91CD\u89C6\u5BF9\u60A8\u9690\u79C1\u7684\u4FDD\u62A4\u3002\u5728\u6211\u4EEC\u6536\u96C6\u60A8\u7684\u4FE1\u606F\u65F6\uFF0C\u5C06\u4E25\u683C\u9075\u5B88\u201C\u5408\u6CD5\u3001\u6B63\u5F53\u3001\u5FC5\u8981\u201D\u7684\u539F\u5219\u3002\u4E14\u60A8\u77E5\u6089\uFF0C\u82E5\u60A8\u4E0D\u63D0\u4F9B\u6211\u4EEC\u670D\u52A1\u6240\u9700\u7684\u76F8\u5173\u4FE1\u606F\uFF0C\u60A8\u5728\u597D\u55E8\u7684\u670D\u52A1\u4F53\u9A8C\u53EF\u80FD\u56E0\u6B64\u800C\u53D7\u5230\u5F71\u54CD\u3002\n    1.\u6211\u4EEC\u5C06\u6536\u96C6\u60A8\u7684\u79FB\u52A8\u8BBE\u5907\u4FE1\u606F\u3001\u64CD\u4F5C\u8BB0\u5F55\u3001\u8D26\u53F7\u5730\u5740\u7B49\u4E2A\u4EBA\u4FE1\u606F\u3002\n    2. \u4E3A\u6EE1\u8DB3\u60A8\u7684\u7279\u5B9A\u670D\u52A1\u9700\u6C42\uFF0C\u6211\u4EEC\u5C06\u6536\u96C6\u60A8\u7684\u59D3\u540D\u3001\u624B\u673A\u53F7\u7801\u3001\u90AE\u4EF6\u5730\u5740\u7B49\u4FE1\u606F\u3002\n    3.\u8BF7\u60A8\u77E5\u6089\uFF1A\u60A8\u5728\u597D\u55E8\u4E0A\u7684\u5BC6\u7801\u5E76\u4E0D\u5B58\u50A8\u6216\u540C\u6B65\u81F3\u597D\u55E8\u670D\u52A1\u5668\u3002\u597D\u55E8\u4E0D\u63D0\u4F9B\u627E\u56DE\u60A8\u5BC6\u7801\u7684\u670D\u52A1\u3002\n    4. \u9664\u4E0A\u8FF0\u5185\u5BB9\u4E4B\u5916\uFF0C\u60A8\u77E5\u6089\u5728\u60A8\u4F7F\u7528\u597D\u55E8\u7279\u5B9A\u529F\u80FD\u65F6\uFF0C\u6211\u4EEC\u5C06\u5728\u6536\u96C6\u60A8\u7684\u4E2A\u4EBA\u4FE1\u606F\u524D\u5411\u60A8\u4F5C\u51FA\u7279\u522B\u63D0\u793A\uFF0C\u8981\u6C42\u5411\u60A8\u6536\u96C6\u66F4\u591A\u7684\u4E2A\u4EBA\u4FE1\u606F\u3002\u5982\u60A8\u9009\u62E9\u4E0D\u540C\u610F\uFF0C\u5219\u89C6\u4E3A\u60A8\u653E\u5F03\u4F7F\u7528\u597D\u55E8\u8BE5\u7279\u5B9A\u529F\u80FD\u3002\n    5. \u5728\u6CD5\u5F8B\u6CD5\u89C4\u5141\u8BB8\u7684\u8303\u56F4\u5185\uFF0C\u597D\u55E8\u53EF\u80FD\u4F1A\u5728\u4EE5\u4E0B\u60C5\u5F62\u4E2D\u6536\u96C6\u5E76\u4F7F\u7528\u60A8\u7684\u4E2A\u4EBA\u4FE1\u606F\u65E0\u9700\u5F81\u5F97\u60A8\u7684\u6388\u6743\u540C\u610F\uFF1A\n    \uFF081\uFF09 \u4E0E\u56FD\u5BB6\u5B89\u5168\u3001\u56FD\u9632\u5B89\u5168\u6709\u5173\u7684\uFF1B\n    \uFF082\uFF09 \u4E0E\u516C\u5171\u5B89\u5168\u3001\u516C\u5171\u536B\u751F\u3001\u91CD\u5927\u516C\u5171\u5229\u76CA\u6709\u5173\u7684\uFF1B\n    \uFF083\uFF09 \u4E0E\u72AF\u7F6A\u4FA6\u67E5\u3001\u8D77\u8BC9\u3001\u5BA1\u5224\u548C\u5224\u51B3\u6267\u884C\u7B49\u6709\u5173\u7684\uFF1B\n    \uFF084\uFF09 \u6240\u6536\u96C6\u7684\u4E2A\u4EBA\u4FE1\u606F\u662F\u60A8\u81EA\u884C\u5411\u793E\u4F1A\u516C\u4F17\u516C\u5F00\u7684\uFF1B\n    \uFF085\uFF09\u4ECE\u5408\u6CD5\u516C\u5F00\u62AB\u9732\u7684\u4FE1\u606F\u4E2D\u6536\u96C6\u60A8\u7684\u4E2A\u4EBA\u4FE1\u606F\uFF0C\u5982\u5408\u6CD5\u7684\u65B0\u95FB\u62A5\u9053\uFF0C\u653F\u5E9C\u4FE1\u606F\u516C\u5F00\u7B49\u6E20\u9053\uFF1B\n    \uFF086\uFF09\u7528\u4E8E\u7EF4\u62A4\u670D\u52A1\u7684\u5B89\u5168\u548C\u5408\u89C4\u6240\u5FC5\u9700\u7684\uFF0C\u4F8B\u5982\u53D1\u73B0\u3001\u5904\u7406\u4EA7\u54C1\u548C\u670D\u52A1\u7684\u6545\u969C\uFF1B\n    \uFF087\uFF09 \u6CD5\u5F8B\u6CD5\u89C4\u89C4\u5B9A\u7684\u5176\u4ED6\u60C5\u5F62\u3002\n    6. \u6211\u4EEC\u6536\u96C6\u4FE1\u606F\u7684\u65B9\u5F0F\u5982\u4E0B\uFF1A\n    \uFF081\uFF09 \u60A8\u5411\u6211\u4EEC\u63D0\u4F9B\u4FE1\u606F\u3002\u4F8B\u5982\uFF0C\u60A8\u5728\u201C\u4E2A\u4EBA\u4E2D\u5FC3\u201D\u9875\u9762\u4E2D\u586B\u5199\u59D3\u540D\u3001\u624B\u673A\u53F7\u7801\uFF0C\u6216\u5728\u53CD\u9988\u95EE\u9898\u65F6\u63D0\u4F9B\u90AE\u4EF6\u5730\u5740\uFF0C\u6216\u5728\u4F7F\u7528\u6211\u4EEC\u7684\u7279\u5B9A\u670D\u52A1\u65F6\uFF0C\u60A8\u989D\u5916\u5411\u6211\u4EEC\u63D0\u4F9B\u3002\n    \uFF082\uFF09\u6211\u4EEC\u5728\u60A8\u4F7F\u7528\u597D\u55E8\u7684\u8FC7\u7A0B\u4E2D\u83B7\u53D6\u4FE1\u606F\uFF0C\u5305\u62EC\u60A8\u79FB\u52A8\u8BBE\u5907\u4FE1\u606F\u4EE5\u53CA\u60A8\u5BF9\u597D\u55E8\u7684\u64CD\u4F5C\u8BB0\u5F55\u7B49\u4FE1\u606F\uFF1B\n    \n    \u4E8C\u3001 \u6211\u4EEC\u5982\u4F55\u4F7F\u7528\u60A8\u7684\u4FE1\u606F\n    1. \u6211\u4EEC\u5C06\u5411\u60A8\u53CA\u65F6\u53D1\u9001\u91CD\u8981\u901A\u77E5\uFF0C\u5982\u8F6F\u4EF6\u66F4\u65B0\u3001\u7528\u6237\u534F\u8BAE\u53CA\u672C\u653F\u7B56\u6761\u6B3E\u7684\u53D8\u66F4\u3002\n    2. \u6211\u4EEC\u901A\u8FC7\u6536\u96C6\u60A8\u516C\u5F00\u7684\u94B1\u5305\u5730\u5740\u548C\u63D0\u4F9B\u7684\u79FB\u52A8\u8BBE\u5907\u4FE1\u606F\u6765\u5904\u7406\u60A8\u5411\u6211\u4EEC\u63D0\u4EA4\u7684\u53CD\u9988\u3002\n    3. \u6211\u4EEC\u6536\u96C6\u60A8\u7684\u4E2A\u4EBA\u4FE1\u606F\u8FDB\u884C\u597D\u55E8\u5185\u90E8\u5BA1\u8BA1\u3001\u6570\u636E\u5206\u6790\u548C\u7814\u7A76\u7B49\uFF0C\u4EE5\u671F\u4E0D\u65AD\u63D0\u5347\u6211\u4EEC\u7684\u670D\u52A1\u6C34\u5E73\u3002\n    4. \u4F9D\u7167\u300A\u597D\u55E8\u7528\u6237\u534F\u8BAE\u300B\u53CA\u597D\u55E8\u5176\u4ED6\u6709\u5173\u89C4\u5B9A\uFF0C\u597D\u55E8\u5C06\u5229\u7528\u7528\u6237\u4FE1\u606F\u5BF9\u7528\u6237\u7684\u4F7F\u7528\u884C\u4E3A\u8FDB\u884C\u7BA1\u7406\u53CA\u5904\u7406\u3002\n    5. \u6CD5\u5F8B\u6CD5\u89C4\u89C4\u5B9A\u53CA\u4E0E\u76D1\u7BA1\u673A\u6784\u914D\u5408\u7684\u8981\u6C42\u3002\n    \n    \u4E09\u3001 \u60A8\u5982\u4F55\u63A7\u5236\u81EA\u5DF1\u7684\u4FE1\u606F\n    \u60A8\u5728\u597D\u55E8\u4E2D\u62E5\u6709\u4EE5\u4E0B\u5BF9\u60A8\u4E2A\u4EBA\u4FE1\u606F\u81EA\u4E3B\u63A7\u5236\u6743\uFF1A\n    1. \u60A8\u53EF\u4EE5\u901A\u8FC7\u540C\u6B65\u8D26\u53F7\u7684\u65B9\u5F0F\uFF0C\u5C06\u60A8\u7684\u5176\u4ED6\u8D26\u53F7\u5BFC\u5165\u597D\u55E8\u4E2D\uFF0C\u6216\u8005\u5C06\u60A8\u5728\u597D\u55E8\u7684\u8D26\u53F7\u5BFC\u5165\u5230\u5176\u4ED6\u6570\u5B57\u4EE3\u5E01\u7BA1\u7406\u94B1\u5305\u4E2D\u3002\u597D\u55E8\u5C06\u5411\u60A8\u663E\u793A\u5BFC\u5165\u8D26\u53F7\u7684\u4FE1\u606F\u3002\n    3. \u60A8\u77E5\u6089\u5728\u597D\u55E8\u201C\u6211\u201D\u7684\u7248\u5757\u60A8\u53EF\u4EE5\u81EA\u7531\u9009\u62E9\u8FDB\u884C\u5982\u4E0B\u64CD\u4F5C\uFF1A\n    \uFF081\uFF09 \u5728\u201C\u901A\u8BAF\u5F55\u201D\u4E2D\uFF0C\u60A8\u53EF\u4EE5\u968F\u65F6\u67E5\u770B\u5E76\u4FEE\u6539\u60A8\u7684\u201C\u8054\u7CFB\u4EBA\u201D\uFF1B\n    \uFF083\uFF09 \u5728\u201C\u6211\u7684\u4FE1\u606F\u201D\u4E2D\uFF0C\u60A8\u5E76\u4E0D\u9700\u8981\u63D0\u4F9B\u81EA\u5DF1\u7684\u624B\u673A\u53F7\u7801\u7B49\u4FE1\u606F\uFF0C\u4F46\u5F53\u60A8\u4F7F\u7528\u7279\u5B9A\u670D\u52A1\u65F6\uFF0C\u60A8\u9700\u8981\u63D0\u4F9B\u4EE5\u4E0A\u4FE1\u606F\uFF1B\n    4. \u8BF7\u60A8\u77E5\u6089\u5F53\u6211\u4EEC\u51FA\u4E8E\u7279\u5B9A\u76EE\u7684\u5411\u60A8\u6536\u96C6\u4FE1\u606F\u65F6\uFF0C\u6211\u4EEC\u4F1A\u63D0\u524D\u7ED9\u4E88\u60A8\u901A\u77E5\uFF0C\u60A8\u6709\u6743\u9009\u62E9\u62D2\u7EDD\u3002\u4F46\u540C\u65F6\u60A8\u77E5\u6089\uFF0C\u5F53\u60A8\u9009\u62E9\u62D2\u7EDD\u63D0\u4F9B\u6709\u5173\u4FE1\u606F\u65F6\uFF0C\u5373\u8868\u793A\u60A8\u653E\u5F03\u4F7F\u7528\u597D\u55E8\u7684\u6709\u5173\u670D\u52A1\u3002\n    5. \u8BF7\u60A8\u77E5\u6089\uFF0C\u60A8\u53CA\u6211\u4EEC\u5BF9\u4E8E\u60A8\u4EA4\u6613\u8BB0\u5F55\u662F\u5426\u516C\u5F00\u5E76\u6CA1\u6709\u63A7\u5236\u6743\uFF0C\u56E0\u4E3A\u57FA\u4E8E\u533A\u5757\u94FE\u4EA4\u6613\u7CFB\u7EDF\u7684\u5F00\u6E90\u5C5E\u6027\uFF0C\u60A8\u7684\u4EA4\u6613\u8BB0\u5F55\u5728\u6574\u4E2A\u533A\u5757\u94FE\u7CFB\u7EDF\u4E2D\u516C\u5F00\u900F\u660E\u3002\n    6.  \u60A8\u6709\u6743\u8981\u6C42\u6211\u4EEC\u66F4\u65B0\u3001\u66F4\u6539\u3001\u5220\u9664\u60A8\u7684\u6709\u5173\u4FE1\u606F\u3002\n    7. \u60A8\u77E5\u6089\u6211\u4EEC\u53EF\u4EE5\u6839\u636E\u672C\u653F\u7B56\u7B2C\u4E00\u6761\u7B2C6\u6B3E\u7684\u8981\u6C42\u6536\u96C6\u60A8\u7684\u4FE1\u606F\u800C\u65E0\u9700\u83B7\u5F97\u60A8\u7684\u6388\u6743\u540C\u610F\u3002\n    \n    \n    \u56DB\u3001 \u4FE1\u606F\u7684\u5B89\u5168\u53CA\u4FDD\u62A4\n    \u597D\u55E8\u5C06\u91C7\u7528\u4E25\u683C\u7684\u5B89\u5168\u5236\u5EA6\u4EE5\u53CA\u884C\u4E1A\u901A\u884C\u7684\u5B89\u5168\u6280\u672F\u548C\u7A0B\u5E8F\u6765\u786E\u4FDD\u7528\u6237\u7684\u4E2A\u4EBA\u4FE1\u606F\u4E0D\u4E22\u5931\u3001\u6CC4\u9732\u3001\u6BC1\u635F\u6216\u88AB\u6EE5\u7528\u548C\u53D8\u9020;\u6211\u4EEC\u5C06\u4F7F\u7528\u5B89\u5168\u6280\u672F\u548C\u7A0B\u5E8F\uFF0C\u6765\u4FDD\u62A4\u7528\u6237\u7684\u4E2A\u4EBA\u4FE1\u606F\u4E0D\u88AB\u672A\u7ECF\u6388\u6743\u7684\u8BBF\u95EE\u3001\u4F7F\u7528;\u6211\u4EEC\u7684\u5458\u5DE5\u53CA\u670D\u52A1\u5916\u5305\u4EBA\u5458\u5C06\u53D7\u5230\u4FDD\u5BC6\u534F\u8BAE\u7684\u7EA6\u675F\uFF0C\u540C\u65F6\u8FD8\u5C06\u53D7\u5230\u6570\u636E\u4FE1\u606F\u7684\u6743\u9650\u63A7\u5236\u548C\u64CD\u4F5C\u76D1\u63A7\u3002\n    \n    \u8BF7\u7528\u6237\u6CE8\u610F\uFF0C\u4EFB\u4F55\u5B89\u5168\u7CFB\u7EDF\u90FD\u5B58\u5728\u53EF\u80FD\u7684\u53CA\u672A\u77E5\u7684\u98CE\u9669\u3002\u8BF7\u7528\u6237\u7406\u89E3\uFF0C\u7531\u4E8E\u6280\u672F\u7684\u9650\u5236\u4EE5\u53CA\u98CE\u9669\u9632\u8303\u7684\u5C40\u9650\uFF0C\u5373\u4FBF\u6211\u4EEC\u5DF2\u7ECF\u5C3D\u91CF\u52A0\u5F3A\u5B89\u5168\u63AA\u65BD\uFF0C\u4E5F\u65E0\u6CD5\u59CB\u7EC8\u4FDD\u8BC1\u4FE1\u606F\u767E\u5206\u4E4B\u767E\u7684\u5B89\u5168\u3002\u7528\u6237\u9700\u8981\u4E86\u89E3\uFF0C\u7528\u6237\u63A5\u5165\u4EA7\u54C1\u670D\u52A1\u6240\u7528\u7684\u7CFB\u7EDF\u548C\u901A\u8BAF\u7F51\u7EDC\uFF0C\u6709\u53EF\u80FD\u56E0\u6211\u4EEC\u53EF\u63A7\u8303\u56F4\u5916\u7684\u60C5\u51B5\u800C\u53D1\u751F\u95EE\u9898\u3002\n    \n    \n    1. \u5982\u597D\u55E8\u505C\u6B62\u8FD0\u8425\uFF0C\u597D\u55E8\u5C06\u53CA\u65F6\u505C\u6B62\u7EE7\u7EED\u6536\u96C6\u60A8\u4E2A\u4EBA\u4FE1\u606F\u7684\u6D3B\u52A8\uFF0C\u5C06\u505C\u6B62\u8FD0\u8425\u7684\u901A\u77E5\u516C\u544A\u5728\u597D\u55E8\u4E0A\uFF0C\u5E76\u5BF9\u6240\u6301\u6709\u7684\u60A8\u7684\u4E2A\u4EBA\u4FE1\u606F\u5728\u5408\u7406\u671F\u9650\u5185\u8FDB\u884C\u5220\u9664\u6216\u533F\u540D\u5316\u5904\u7406\u3002\n    2. \u4E3A\u4E86\u4FDD\u62A4\u60A8\u7684\u4E2A\u4EBA\u4FE1\u606F\uFF0C\u597D\u55E8\u5C06\u91C7\u53D6\u6570\u636E\u5B89\u5168\u6280\u672F\u63AA\u65BD\uFF0C\u63D0\u5347\u5185\u90E8\u5408\u89C4\u6C34\u5E73\uFF0C\u589E\u52A0\u5185\u90E8\u5458\u5DE5\u4FE1\u606F\u5B89\u5168\u57F9\u8BAD\uFF0C\u5E76\u5BF9\u76F8\u5173\u6570\u636E\u8BBE\u7F6E\u5B89\u5168\u8BBF\u95EE\u6743\u9650\u7B49\u65B9\u5F0F\u5B89\u5168\u4FDD\u62A4\u60A8\u7684\u9690\u79C1\u4FE1\u606F\u3002\n    \n    \n    \u4E94\u3001 \u5185\u5BB9\u89C4\u8303\n    1. \u7528\u6237\u5728\u4F7F\u7528\u597D\u55E8\u670D\u52A1\u4E2D\u53D1\u5E03\u7684\u4EFB\u4F55\u5185\u5BB9\u3001\u4FE1\u606F\u7B49\u5E76\u4E0D\u53CD\u6620\u6216\u4EE3\u8868\u597D\u55E8\u7684\u89C2\u70B9\u3001\u7ACB\u573A\u6216\u653F\u7B56\uFF0C\u597D\u55E8\u5BF9\u6B64\u4E0D\u627F\u62C5\u4EFB\u4F55\u8D23\u4EFB\u3002\n    2.\u7528\u6237\u4E0D\u5F97\u5229\u7528\u597D\u55E8\u5E10\u53F7\u6216\u672C\u670D\u52A1\u5236\u4F5C\u3001\u4E0A\u8F7D\u3001\u590D\u5236\u3001\u53D1\u5E03\u3001\u4F20\u64AD\u5982\u4E0B\u6CD5\u5F8B\u3001\u6CD5\u89C4\u548C\u653F\u7B56\u7981\u6B62\u7684\u5185\u5BB9\uFF1A\n    \uFF081\uFF09\u53CD\u5BF9\u5BAA\u6CD5\u6240\u786E\u5B9A\u7684\u57FA\u672C\u539F\u5219\u7684\uFF1B\n    \uFF082\uFF09\u5371\u5BB3\u56FD\u5BB6\u5B89\u5168\uFF0C\u6CC4\u9732\u56FD\u5BB6\u79D8\u5BC6\uFF0C\u98A0\u8986\u56FD\u5BB6\u653F\u6743\uFF0C\u7834\u574F\u56FD\u5BB6\u7EDF\u4E00\u7684\uFF1B\n    \uFF083\uFF09\u635F\u5BB3\u56FD\u5BB6\u8363\u8A89\u548C\u5229\u76CA\u7684\uFF1B\n    \uFF084\uFF09\u717D\u52A8\u6C11\u65CF\u4EC7\u6068\u3001\u6C11\u65CF\u6B67\u89C6\uFF0C\u7834\u574F\u6C11\u65CF\u56E2\u7ED3\u7684\uFF1B\n    \uFF085\uFF09\u7834\u574F\u56FD\u5BB6\u5B97\u6559\u653F\u7B56\uFF0C\u5BA3\u626C\u90AA\u6559\u548C\u5C01\u5EFA\u8FF7\u4FE1\u7684\uFF1B\n    \uFF086\uFF09\u6563\u5E03\u8C23\u8A00\uFF0C\u6270\u4E71\u793E\u4F1A\u79E9\u5E8F\uFF0C\u7834\u574F\u793E\u4F1A\u7A33\u5B9A\u7684\uFF1B\n    \uFF087\uFF09\u6563\u5E03\u6DEB\u79FD\u3001\u8272\u60C5\u3001\u8D4C\u535A\u3001\u66B4\u529B\u3001\u51F6\u6740\u3001\u6050\u6016\u6216\u8005\u6559\u5506\u72AF\u7F6A\u7684\uFF1B\n    \uFF088\uFF09\u4FAE\u8FB1\u6216\u8005\u8BFD\u8C24\u4ED6\u4EBA\uFF0C\u4FB5\u5BB3\u4ED6\u4EBA\u5408\u6CD5\u6743\u76CA\u7684\uFF1B\n    \uFF089\uFF09\u4E0D\u9075\u5B88\u6CD5\u5F8B\u6CD5\u89C4\u5E95\u7EBF\u3001\u793E\u4F1A\u4E3B\u4E49\u5236\u5EA6\u5E95\u7EBF\u3001\u56FD\u5BB6\u5229\u76CA\u5E95\u7EBF\u3001\u516C\u6C11\u5408\u6CD5\u6743\u76CA\u5E95\u7EBF\u3001\u793E\u4F1A\u516C\u5171\u79E9\u5E8F\u5E95\u7EBF\u3001\u9053\u5FB7\u98CE\u5C1A\u5E95\u7EBF\u548C\u4FE1\u606F\u771F\u5B9E\u6027\u5E95\u7EBF\u7684\u201C\u4E03\u6761\u5E95\u7EBF\u201D\u8981\u6C42\u7684\uFF1B\n    \uFF0810\uFF09\u542B\u6709\u6CD5\u5F8B\u3001\u884C\u653F\u6CD5\u89C4\u7981\u6B62\u7684\u5176\u4ED6\u5185\u5BB9\u7684\u4FE1\u606F\u3002\n    3. \u7528\u6237\u4E0D\u5F97\u5229\u7528\u597D\u55E8\u5E10\u53F7\u6216\u670D\u52A1\u5236\u4F5C\u3001\u4E0A\u8F7D\u3001\u590D\u5236\u3001\u53D1\u5E03\u3001\u4F20\u64AD\u5982\u4E0B\u5E72\u6270\u597D\u55E8\u6B63\u5E38\u8FD0\u8425\uFF0C\u4EE5\u53CA\u4FB5\u72AF\u5176\u4ED6\u7528\u6237\u6216\u7B2C\u4E09\u65B9\u5408\u6CD5\u6743\u76CA\u7684\u5185\u5BB9\uFF1A\n    \uFF081\uFF09\u542B\u6709\u4EFB\u4F55\u6027\u6216\u6027\u6697\u793A\u7684\uFF1B\n    \uFF082\uFF09\u542B\u6709\u8FB1\u9A82\u3001\u6050\u5413\u3001\u5A01\u80C1\u5185\u5BB9\u7684\uFF1B\n    \uFF083\uFF09\u542B\u6709\u9A9A\u6270\u3001\u5783\u573E\u5E7F\u544A\u3001\u6076\u610F\u4FE1\u606F\u3001\u8BF1\u9A97\u4FE1\u606F\u7684\uFF1B\n    \uFF084\uFF09\u6D89\u53CA\u4ED6\u4EBA\u9690\u79C1\u3001\u4E2A\u4EBA\u4FE1\u606F\u6216\u8D44\u6599\u7684\uFF1B\n    \uFF085\uFF09\u4FB5\u5BB3\u4ED6\u4EBA\u540D\u8A89\u6743\u3001\u8096\u50CF\u6743\u3001\u77E5\u8BC6\u4EA7\u6743\u3001\u5546\u4E1A\u79D8\u5BC6\u7B49\u5408\u6CD5\u6743\u5229\u7684\uFF1B\n    \uFF086\uFF09\u542B\u6709\u5176\u4ED6\u5E72\u6270\u672C\u670D\u52A1\u6B63\u5E38\u8FD0\u8425\u548C\u4FB5\u72AF\u5176\u4ED6\u7528\u6237\u6216\u7B2C\u4E09\u65B9\u5408\u6CD5\u6743\u76CA\u5185\u5BB9\u7684\u4FE1\u606F\uFF1B\n    4. \u597D\u55E8\u4EC5\u4E3A\u7528\u6237\u63D0\u4F9B\u670D\u52A1\uFF0C\u7528\u6237\u5FC5\u987B\u4E3A\u81EA\u5DF1\u6CE8\u518C\u5E10\u53F7\u4E0B\u53D1\u751F\u4E00\u5207\u884C\u4E3A\u8D1F\u8D23\uFF0C\u5305\u62EC\u56E0\u60A8\u6240\u4F20\u9001\u81F3\u597D\u55E8\u7684\u4EFB\u4F55\u5185\u5BB9\u3001\u4FE1\u606F\u7B49\u6240\u5BFC\u81F4\u7684\u4E0D\u5229\u540E\u679C\uFF0C\u8BE5\u7B49\u4E0D\u5229\u540E\u679C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u8D54\u507F\u3001\u7F5A\u6B3E\u3001\u53F8\u6CD5/\u4EF2\u88C1\u7A0B\u5E8F\u8D39\u7528\u3001\u5F8B\u5E08\u8D39\u3001\u5408\u7406\u652F\u51FA\u3001\u7ED9\u597D\u55E8\u9020\u6210\u7684\u635F\u5BB3\u7B49\u3002\u7528\u6237\u5E94\u5BF9\u597D\u55E8\u4E0A\u5176\u4ED6\u6CE8\u518C\u7528\u6237\u53D1\u5E03\u7684\u5185\u5BB9\u81EA\u884C\u52A0\u4EE5\u5224\u65AD\uFF0C\u5E76\u627F\u62C5\u56E0\u4F7F\u7528\u8BE5\u5185\u5BB9\u800C\u7ED9\u81EA\u5DF1\u3001\u4ED6\u4EBA\u53CA\u793E\u4F1A\u9020\u6210\u7684\u6CD5\u5F8B\u8D23\u4EFB\uFF0C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\u56E0\u5BF9\u5185\u5BB9\u7684\u51C6\u786E\u6027\u3001\u771F\u5B9E\u6027\u3001\u5B8C\u6574\u6027\u6216\u5B9E\u7528\u6027\u7B49\u7684\u4F9D\u8D56\u800C\u4EA7\u751F\u7684\u98CE\u9669\u3002 \n    5. \u597D\u55E8\u5BF9\u7528\u6237\u4E0A\u4F20\u7684\u6240\u6709\u4FE1\u606F\u7684\u771F\u5B9E\u6027\u3001\u5408\u6CD5\u6027\u3001\u65E0\u5BB3\u6027\u3001\u6709\u6548\u6027\u7B49\u4E0D\u8D1F\u4EFB\u4F55\u5355\u72EC\u6216\u8FDE\u5E26\u4E4B\u4FDD\u8BC1\u8D23\u4EFB\uFF0C\u7528\u6237\u56E0\u5176\u6240\u4F20\u64AD\u7684\u4FE1\u606F\u800C\u5F15\u53D1\u7684\u76F8\u5173\u6CD5\u5F8B\u8D23\u4EFB\u7531\u7528\u6237\u81EA\u884C\u627F\u62C5\u3002 \n    6. \u597D\u55E8\u662F\u4E00\u4E2A\u57FA\u4E8E\u7528\u6237\u5173\u7CFB\u7F51\u7684\u70B9\u5BF9\u70B9\u4FE1\u606F\u670D\u52A1\u5E73\u53F0\uFF0C\u7528\u6237\u4E0D\u5F97\u5192\u5145\u4ED6\u4EBA\u6216\u5229\u7528\u4ED6\u4EBA\u7684\u540D\u4E49\u4F20\u64AD\u4EFB\u4F55\u4FE1\u606F\uFF0C\u4E0D\u5F97\u6076\u610F\u4F7F\u7528\u6CE8\u518C\u5E10\u53F7\u5BFC\u81F4\u5176\u4ED6\u7528\u6237\u8BEF\u8BA4\u3002\u5426\u5219\uFF0C\u597D\u55E8\u6709\u6743\u7ACB\u5373\u505C\u6B62\u63D0\u4F9B\u670D\u52A1\uFF0C\u6CE8\u9500\u7528\u6237\u7684\u597D\u55E8\u5E10\u53F7\uFF0C\u7528\u6237\u5E94\u81EA\u884C\u627F\u62C5\u7531\u6B64\u800C\u4EA7\u751F\u7684\u4E00\u5207\u6CD5\u5F8B\u8D23\u4EFB\u3002 \n    7. \u6839\u636E\u5408\u7406\u5224\u65AD\uFF0C\u597D\u55E8\u53EF\u4EE5\u5BF9\u8FDD\u53CD\u6CD5\u5F8B\u6CD5\u89C4\u3001\u672C\u300A\u534F\u8BAE\u300B\u7EA6\u5B9A\uFF0C\u4FB5\u72AF\u3001\u59A8\u5BB3\u3001\u5A01\u80C1\u4ED6\u4EBA\u6743\u5229\u7684\u5185\u5BB9\uFF0C\u6216\u8005\u5047\u5192\u4ED6\u4EBA\u540D\u4E49\u53D1\u5E03\u7684\u5185\u5BB9\uFF0C\u4F9D\u6CD5\u91C7\u53D6\u505C\u6B62\u4F20\u8F93\u3001\u4E0B\u7EBF\u7B49\u63AA\u65BD\uFF0C\u5E76\u6709\u6743\u4F9D\u5408\u7406\u5224\u65AD\u5BF9\u8FDD\u53CD\u672C\u6761\u6B3E\u7684\u7528\u6237\u91C7\u53D6\u9002\u5F53\u7684\u6CD5\u5F8B\u884C\u52A8\uFF0C\u5305\u62EC\u4F46\u4E0D\u9650\u4E8E\uFF1A\u4ECE\u597D\u55E8\u670D\u52A1\u4E2D\u4FDD\u5168\u5177\u6709\u8FDD\u6CD5\u6027\u3001\u4FB5\u6743\u6027\u3001\u4E0D\u5F53\u6027\u7B49\u5185\u5BB9\u3001\u9650\u5236\u6216\u7981\u6B62\u7528\u6237\u4F7F\u7528\u597D\u55E8\u5168\u90E8\u6216\u90E8\u5206\u670D\u52A1\u3001\u6CE8\u9500\u7528\u6237\u5E10\u6237\u4EE5\u53CA\u4F9D\u636E\u6CD5\u5F8B\u6CD5\u89C4\u4FDD\u5B58\u6709\u5173\u4FE1\u606F\u5E76\u5411\u6709\u5173\u90E8\u95E8\u62A5\u544A\u7B49.\n    \n    \n    \u516D\u3001 \u5176\u4ED6\n    1. \u5982\u60A8\u662F\u4E2D\u534E\u4EBA\u6C11\u5171\u548C\u56FD\u4EE5\u5916\u7684\u7528\u6237\uFF0C\u60A8\u9700\u5168\u9762\u4E86\u89E3\u5E76\u9075\u5B88\u60A8\u6240\u5728\u53F8\u6CD5\u8F96\u533A\u4E0E\u4F7F\u7528\u597D\u55E8\u670D\u52A1\u6240\u6709\u76F8\u5173\u6CD5\u5F8B\u3001\u6CD5\u89C4\u53CA\u89C4\u5219\u3002\n    2. \u60A8\u5728\u4F7F\u7528\u597D\u55E8\u670D\u52A1\u8FC7\u7A0B\u4E2D\uFF0C\u5982\u9047\u5230\u4EFB\u4F55\u6709\u5173\u4E2A\u4EBA\u4FE1\u606F\u4F7F\u7528\u7684\u95EE\u9898\uFF0C\u60A8\u53EF\u4EE5\u901A\u8FC7\u5728\u597D\u55E8\u63D0\u4EA4\u53CD\u9988\u7B49\u65B9\u5F0F\u8054\u7CFB\u6211\u4EEC\u3002\n    3. \u6211\u4EEC\u4F1A\u9002\u65F6\u4FEE\u6539\u672C\u300A\u9690\u79C1\u653F\u7B56\u300B\u7684\u6761\u6B3E\uFF0C\u8BE5\u7B49\u4FEE\u6539\u6784\u6210\u672C\u300A\u9690\u79C1\u653F\u7B56\u300B\u7684\u4E00\u90E8\u5206\u3002\u5728\u8BE5\u79CD\u60C5\u51B5\u4E0B\uFF0C\u5982\u7528\u6237\u4ECD\u7136\u7EE7\u7EED\u4F7F\u7528\u4EA7\u54C1\u670D\u52A1\u7684\uFF0C\u5373\u8868\u793A\u540C\u610F\u53D7\u7ECF\u4FEE\u8BA2\u7684\u672C\u300A\u9690\u79C1\u653F\u7B56\u300B\u7684\u7EA6\u675F\u3002\u6211\u4EEC\u9F13\u52B1\u7528\u6237\u5728\u6BCF\u6B21\u4F7F\u7528\u4EA7\u54C1\u670D\u52A1\u65F6\u90FD\u67E5\u9605\u6211\u4EEC\u7684\u9690\u79C1\u653F\u7B56\u3002\n    \u6700\u540E\uFF0C\u7528\u6237\u5FC5\u987B\u5BF9\u7528\u6237\u7684\u8D26\u53F7\u548C\u5BC6\u7801\u4FE1\u606F\u8D1F\u6709\u4FDD\u5BC6\u4E49\u52A1\u3002\u4EFB\u4F55\u60C5\u51B5\u4E0B\uFF0C\u8BF7\u5C0F\u5FC3\u59A5\u5584\u4FDD\u7BA1\u3002\n    \n    \u597D\u55E8\u56E2\u961F \n    2018\u5E748\u670820\u65E5";
    });
    _$define("h5/tools", function (require, exports, module) {
        "use strict";

        /**
        * 提示框
        */

        function popNewMessage(msg) {
            var $message = document.createElement('div');
            $message.setAttribute('class', 'pi-message');
            $message.textContent = msg;
            var $root = document.createElement('div');
            $root.setAttribute('id', 'pi-root');
            $root.appendChild($message);
            var $body = document.querySelector('body');
            $body.appendChild($root);
            setTimeout(function () {
                $message.setAttribute('class', 'pi-message message-fade-enter');
            }, 17);
            setTimeout(function () {
                $message.setAttribute('class', 'pi-message');
                setTimeout(function () {
                    $body.removeChild($root);
                }, 300);
            }, 2000);
        }
        exports.popNewMessage = popNewMessage;
        ;
        // 创建加载弹窗标签
        exports.popNewLoading = function (loadingStr) {
            var htmlText = "\n        <div class=\"pi-loading-mask\">\n            <div class=\"pi-loading-spinner\">\n                <div class=\"loading-img\"></div>\n                <p class=\"pi-loading-text\">\n                    " + loadingStr + "\n                </p>\n            </div>\n        </div>";
            var $mask = document.createElement('div');
            $mask.setAttribute('class', 'pi-loading-mask');
            // tslint:disable-next-line:no-inner-html
            $mask.innerHTML = htmlText;
            var $root = document.createElement('div');
            $root.setAttribute('id', 'pi-root');
            $root.appendChild($mask);
            document.querySelector('body').appendChild($root);
        };
        /**
         * PC判断
         */
        exports.isPc = function () {
            if (/(iPhone|iPad|iPod|iOS|Android)/i.test(navigator.userAgent)) {
                return false;
            } else {
                return true;
            }
        };
        /**
         * 函数防抖
         */
        exports.throttle = function (func) {
            var intervel = 300;
            var lastTime = 0;
            return function () {
                var nowTime = +new Date();
                if (nowTime - lastTime > intervel) {
                    func && func();
                    lastTime = nowTime;
                }
            };
        };
    });
    _$define("h5/style", function (require, exports, module) {
        "use strict";

        var tools_1 = require("./tools");
        var drag_1 = require("./drag");
        var rpc_1 = require("./rpc");
        var imgUrlPre = 'http://app.highapp.com:81/h5/app/res/image/'; // 图片路径前缀
        var isLandscape = document.documentElement.clientWidth > document.documentElement.clientHeight;
        function browserAdaptive() {
            var cfg = {
                width: 750, height: 1334, wscale: 0, hscale: 0.25, full: false
            };
            var clientWidth = document.documentElement.clientWidth;
            var clientHeight = document.documentElement.clientHeight;
            var rootWidth = cfg.width;
            var rootHeight = cfg.height;
            if (isLandscape) {
                // 横屏
                rootWidth = cfg.height;
                rootHeight = cfg.width;
            }
            var scaleW = clientWidth / rootWidth;
            var scaleH = clientHeight / rootHeight;
            if (cfg.wscale >= cfg.hscale) {
                // 宽度比例变动
                if (scaleW > scaleH * (cfg.wscale + 1)) {
                    // 大于规定的比例
                    rootWidth = rootWidth * (cfg.wscale + 1) | 0;
                } else {
                    rootWidth = clientWidth / scaleH | 0;
                }
                scaleW = scaleH;
            } else {
                // 高度比例变动
                if (scaleH > scaleW * (cfg.hscale + 1)) {
                    rootHeight = rootHeight * (cfg.hscale + 1) | 0;
                } else {
                    rootHeight = clientHeight / scaleW | 0;
                }
                scaleH = scaleW;
            }
            var rootX = (clientWidth - rootWidth) / 2;
            var rootY = (clientHeight - rootHeight) / 2;
            // tslint:disable-next-line:max-line-length
            return "z-index:99999;user-select:none;position: fixed;overflow: hidden;left:" + rootX + "px;top: " + rootY + "px;width:" + rootWidth + "px;height:" + rootHeight + "px;-webkit-transform:scale(" + scaleW + "," + scaleH + ");-moz-transform:scale(" + scaleW + "," + scaleH + ");-ms-transform:scale(" + scaleW + "," + scaleH + ");transform:scale(" + scaleW + "," + scaleH + ");";
        }
        ;
        function createThirdBaseStyle() {
            var messageBottom = isLandscape ? '10px' : '100px';
            var cssText = "\n    .pi-message{\n      position: fixed;\n      left: 50%;\n      bottom: " + messageBottom + ";\n      border-radius: 12px;\n      background-color: rgba(0, 0, 0, 0.9);\n      line-height: 45px;\n      color: rgba(255, 255, 255, 0.87);\n      font-size: 32px;\n      text-align: center;\n      padding: 18px 25px;\n      transform: translateX(-50%);\n      transition: opacity .3s, transform .4s;\n      opacity: 0;\n      z-index:99999;\n    }\n    .message-fade-enter {\n      opacity: 1;\n      transform: translate(-50%,-100%);\n    }\n    .pi-float-button{\n      display: flex;\n      align-items: center;\n      justify-content: center;\n      width:70px;\n      height:70px;\n      background:rgba(0,0,0,0.2);\n      border-radius:50%;\n      border:1px solid rgba(255,255,255,0.2);\n      position: fixed;\n      top: 100px;\n      right:10px;\n      z-index:99999;\n    }\n    .pi-pop-box{\n        position:absolute;\n        width:140px;\n        height:90px;\n        background:rgba(0,0,0,0.5);\n        border-radius:48px;\n        border:4px solid rgba(255,255,255,0.2);\n        display:flex;\n        flex-direction:column;\n        font-size:20px;\n        font-weight:400;\n        color:rgba(255,255,255,1);\n        line-height:30px;\n        align-items: center;\n    }\n    .pi-pop-box-left{\n        left: -30px;\n        transform: translateX(-100%);\n    }\n    .pi-pop-box-right{\n        right: -30px;\n        transform: translateX(100%);\n    }\n    .pi-close-img{\n        width:50px;\n        height:50px;\n        margin-bottom:5px;\n    }\n\n    /* \u52A0\u8F7D */\n    .pi-loading-mask{\n        position: absolute;\n        margin: 0;\n        top: 0;\n        right: 0;   \n        bottom: 0;\n        left: 0;\n        -webkit-transition: opacity .3s;\n        transition: opacity .3s;\n        color: #fff;\n        font-size: 24px;\n    }\n    .pi-loading-spinner{\n        width: 180px;\n        height: 180px;\n        background-color: rgba(0,0,0,.6);\n        top: 50%;\n        left: 50%;\n        text-align: center;\n        position: absolute;\n        transform: translate(-50%,-50%);\n        display: flex;\n        flex-direction: column;\n        justify-content: center;\n        align-items: center;\n        border-radius: 12px;\n        padding-top: 10px;\n    }\n    .loading-img{\n        width: 50px;\n        height: 50px;\n        border: 4px solid white;\n        border-bottom-color:transparent;\n        -webkit-animation: loading 1s 0s linear infinite;\n        animation: loading 1s 0s linear infinite;\n        opacity:1;\n        border-radius:50%;\n    }\n    .pi-loading-text{\n        color: #fff;\n        margin: 10px 0 20px;\n    }\n    .modalBox-body{\n        background-color: #fff;\n        padding: 30px;\n        padding-bottom: 0;\n        width: 570px;\n        border-radius: 12px;\n        box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.2);\n    }\n    \n    /* \u52A8\u753B */\n    @-webkit-keyframes bounceInUp {\n    from,\n    60%,\n    75%,\n    90%,\n    to {\n        -webkit-animation-timing-function: cubic-bezier(\n        0.215,\n        0.61,\n        0.355,\n        1\n        );\n        animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);\n    }\n\n    from {\n        opacity: 0;\n        -webkit-transform: translate3d(0, 3000px, 0);\n        transform: translate3d(0, 3000px, 0);\n    }\n\n    60% {\n        opacity: 1;\n        -webkit-transform: translate3d(0, -20px, 0);\n        transform: translate3d(0, -20px, 0);\n    }\n\n    75% {\n        -webkit-transform: translate3d(0, 10px, 0);\n        transform: translate3d(0, 10px, 0);\n    }\n\n    90% {\n        -webkit-transform: translate3d(0, -5px, 0);\n        transform: translate3d(0, -5px, 0);\n    }\n\n    to {\n        -webkit-transform: translate3d(0, 0, 0);\n        transform: translate3d(0, 0, 0);\n    }\n    }\n\n    @keyframes bounceInUp {\n    from,\n    60%,\n    75%,\n    90%,\n    to {\n        -webkit-animation-timing-function: cubic-bezier(\n        0.215,\n        0.61,\n        0.355,\n        1\n        );\n        animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);\n    }\n\n    from {\n        opacity: 0;\n        -webkit-transform: translate3d(0, 3000px, 0);\n        transform: translate3d(0, 3000px, 0);\n    }\n\n    60% {\n        opacity: 1;\n        -webkit-transform: translate3d(0, -20px, 0);\n        transform: translate3d(0, -20px, 0);\n    }\n\n    75% {\n        -webkit-transform: translate3d(0, 10px, 0);\n        transform: translate3d(0, 10px, 0);\n    }\n\n    90% {\n        -webkit-transform: translate3d(0, -5px, 0);\n        transform: translate3d(0, -5px, 0);\n    }\n\n    to {\n        -webkit-transform: translate3d(0, 0, 0);\n        transform: translate3d(0, 0, 0);\n    }\n    }\n\n    @keyframes loading {\n    0% {\n        -webkit-transform: rotate(0deg);\n            transform: rotate(0deg); \n    }\n    100%{\n        -webkit-transform: rotate(360deg);\n                transform: rotate(360deg); \n    } \n    }\n\n    .bounceInUp {\n        -webkit-animation-name: bounceInUp;\n        animation-name: bounceInUp;\n    }\n    .animated {\n        -webkit-animation-duration: 1s;\n        animation-duration: 1s;\n        -webkit-animation-fill-mode: both;\n        animation-fill-mode: both;\n    }\n    ";
            // tslint:disable-next-line:variable-name
            var pi_root_css = "#pi-root{" + browserAdaptive() + "}.pi-root{" + browserAdaptive() + "}";
            var style = document.createElement('style');
            style.type = 'text/css';
            // tslint:disable-next-line:no-inner-html
            style.innerHTML = pi_root_css + cssText;
            document.getElementsByTagName('head')[0].appendChild(style);
        }
        exports.createThirdBaseStyle = createThirdBaseStyle;
        ;
        /**
         * 悬浮框按钮样式1初始化
         */
        exports.floatButtonInit = function () {
            console.log('floatButtonInit ---------floatButtonInit');
            var $floatButton = document.createElement('div');
            $floatButton.setAttribute('class', 'pi-float-button');
            // tslint:disable-next-line:no-inner-html
            $floatButton.innerHTML = "\n    <img src=\"" + imgUrlPre + "wx_dot.png\"/>\n    ";
            $floatButton.addEventListener('click', exports.popNewPanel());
            document.querySelector('body').appendChild($floatButton);
            drag_1.dragDom($floatButton);
        };
        /**
         * 弹出底部面板框
         */
        exports.popNewPanel = function () {
            return tools_1.throttle(function () {
                var $popBox = document.querySelector(".pi-pop-box");
                var $float = document.querySelector('.pi-float-button');
                if ($popBox) {
                    $float.removeChild($popBox);
                    return;
                }
                // 获取相关CSS属性
                var getCss = function getCss(o, key) {
                    return o.currentStyle ? o.currentStyle[key] : document.defaultView.getComputedStyle(o)[key];
                };
                $popBox = document.createElement('div');
                var screenWidth = document.documentElement.clientWidth; // 屏幕宽度
                var floatBallLeft = parseFloat(getCss($float, 'left'));
                // 获取相关CSS属性
                if (floatBallLeft >= screenWidth / 2) {
                    // 悬浮框在右侧
                    $popBox.setAttribute('class', 'pi-pop-box pi-pop-box-left');
                } else {
                    $popBox.setAttribute('class', 'pi-pop-box pi-pop-box-right');
                }
                $popBox.innerHTML = "\n            <img src=\"" + imgUrlPre + "wx_close.png\" class=\"pi-close-img\"/>\n            <div>\u8FD4\u56DE\u4E3B\u9875</div>\n        ";
                $popBox.addEventListener('click', function (e) {
                    // popNewMessage("支付成功")
                    // pi_sdk.api.back();
                    rpc_1.back();
                    e.stopPropagation();
                    e.preventDefault();
                });
                $float.appendChild($popBox);
            });
        };
    });
    _$define("h5/rpc", function (require, exports, module) {
        "use strict";

        /**
         * H5版本 rpc
         */

        var tools_1 = require("./tools");
        var style_1 = require("./style");
        window.addEventListener("message", function (event) {
            var RPC_REPLY_START = "$WEBVIEW_RPC_REPLY: ";
            var message = event.data;
            // 收到对方的rpc回应，处理
            if (message.startsWith(RPC_REPLY_START)) {
                message = message.slice(RPC_REPLY_START.length);
                var data = JSON.parse(message);
                return handleRpcReply(data);
            }
        }, false);
        var rpcID = -1;
        var rpcIDMap = {};
        var moduleName = "app/api/thirdApi";
        /**
         * 往指定名字的WebView调用指定模块的导出方法
         * data: 指定对方WebView执行的模块和导出方法
         * callback：返回结果的回调函数
         * 注：RPC都是一来一回的结构，没有注册一次可以调用多次的结构！
         */
        exports.rpcCall = function (moduleName, methodName, param, callback) {
            var RPC_CALL_START = "$WEBVIEW_RPC_CALL: ";
            var RPC_CALLBACK_PARAM = "$WEBVIEW_RPC_FUNCTION_PARAM: ";
            var funcs = [callback];
            var id = ++rpcID;
            rpcIDMap[id] = funcs;
            var sign = {
                moduleName: moduleName,
                methodName: methodName,
                params: [param, RPC_CALLBACK_PARAM + 0],
                rpcID: id // 可选：调用rpc前注册到Map的RPC ID
            };
            var data = RPC_CALL_START + JSON.stringify(sign);
            nativeCall(top, data);
        };
        var nativeCall = function nativeCall(targetWindow, args) {
            args = args || "";
            targetWindow.postMessage(args, "*");
        };
        var handleRpcReply = function handleRpcReply(sign) {
            var funcs = rpcIDMap[sign.rpcID];
            var f = funcs && funcs[sign.callbackID];
            if (f) {
                f.apply(undefined, sign.args);
            }
            delete rpcIDMap[sign.rpcID];
        };
        // 初始化
        exports.init = function (config, cb) {
            console.log("我是H5");
            style_1.createThirdBaseStyle();
            if (!tools_1.isPc()) window.onload = style_1.floatButtonInit;
            cb && cb();
        };
        // 授权
        exports.authorize = function (payload, cb) {
            exports.rpcCall(moduleName, "authorize", payload, cb);
        };
        // 购买
        exports.thirdPay = function (payload, cb) {
            exports.rpcCall(moduleName, "thirdPay", payload, function (err, res) {
                if (res.result == 1) {
                    // alert("支付成功");
                    tools_1.popNewMessage("支付成功");
                }
                cb && cb(err, res);
            });
        };
        // 获取包名
        exports.getPackageName = function (cb) {
            cb && cb(undefined, "master");
        };
        // 返回
        exports.back = function () {
            exports.rpcCall(moduleName, "back", undefined, undefined);
        };
        // 获取已绑定的应用 TODO
        exports.getBindApps = function (cb) {
            cb && cb(undefined, {
                QQ: '',
                WeChat: '',
                WeiBo: '',
                phoneNumber: ''
            });
        };
        // 获取安装路径
        exports.getAppPath = function (cb) {
            if (navigator.userAgent.indexOf('Electron') >= 0) {
                exports.rpcCall(moduleName, "getAppPath", {}, cb);
            } else {
                // H5直接返回
                setTimeout(function () {
                    cb && cb(undefined, "");
                }, 0);
            }
        };
    });
    _$define("h5/drag", function (require, exports, module) {
        "use strict";

        /**
         * 拖动悬浮框
         */

        exports.dragDom = function (element, callback) {
            var nowLeft = -1;
            var screenWidth = document.documentElement.clientWidth; // 屏幕宽度
            var screenHeigth = document.documentElement.clientHeight; // 屏幕高度
            var elementWidth = element.clientWidth,
                elementHeight = element.clientHeight;
            var params = {
                left: 0,
                top: 0,
                currentX: 0,
                currentY: 0,
                leftLimit: screenWidth - elementWidth,
                topLimit: screenHeigth - elementHeight,
                flag: false
            };
            // 获取相关CSS属性
            var getCss = function getCss(o, key) {
                return o.currentStyle ? o.currentStyle[key] : document.defaultView.getComputedStyle(o)[key];
            };
            // 拖拽的实现
            if (getCss(element, 'left') !== 'auto') {
                params.left = getCss(element, 'left');
            }
            if (getCss(element, 'top') !== 'auto') {
                params.top = getCss(element, 'top');
            }
            // o是移动对象
            element.ontouchstart = function (event) {
                if (document.querySelector('.pi-pop-box')) return;
                console.log('onmousedown');
                params.flag = true;
                event = event || window.event;
                params.currentX = event.changedTouches[0].clientX;
                params.currentY = event.changedTouches[0].clientY;
            };
            element.ontouchend = function () {
                console.log('onmouseup');
                if (nowLeft !== -1) {
                    nowLeft = nowLeft < screenWidth / 2 ? -elementWidth / 3 : params.leftLimit + elementWidth / 3;
                    element.style.left = nowLeft + "px";
                    nowLeft = -1;
                }
                params.flag = false;
                if (getCss(element, 'left') !== 'auto') {
                    params.left = getCss(element, 'left');
                }
                if (getCss(element, 'top') !== 'auto') {
                    params.top = getCss(element, 'top');
                }
                callback && callback();
            };
            document.ontouchmove = function (event) {
                console.log('onmousemove');
                event = event || window.event;
                // tslint:disable-next-line:one-variable-per-declaration
                var nowX = event.changedTouches[0].clientX,
                    nowY = event.changedTouches[0].clientY;
                // tslint:disable-next-line:one-variable-per-declaration
                var disX = nowX - params.currentX;
                var disY = nowY - params.currentY;
                if (params.flag) {
                    nowLeft = parseInt(params.left.toString(), 10) + disX;
                    var nowTop = parseInt(params.top.toString(), 10) + disY;
                    nowLeft = nowLeft < 0 ? 0 : nowLeft > params.leftLimit ? params.leftLimit : nowLeft;
                    nowTop = nowTop < 0 ? 0 : nowTop > params.topLimit ? params.topLimit : nowTop;
                    element.style.left = nowLeft + "px";
                    element.style.top = nowTop + "px";
                }
            };
        };
    });
    _$define("api/api", function (require, exports, module) {
        "use strict";

        // tslint:disable-next-line:max-line-length

        var rpc_1 = require("../h5/rpc");
        // tslint:disable-next-line:max-line-length
        var api_1 = require("../util/api");
        var config_1 = require("../util/config");
        var service_1 = require("../util/service");
        var webview_1 = require("../util/webview");
        // ============================ 接口
        /**
         * SDK入口
         */
        if (config_1.IN_APP) {
            // APP版本
            Object.assign(pi_sdk, {
                version: '1.0.0',
                init: // 当前SDK的版本号
                api_1.init,
                webview: {
                    minimize: webview_1.minimize,
                    closeWebview: webview_1.closeWebview
                },
                platform: {
                    thirdPay: api_1.thirdPay,
                    authorize: api_1.authorize,
                    inviteUser: api_1.inviteUser,
                    logoutUser: api_1.logoutUser,
                    bindThirdData: api_1.bindThirdData,
                    bindPhoneNumber: api_1.bindPhoneNumber,
                    sendCode: api_1.sendCode,
                    getPackageName: api_1.getPackageName,
                    getBindApps: api_1.getBindApps,
                    getAppPath: rpc_1.getAppPath
                },
                piService: {
                    onBindService: service_1.onBindService
                }
            });
        } else {
            // H5版本
            Object.assign(pi_sdk, {
                init: rpc_1.init,
                platform: {
                    authorize: rpc_1.authorize,
                    thirdPay: rpc_1.thirdPay,
                    getPackageName: rpc_1.getPackageName,
                    getBindApps: rpc_1.getBindApps,
                    getAppPath: rpc_1.getAppPath
                }
            });
        }
    });
    _$define("pi/browser/webview", function (require, exports, module) {
        "use strict";

        var native_1 = require("./native");
        // ========================= export
        var screenMode;
        (function (screenMode) {
            screenMode["portrait"] = "portrait";
            screenMode["landscape"] = "landscape";
        })(screenMode = exports.screenMode || (exports.screenMode = {}));
        /**
         * WebView管理相关
         */

        var WebViewManager = function (_native_1$NativeObjec) {
            _inherits(WebViewManager, _native_1$NativeObjec);

            function WebViewManager() {
                _classCallCheck(this, WebViewManager);

                return _possibleConstructorReturn(this, (WebViewManager.__proto__ || Object.getPrototypeOf(WebViewManager)).apply(this, arguments));
            }

            _createClass(WebViewManager, null, [{
                key: "isDefaultKilled",
                value: function isDefaultKilled(success) {
                    if (isJSVM) {
                        getInstance().call('isDefaultKilled', { success: success });
                    }
                }
            }, {
                key: "reloadDefault",
                value: function reloadDefault() {
                    if (isJSVM) {
                        getInstance().call('reloadDefault', {});
                    }
                }
                /**
                 * 创建新的WebView窗口并弹出来
                 * 注：webViewName不能和已有的WebView重复，如果相同，抛异常
                 * 注：主WebView的名字是"default"
                 */

            }, {
                key: "open",
                value: function open(webViewName, url, title, injectContent, screenOrientation) {
                    getInstance().call('openWebView', { webViewName: webViewName, url: url, title: title, injectContent: injectContent, screenOrientation: screenOrientation });
                }
                /**
                 * 释放指定名字的WebView
                 * 注：不能使用这个释放主WebView
                 */

            }, {
                key: "close",
                value: function close(webViewName) {
                    if (isJSVM) {
                        window["JSVM"].closeWebView(webViewName);
                    } else {
                        getInstance().call('closeWebView', { webViewName: webViewName });
                    }
                }
                /**
                 * 获取屏幕刘海与下部分高度
                 */

            }, {
                key: "getScreenModify",
                value: function getScreenModify(success) {
                    getInstance().call('getScreenModify', { success: success });
                }
            }, {
                key: "minWebView",
                value: function minWebView(webViewName, walletUrl) {
                    if (isJSVM) {
                        window["JSVM"].minWebView(webViewName, walletUrl);
                    } else {
                        getInstance().call('minWebView', { webViewName: webViewName, walletUrl: walletUrl });
                    }
                }
                /**
                 * 创建一个新的webview，但不会显示出来
                 * 一般用于微信支付
                 * headers = {"Referer": url}
                 */

            }, {
                key: "newView",
                value: function newView(webViewName, url, headers) {
                    headers = headers || {};
                    var headerString = JSON.stringify(headers);
                    getInstance().call('newView', { webViewName: webViewName, url: url, headers: headerString });
                }
                /**
                 * 只有newView的东西，才能用freeView释放
                 */

            }, {
                key: "freeView",
                value: function freeView(webViewName) {
                    getInstance().call('freeView', { webViewName: webViewName });
                }
                /**
                 * 往指定名字的WebView发信息
                 * globalName: 因为 webview 有 sdk，所以需要这个参数："pi_sdk" 或者 "pi_modules"
                 */

            }, {
                key: "postMessage",
                value: function postMessage(webViewName, message, globalName) {
                    globalName = globalName || "pi_modules";
                    if (isJSVM) {
                        console.log("~~~~~~~~ JSVM.postMessage=(webviewName=" + webViewName + ", globalName=" + globalName + ", message=" + message);
                        window.JSVM.postMessage(webViewName, globalName, message);
                    } else if (isPC) {
                        console.log("~~~~~~~~ PC.postMessage=(webviewName=" + webViewName + ", globalName=" + globalName + ", message=" + message);
                        pi_modules.globalCallback.onWebViewPostMessage('self', globalName, message);
                    } else {
                        console.log("~~~~~~~~ Android.postMessage=(webviewName=" + webViewName + ", globalName=" + globalName + ", message=" + message);
                        getInstance().call('postWebViewMessage', { webViewName: webViewName, globalName: globalName, message: message });
                    }
                }
                /**
                 * 注册收到别的webView发过来的postmessage信息后的回调函数
                 */

            }, {
                key: "addPostMessageListener",
                value: function addPostMessageListener(listener) {
                    if (postMessageListeners.indexOf(listener) < 0) {
                        postMessageListeners.push(listener);
                    }
                }
                /**
                 * 取消注册当收到别的WebView发过来的postmessage消息后的回调函数
                 */

            }, {
                key: "removePostMessageListener",
                value: function removePostMessageListener(listener) {
                    var position = postMessageListeners.indexOf(listener);
                    if (position >= 0) {
                        postMessageListeners.splice(position, 1);
                    }
                }
                /**
                 * 往指定名字的WebView调用指定模块的导出方法
                 * data: 指定对方WebView执行的模块和导出方法
                 * callback：返回结果的回调函数， 如果要调用的function中，有callBack，就不能写该callBack
                 * 注：RPC都是一来一回的结构，没有注册一次可以调用多次的结构！
                 */

            }, {
                key: "rpc",
                value: function rpc(webViewName, data, callback) {
                    var funcs = [];
                    var globalName = data.globalName || "pi_modules";
                    // 本地的全局变量。
                    data.globalName = pi_modules.isSDK ? "pi_sdk" : "pi_modules";
                    data.params = data.params || [];
                    data.params = data.params.map(function (v) {
                        if (v === undefined) {
                            v = null;
                        } else if (v instanceof Function) {
                            var id = funcs.length;
                            funcs.push(v);
                            v = RPC_CALLBACK_PARAM + id;
                        }
                        return v;
                    });
                    var sign = data;
                    if (callback) {
                        sign.resultCallbackID = funcs.length;
                        funcs.push(callback);
                    }
                    if (funcs.length > 0) {
                        sign.rpcID = ++rpcCurrentID;
                        rpcMap.set(sign.rpcID, funcs);
                    }
                    if (isPC) {
                        pi_modules.globalCallback.onWebViewPostMessage('self', RPC_CALL_START + JSON.stringify(sign));
                    } else {
                        WebViewManager.postMessage(webViewName, RPC_CALL_START + JSON.stringify(sign), globalName);
                    }
                }
            }]);

            return WebViewManager;
        }(native_1.NativeObject);

        exports.WebViewManager = WebViewManager;
        /**
         * 管道，和对方 多次 消息发送
         */

        var Channel = function () {
            function Channel() {
                _classCallCheck(this, Channel);

                this._msgCB = null;
            }

            _createClass(Channel, [{
                key: "send",
                value: function send(message) {}
            }, {
                key: "destroy",
                value: function destroy() {}
                // 向指定的目标创建管道
                // srcName_id 就是每个管道的标志

            }, {
                key: "onMessage",
                set: function set(cb) {
                    this._msgCB = cb;
                }
            }], [{
                key: "create",
                value: function create(targetID, globalName) {}
                // 返回 Promise<Channel>

                // 设置 收到对方管道创建的监听器

            }, {
                key: "setCreateListener",
                value: function setCreateListener(cb) {
                    Channel._createCB = cb;
                }
            }]);

            return Channel;
        }();

        exports.Channel = Channel;
        Channel._createCB = null;
        // ========================= implmentation
        native_1.registerSign(WebViewManager, {
            newView: [{
                name: 'webViewName',
                type: native_1.ParamType.String
            }, {
                name: 'url',
                type: native_1.ParamType.String
            }, {
                name: 'headers',
                type: native_1.ParamType.String
            }],
            freeView: [{
                name: 'webViewName',
                type: native_1.ParamType.String
            }],
            openWebView: [{
                name: 'webViewName',
                type: native_1.ParamType.String
            }, {
                name: 'url',
                type: native_1.ParamType.String
            }, {
                name: 'title',
                type: native_1.ParamType.String
            }, {
                name: 'injectContent',
                type: native_1.ParamType.String
            }, {
                name: 'screenOrientation',
                type: native_1.ParamType.String
            }],
            closeWebView: [{
                name: 'webViewName',
                type: native_1.ParamType.String
            }],
            postWebViewMessage: [{
                name: 'webViewName',
                type: native_1.ParamType.String
            }, {
                name: 'globalName',
                type: native_1.ParamType.String
            }, {
                name: 'message',
                type: native_1.ParamType.String
            }],
            getScreenModify: [],
            isDefaultKilled: [],
            reloadDefault: [],
            minWebView: [{
                name: 'webViewName',
                type: native_1.ParamType.String
            }, {
                name: 'walletUrl',
                type: native_1.ParamType.String
            }]
        });
        /**
         * 特殊的消息开头，代表这是一个RPC调用
         */
        var RPC_CALL_START = '$WEBVIEW_RPC_CALL: ';
        /**
         * 特殊的消息开头，代表这是一个RPC回应
         */
        var RPC_REPLY_START = '$WEBVIEW_RPC_REPLY: ';
        /**
         * 特殊的消息格式，代表参数是一个函数
         */
        var RPC_CALLBACK_PARAM = '$WEBVIEW_RPC_FUNCTION_PARAM: ';
        /**
         * 监听postmessage的列表
         */
        var postMessageListeners = [];
        /**
         * rpc的当前可用的id 和 RPC映射表
         */
        var rpcCurrentID = 0;
        var rpcMap = new Map();
        var count = 0;
        /**
         * 注册到pi_modules上的全局函数，用于接收别的webView发送过来的消息
         */
        pi_modules.globalCallback.onWebViewPostMessage = function (fromWebView, message) {
            var modName = pi_modules.isSDK ? "pi_sdk" : "pi_modules";
            console.log(modName + "::onWebViewPostMessage(" + fromWebView + ", message = " + message + "), count = " + ++count);
            // 收到对方的rpc调用请求，处理
            if (message.startsWith(RPC_CALL_START)) {
                message = message.slice(RPC_CALL_START.length);
                var data = JSON.parse(message);
                return handleRpcCall(fromWebView, data);
            }
            // 收到对方的rpc回应，处理
            if (message.startsWith(RPC_REPLY_START)) {
                message = message.slice(RPC_REPLY_START.length);
                var _data = JSON.parse(message);
                return handleRpcReply(_data);
            }
            // 其他消息，看高层，谁关心谁处理
            var _iteratorNormalCompletion = true;
            var _didIteratorError = false;
            var _iteratorError = undefined;

            try {
                for (var _iterator = postMessageListeners[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
                    var listener = _step.value;

                    listener(fromWebView, message);
                }
            } catch (err) {
                _didIteratorError = true;
                _iteratorError = err;
            } finally {
                try {
                    if (!_iteratorNormalCompletion && _iterator.return) {
                        _iterator.return();
                    }
                } finally {
                    if (_didIteratorError) {
                        throw _iteratorError;
                    }
                }
            }
        };
        /**
         * 注册到window上的全局函数，用于接收Native发送过来的消息
         * @param moduleName
         * @param methodName
         * @param params
         * @param callBack(statuCode, message)
         */
        window["onNativePostMessage"] = function (moduleName, methodName, params, callBack) {
            var func = void 0;
            pi_modules.commonjs.exports.require([moduleName], {}, function (mods) {
                var mod = mods[0];
                func = mod[methodName];
                if (!func) {
                    callBack(-1, "call throw error");
                }
                if (func) {
                    var args = [];
                    if (params !== undefined && params !== "") {
                        args = params.split(',');
                    }
                    var cb = function cb(result) {
                        callBack(0, JSON.stringify(result));
                    };
                    args.push(cb);
                    try {
                        func.apply(undefined, _toConsumableArray(args));
                    } catch (e) {
                        callBack(-1, "call throw error");
                    }
                } else {
                    callBack(-1, "call throw error");
                }
            });
        };
        /**
         * 收到对方RPC之后的处理
         * @param fromWebViewName
         * @param message
         */
        var handleRpcCall = function handleRpcCall(fromWebViewName, _ref) {
            var globalName = _ref.globalName,
                moduleName = _ref.moduleName,
                methodName = _ref.methodName,
                params = _ref.params,
                rpcID = _ref.rpcID,
                resultCallbackID = _ref.resultCallbackID;

            var func = void 0,
                result = void 0;
            globalName = globalName || "pi_modules";
            pi_modules.commonjs.exports.require([moduleName], {}, function (mods) {
                var mod = mods[0];
                func = mod[methodName];
                if (!func) {
                    result = {
                        error: 'throw error, can\'t find module ' + moduleName + ', function = ' + methodName
                    };
                }
                if (func) {
                    /**
                     * 将参数的回调函数恢复回来
                     */
                    params = params.map(function (v) {
                        if (typeof v === 'string' && v.startsWith(RPC_CALLBACK_PARAM)) {
                            var id = JSON.parse(v.slice(RPC_CALLBACK_PARAM.length));
                            return function () {
                                for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
                                    args[_key] = arguments[_key];
                                }

                                var sign = {
                                    args: args,
                                    rpcID: rpcID,
                                    callbackID: id
                                };
                                var message = RPC_REPLY_START + JSON.stringify(sign);
                                if (isPC) {
                                    pi_modules.globalCallback.onWebViewPostMessage(fromWebViewName, message);
                                } else {
                                    WebViewManager.postMessage(fromWebViewName, message, globalName);
                                }
                            };
                        }
                        return v;
                    });
                    try {
                        result = func.apply(undefined, _toConsumableArray(params));
                        console.log("handleRpcCall result " + result);
                    } catch (e) {
                        func = undefined;
                        result = {
                            error: "fromWebViewName = " + fromWebViewName + " call throw error: modName=" + moduleName + ", methodName=" + methodName + ", stack=" + e.stack + ", array params = " + params.join(",")
                        };
                    }
                }
                // 异常情况时，func为undefined，这时必须让对方的rpc释放掉
                if (!func || resultCallbackID !== undefined) {
                    var sign = {
                        args: [result]
                    };
                    if (rpcID !== undefined) {
                        sign.rpcID = rpcID;
                    }
                    if (resultCallbackID !== undefined) {
                        sign.callbackID = resultCallbackID;
                    }
                    var message = RPC_REPLY_START + JSON.stringify(sign);
                    if (isPC) {
                        pi_modules.globalCallback.onWebViewPostMessage(fromWebViewName, message);
                    } else {
                        WebViewManager.postMessage(fromWebViewName, message, globalName);
                    }
                }
            }, function (result) {
                result = {
                    error: 'throw error, load fail ' + moduleName
                };
            }, console.log('load mod ing1111111111.....'));
            result = {
                error: 'throw error, can\'t find module ' + moduleName
            };
        };
        /**
         * 收到对方RPC回应之后的处理
         */
        var handleRpcReply = function handleRpcReply(_ref2) {
            var rpcID = _ref2.rpcID,
                callbackID = _ref2.callbackID,
                args = _ref2.args;

            var funcs = rpcMap.get(rpcID);
            var f = funcs && funcs[callbackID];
            if (f) {
                f.apply(undefined, _toConsumableArray(args));
            }
            rpcMap.delete(rpcID);
        };
        var isPC = navigator.userAgent.indexOf('YINENG') > 0 ? false : true;
        var isJSVM = navigator.userAgent.indexOf('JSVM') > 0 ? true : false;
        var webViewMgr = void 0;
        var getInstance = function getInstance() {
            if (!webViewMgr) {
                webViewMgr = new WebViewManager();
                webViewMgr.init();
            }
            return webViewMgr;
        };
    });
    _$define("pi/browser/app", function (require, exports, module) {
        "use strict";

        // ============================== 导入

        var native_1 = require("./native");
        // ============================== 导出
        var appInfo = {
            name: "",
            version: ""
        };
        var app = null;

        var App = function (_native_1$NativeObjec2) {
            _inherits(App, _native_1$NativeObjec2);

            function App() {
                _classCallCheck(this, App);

                return _possibleConstructorReturn(this, (App.__proto__ || Object.getPrototypeOf(App)).apply(this, arguments));
            }

            _createClass(App, null, [{
                key: "getVersion",
                value: function getVersion(cb) {
                    if (appInfo.version) {
                        cb(undefined, appInfo.version);
                        return;
                    }
                    App.getInstance().call('getVersion', {
                        success: function success(version) {
                            appInfo.name = version;
                            cb(undefined, version);
                        },
                        fail: function fail(errInfo) {
                            cb(errInfo, undefined);
                        }
                    });
                }
            }, {
                key: "getAppName",
                value: function getAppName(cb) {
                    if (appInfo.name) {
                        cb(undefined, appInfo.name);
                        return;
                    }
                    App.getInstance().call('getAppName', {
                        success: function success(name) {
                            appInfo.name = name;
                            cb(undefined, name);
                        },
                        fail: function fail(errInfo) {
                            cb(errInfo, undefined);
                        }
                    });
                }
            }, {
                key: "getInstance",
                value: function getInstance() {
                    if (!app) {
                        app = new App();
                        app.init();
                    }
                    return app;
                }
            }]);

            return App;
        }(native_1.NativeObject);

        exports.App = App;
        // ============================== 本地
        /**
         * 底层接口和参数的声明
         */
        native_1.registerSign(App, {
            getVersion: [],
            getAppName: []
        });
    });
    _$define("pi/browser/native", function (require, exports, module) {
        "use strict";

        /**
         * 封装了高层与底层交互方法
         */
        // ============================== 导入

        var base64_1 = require("../util/base64");
        // ============================== 导出
        /**
         * 添加底层事件监听器
         * cb(param1, param2, ...)
         */
        exports.addEventListener = function (type, name, cb) {
            if (!eventMap.has(type)) {
                eventMap.set(type, new Map());
            }
            var nameMap = eventMap.get(type);
            if (!nameMap.has(name)) {
                nameMap.set(name, []);
            }
            var fs = nameMap.get(name);
            if (fs.indexOf(cb) < 0) {
                fs.push(cb);
            }
        };
        /**
         * 移除底层事件监听器
         * cb(param1, param2, ...)
         */
        exports.removeEventListener = function (type, name, cb) {
            if (eventMap.has(type)) {
                var nameMap = eventMap.get(type);
                if (nameMap.has(name)) {
                    var fs = nameMap.get(name);
                    var index = fs.indexOf(cb);
                    if (index >= 0) fs.splice(index, 1);
                    if (fs.length === 0) nameMap.delete(name);
                    if (nameMap.size === 0) eventMap.delete(type);
                }
            }
        };
        /**
         * 注册类的方法签名
         * @param constructor 类的构造函数
         * @param sign
         * {
         *    "getPerson": [{name: "paramName", type: ParamType.Number}...]
         * }
         */
        exports.registerSign = function (constructor, sign) {
            var map = new Map();
            for (var methodName in sign) {
                map.set(methodName, sign[methodName]);
            }
            signMap.set(constructor, map);
        };
        /**
         * 底层对象，供高层扩展
         */

        var NativeObject = function () {
            function NativeObject() {
                _classCallCheck(this, NativeObject);

                this.id = 0; // 底层对象对应的id，如果为0代表尚未初始化成功
                this.state = NativeState.UnInit; // 当前状态
                this.waits = []; // 正在初始化时候，积累的函数；最后一个是方法名，其他是方法的参数
            }
            /**
             * 调用底层静态方法
             */
            /* tslint:disable:function-name */


            _createClass(NativeObject, [{
                key: "init",

                /**
                 * 初始化方法，创建对象
                 * @param cb 监听器
                 */
                value: function init(cb) {
                    var _this3 = this;

                    if (this.state !== NativeState.UnInit) {
                        throw new Error('NativeObject already inited');
                    }
                    this.state = NativeState.Init;
                    var func = function func(id) {
                        _this3.id = id;
                        // 调用积累函数
                        var _iteratorNormalCompletion2 = true;
                        var _didIteratorError2 = false;
                        var _iteratorError2 = undefined;

                        try {
                            var _loop = function _loop() {
                                var w = _step2.value;

                                var name = w.pop();
                                w = w ? w[0] : undefined;
                                setTimeout(function () {
                                    if (name === 'close') {
                                        _this3.close(w);
                                    } else {
                                        _this3.call(name, w);
                                    }
                                }, 0);
                            };

                            for (var _iterator2 = _this3.waits[Symbol.iterator](), _step2; !(_iteratorNormalCompletion2 = (_step2 = _iterator2.next()).done); _iteratorNormalCompletion2 = true) {
                                _loop();
                            }
                        } catch (err) {
                            _didIteratorError2 = true;
                            _iteratorError2 = err;
                        } finally {
                            try {
                                if (!_iteratorNormalCompletion2 && _iterator2.return) {
                                    _iterator2.return();
                                }
                            } finally {
                                if (_didIteratorError2) {
                                    throw _iteratorError2;
                                }
                            }
                        }

                        _this3.waits.length = 0;
                        cb && cb.success && cb.success();
                    };
                    var cbID = callIDMax++;
                    callIDMap.set(cbID, {
                        success: func
                    });
                    exports.callNative(this.constructor.name, 'init', 0, cbID);
                }
                /**
                 * 删除底层对象
                 */

            }, {
                key: "close",
                value: function close(cb) {
                    if (this.state !== NativeState.Init) {
                        alert("NativeObject.close isn't use, state = " + this.state);
                        throw new Error('NativeObject isn\'t use');
                    }
                    if (this.id === 0) {
                        this.waits.push([cb, 'close']);
                        return;
                    }
                    this.state = NativeState.Close;
                    var cbID = 0;
                    if (cb.success) {
                        cbID = callIDMax++;
                        callIDMap.set(cbID, {
                            success: cb.success
                        });
                    }
                    var id = this.id;
                    this.id = 0;
                    exports.callNative(this.constructor.name, 'close', id, cbID);
                }
                /**
                 * 调用底层方法
                 */

            }, {
                key: "call",
                value: function call(methodName, params) {
                    if (this.state !== NativeState.Init) {
                        throw new Error(methodName + " NativeObject isn't use");
                    }
                    if (this.id === 0) {
                        this.waits.push([params, methodName]);
                        return;
                    }
                    NativeObject.callStatic(this.constructor, methodName, params, this.id);
                }
            }], [{
                key: "callStatic",
                value: function callStatic(constructor, methodName, params) {
                    var id = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;

                    var className = constructor.name;
                    var cbID = 0;
                    if (params.success || params.fail || params.callback) {
                        cbID = callIDMax++;
                        callIDMap.set(cbID, {
                            success: params.success,
                            fail: params.fail,
                            callback: params.callback
                        });
                    }
                    var args = [];
                    var methodSign = signMap.get(constructor);
                    var signs = methodSign.get(methodName);
                    var _iteratorNormalCompletion3 = true;
                    var _didIteratorError3 = false;
                    var _iteratorError3 = undefined;

                    try {
                        for (var _iterator3 = signs[Symbol.iterator](), _step3; !(_iteratorNormalCompletion3 = (_step3 = _iterator3.next()).done); _iteratorNormalCompletion3 = true) {
                            var p = _step3.value;

                            if (!(p.name in params)) {
                                throw new Error(className + "." + methodName + ", value " + p.name + " isn't exist");
                            }
                            var value = params[p.name];
                            switch (p.type) {
                                case ParamType.Number:
                                    if (typeof value !== 'number') {
                                        throw new Error(className + "." + methodName + ", type " + p.type + " of value " + p.name + " isn't match");
                                    }
                                    break;
                                case ParamType.String:
                                    if (typeof value !== 'string') {
                                        throw new Error(className + "." + methodName + ", type " + p.type + " of value " + p.name + " isn't match");
                                    }
                                    break;
                                case ParamType.Bytes:
                                    if (!(value instanceof ArrayBuffer)) {
                                        throw new Error(className + "." + methodName + ", type " + p.type + " of value " + p.name + " isn't match");
                                    }
                                    value = base64_1.arrayBufferToBase64(value);
                                    break;
                                default:
                                    throw new Error(className + "." + methodName + ", type " + p.type + " of value " + p.name + " isn't exist");
                            }
                            args.push(value);
                        }
                    } catch (err) {
                        _didIteratorError3 = true;
                        _iteratorError3 = err;
                    } finally {
                        try {
                            if (!_iteratorNormalCompletion3 && _iterator3.return) {
                                _iterator3.return();
                            }
                        } finally {
                            if (_didIteratorError3) {
                                throw _iteratorError3;
                            }
                        }
                    }

                    exports.callNative.apply(exports, [className, methodName, id, cbID].concat(args));
                }
            }]);

            return NativeObject;
        }();

        exports.NativeObject = NativeObject;
        // ============================== 本地
        /**
         * 调用底层函数
         *
         */
        exports.callNative = function (className, methodName, nativeID, listenerID) {
            for (var _len2 = arguments.length, args = Array(_len2 > 4 ? _len2 - 4 : 0), _key2 = 4; _key2 < _len2; _key2++) {
                args[_key2 - 4] = arguments[_key2];
            }

            var str = navigator.userAgent;
            if (str.indexOf('JSVM') >= 0) {
                window.JSVM.messageReciver(["pi_modules", className, methodName, nativeID, listenerID].concat(args));
            } else if (str.indexOf('YINENG_ANDROID') >= 0) {
                var globalName = pi_modules.isSDK ? "pi_sdk" : "pi_modules";
                // alert(`callNative(${className}, ${methodName}, ${nativeID}, ${listenerID}, ${JSON.stringify(args)})`)
                window.JSBridge.postMessage(globalName, className, methodName, nativeID, listenerID, JSON.stringify(args));
            } else if (str.indexOf('YINENG_IOS') >= 0) {
                var _globalName = pi_modules.isSDK ? "pi_sdk" : "pi_modules";
                // JS通知WKWebView
                window.webkit.messageHandlers.Native.postMessage([_globalName, className, methodName, nativeID, listenerID].concat(args));
            }
        };
        /**
         * 底层回调方法的约定
         */
        var NativeCode;
        (function (NativeCode) {
            NativeCode[NativeCode["Success"] = 0] = "Success";
            NativeCode[NativeCode["Fail"] = 1] = "Fail";
            NativeCode[NativeCode["Callback"] = 2] = "Callback";
        })(NativeCode = exports.NativeCode || (exports.NativeCode = {}));
        /**
         * 类型
         */
        var ParamType;
        (function (ParamType) {
            ParamType["Number"] = "number";
            ParamType["String"] = "string";
            ParamType["Bytes"] = "ArrayBuffer";
        })(ParamType = exports.ParamType || (exports.ParamType = {}));
        /**
         * 对象的初始化状态
         */
        var NativeState;
        (function (NativeState) {
            NativeState[NativeState["UnInit"] = 0] = "UnInit";
            NativeState[NativeState["Init"] = 1] = "Init";
            NativeState[NativeState["Close"] = 2] = "Close"; // 已经关闭
        })(NativeState = exports.NativeState || (exports.NativeState = {}));
        // 当前回调对应的索引
        var callIDMax = 1;
        /**
         * 回调函数对应的id map
         */
        var callIDMap = new Map();
        var eventMap = new Map();
        var signMap = new Map();
        /**
         * 底层主动抛上来的事件
         */
        pi_modules.globalCallback.handle_native_event = function (type, name) {
            for (var _len3 = arguments.length, params = Array(_len3 > 2 ? _len3 - 2 : 0), _key3 = 2; _key3 < _len3; _key3++) {
                params[_key3 - 2] = arguments[_key3];
            }

            if (eventMap.has(type)) {
                var nameMap = eventMap.get(type);
                if (nameMap.has(name)) {
                    var _iteratorNormalCompletion4 = true;
                    var _didIteratorError4 = false;
                    var _iteratorError4 = undefined;

                    try {
                        for (var _iterator4 = nameMap.get(name)[Symbol.iterator](), _step4; !(_iteratorNormalCompletion4 = (_step4 = _iterator4.next()).done); _iteratorNormalCompletion4 = true) {
                            var f = _step4.value;

                            f.apply(undefined, params);
                        }
                    } catch (err) {
                        _didIteratorError4 = true;
                        _iteratorError4 = err;
                    } finally {
                        try {
                            if (!_iteratorNormalCompletion4 && _iterator4.return) {
                                _iterator4.return();
                            }
                        } finally {
                            if (_didIteratorError4) {
                                throw _iteratorError4;
                            }
                        }
                    }
                }
            }
        };
        /**
         * 高层调用底层后，底层的回调
         */
        pi_modules.globalCallback.handle_native_message = function (cbID, code) {
            for (var _len4 = arguments.length, args = Array(_len4 > 2 ? _len4 - 2 : 0), _key4 = 2; _key4 < _len4; _key4++) {
                args[_key4 - 2] = arguments[_key4];
            }

            // alert(`handle_native_message(${cbID}, ${code}, ${args.join(",")})`);
            if (cbID === 0) return;
            var cb = callIDMap.get(cbID);
            if (!cb) {
                return;
            }
            switch (code) {
                case NativeCode.Success:
                    cb.success && cb.success.apply(cb, args);
                    callIDMap.delete(cbID); // 成功回调只调用一次
                    break;
                case NativeCode.Fail:
                    cb.fail && cb.fail.apply(cb, args);
                    callIDMap.delete(cbID); // 失败回调只调用一次
                    break;
                case NativeCode.Callback:
                    // 约定：所有的callback函数都不会删除map，在最后一次调用success或fail
                    cb.callback && cb.callback.apply(cb, args);
                    break;
                default:
                    alert("NativeObject Callback error, code = " + code + " don't match");
                    throw new Error("NativeObject Callback error, code = " + code + " don't match");
            }
        };
        /**
         * 底层报错回调
         */
        pi_modules.globalCallback.handle_native_throw_error = function (className, methodName, msg) {
            alert("handle_native_throw_error, " + className + "." + methodName + " failed: " + msg);
            throw new Error("handle_native_throw_error, " + className + "." + methodName + " failed: " + msg);
        };
        /**
         * 底层派发的事件，应该两个全局变量都通知到。
         */
        window.handle_native_event = function (type, name) {
            for (var _len5 = arguments.length, params = Array(_len5 > 2 ? _len5 - 2 : 0), _key5 = 2; _key5 < _len5; _key5++) {
                params[_key5 - 2] = arguments[_key5];
            }

            var _m$globalCallback, _m$globalCallback2;

            console.log("(<any>window).handle_native_event(type = " + type + ", name = " + name + ")");
            var m = window.pi_modules;
            m && m.globalCallback && m.globalCallback.handle_native_event && (_m$globalCallback = m.globalCallback).handle_native_event.apply(_m$globalCallback, [type, name].concat(params));
            m = window.pi_sdk;
            m && m.globalCallback && m.globalCallback.handle_native_event && (_m$globalCallback2 = m.globalCallback).handle_native_event.apply(_m$globalCallback2, [type, name].concat(params));
        };
    });
    _$define("pi/util/base64", function (require, exports, module) {
        "use strict";

        /**
         * base64字符串转ArrayBuffer
         * @param base64 base64格式的字符串
         * @return ArrayBuffer
         */

        exports.base64ToArrayBuffer = function (base64) {
            // tslint:disable-next-line:no-reserved-keywords
            var isPC = navigator.userAgent.indexOf("JSVM") > 0 ? false : true;
            if (isPC) {
                var string = window.atob(base64);
                var bytes = new Uint8Array(string.length);
                for (var i = 0; i < string.length; i++) {
                    bytes[i] = string.charCodeAt(i);
                }
                return bytes.buffer;
            } else {
                var us = base64js.toByteArray(base64);
                return us.buffer;
            }
        };
        /**
         * ArrayBuffer转base64字符串
         * @return string base64格式的字符串
         */
        exports.arrayBufferToBase64 = function (buffer) {
            var isPC = navigator.userAgent.indexOf("JSVM") > 0 ? false : true;
            if (isPC) {
                var binary = '';
                var bytes = new Uint8Array(buffer);
                var len = bytes.length;
                for (var i = 0; i < len; i++) {
                    binary += String.fromCharCode(bytes[i]);
                }
                return window.btoa(binary);
            } else {
                var u8 = new Uint8Array(buffer);
                return base64js.fromByteArray(u8);
            }
        };
    });
    /**
     * 项目入口
     * 
     * 加载完代码后要执行的函数
     */

    (function () {
        var load = pi_modules.commonjs.exports;

        // 项目的开始
        load.require("api/api");
    })();
})();