/*! secrets.js-grempe 2015-03-02 */
// @preserve author Alexander Stetsyuk
// @preserve author Glenn Rempe <glenn@rempe.us>
// @license MIT
_$define("blockchain/utils/secrets.min", function (require, exports, module) {
!function(a,b){"use strict";"function"==typeof define&&define.amd?define([],function(){return a.secrets=b()}):"object"==typeof exp?mod.exp=b(req("crypto")):a.secrets=b(a.crypto)}(this,function(a){"use strict";function b(){p={bits:8,radix:16,minBits:3,maxBits:20,bytesPerChar:2,maxBytesPerChar:6,primitivePolynomials:[null,null,1,3,3,5,3,3,29,17,9,5,83,27,43,3,45,9,39,39,9,5,3,33,27,9,71,39,9,5,83]},q={},r=new Array(1024).join("0"),s=!0,t=10,u=["nodeCryptoRandomBytes","browserCryptoGetRandomValues","browserSJCLRandom","testRandom"]}function c(){return q&&q.rng&&"function"==typeof q.rng?!0:!1}function d(a,b){var c;if(0===b||1===b)return a;if(b&&b>1024)throw new Error("Padding must be multiples of no larger than 1024 bits.");return b=b||q.bits,a&&(c=a.length%b),c?(r+a).slice(-(b-c+a.length)):a}function e(a){var b,c,e="";for(c=a.length-1;c>=0;c--){if(b=parseInt(a[c],16),isNaN(b))throw new Error("Invalid hex character.");e=d(b.toString(2),4)+e}return e}function f(a){var b,c,e="";for(a=d(a,4),c=a.length;c>=4;c-=4){if(b=parseInt(a.slice(c-4,c),2),isNaN(b))throw new Error("Invalid binary character.");e=b.toString(16)+e}return e}function g(){return!a||"object"!=typeof a||"function"!=typeof a.getRandomValues&&"object"!=typeof a.getRandomValues||"function"!=typeof Uint32Array&&"object"!=typeof Uint32Array?!1:!0}function h(){return"object"==typeof a&&"function"==typeof a.randomBytes?!0:!1}function i(){return"object"==typeof sjcl&&"object"==typeof sjcl.random?!0:!1}function j(b){function c(a,b,c,e){var f,g,h=0,i="";for(b&&(f=b.length-1);f>h||i.length<a;)g=Math.abs(parseInt(b[h],c)),i+=d(g.toString(2),e),h++;return i=i.substr(-a),(i.match(/0/g)||[]).length===i.length?null:i}function e(b){var d,e,f,g,h=null;for(f=16,g=4,e=Math.ceil(b/8);null===h;)d=a.randomBytes(e),h=c(b,d.toString("hex"),f,g);return h}function f(b){var d,e,f,g=null;for(e=10,f=32,d=Math.ceil(b/32);null===g;)g=c(b,a.getRandomValues(new Uint32Array(d)),e,f);return g}function j(a){var b,d,e,f=null;if(d=10,e=32,b=Math.ceil(a/32),!sjcl.random.isReady(t))throw new Error("SJCL isn't finished seeding the RNG yet.");return f=c(a,sjcl.random.randomWords(b,t),d,e)}function k(a){var b,d,e,f,g,h=null;f=10,g=32,d=Math.ceil(a/32),e=123456789,b=new Uint32Array(d);for(var i=0;i<b.length;i++)b[i]=e;for(;null===h;)h=c(a,b,f,g);return h}return b&&"testRandom"===b?(q.typeCSPRNG=b,k):b&&"nodeCryptoRandomBytes"===b?(q.typeCSPRNG=b,e):b&&"browserCryptoGetRandomValues"===b?(q.typeCSPRNG=b,f):b&&"browserSJCLRandom"===b?(s=!1,q.typeCSPRNG=b,j):h()?(q.typeCSPRNG="nodeCryptoRandomBytes",e):g()?(q.typeCSPRNG="browserCryptoGetRandomValues",f):i()?(s=!1,q.typeCSPRNG="browserSJCLRandom",j):void 0}function k(a,b){var c,e=[];for(b&&(a=d(a,b)),c=a.length;c>q.bits;c-=q.bits)e.push(parseInt(a.slice(c-q.bits,c),2));return e.push(parseInt(a.slice(0,c),2)),e}function l(a,b){var c,d=q.logs[a],e=0;for(c=b.length-1;c>=0;c--)e=0!==e?q.exps[(d+q.logs[e])%q.maxShares]^b[c]:b[c];return e}function m(a,b,c){var d,e,f,g,h=0;for(f=0,d=b.length;d>f;f++)if(c[f]){for(e=q.logs[c[f]],g=0;d>g;g++)if(f!==g){if(a===b[g]){e=-1;break}e=(e+q.logs[a^b[g]]-q.logs[b[f]^b[g]]+q.maxShares)%q.maxShares}h=-1===e?h:h^q.exps[e]}return h}function n(a,b,c){var d,e,f=[],g=[a];for(d=1;c>d;d++)g[d]=parseInt(q.rng(q.bits),2);for(d=1,e=b+1;e>d;d++)f[d-1]={x:d,y:l(d,g)};return f}function o(a,b,c){var e,f,g,h,i;if(b=parseInt(b,q.radix),a=parseInt(a,10)||q.bits,e=a.toString(36).toUpperCase(),g=Math.pow(2,a)-1,h=g.toString(q.radix).length,f=d(b.toString(q.radix),h),"number"!=typeof b||b%1!==0||1>b||b>g)throw new Error("Share id must be an integer between 1 and "+g+", inclusive.");return i=e+f+c}var p,q,r,s,t,u,v={init:function(a,d){var e,f,h=[],j=[],k=1;if(b(),a&&("number"!=typeof a||a%1!==0||a<p.minBits||a>p.maxBits))throw new Error("Number of bits must be an integer between "+p.minBits+" and "+p.maxBits+", inclusive.");if(d&&-1===u.indexOf(d))throw new Error("Invalid RNG type argument : '"+d+"'");for(q.radix=p.radix,q.bits=a||p.bits,q.size=Math.pow(2,q.bits),q.maxShares=q.size-1,e=p.primitivePolynomials[q.bits],f=0;f<q.size;f++)j[f]=k,h[k]=f,k<<=1,k>=q.size&&(k^=e,k&=q.maxShares);if(q.logs=h,q.exps=j,d&&this.setRNG(d),c()||this.setRNG(),i()&&"browserSJCLRandom"===q.typeCSPRNG&&(sjcl.random=new sjcl.prng(t),g()&&sjcl.random.startCollectors(),this.seedRNG()),!(c()&&q.bits&&q.size&&q.maxShares&&q.logs&&q.exps&&q.logs.length===q.size&&q.exps.length===q.size))throw new Error("Initialization failed.")},seedRNG:function(b,c,d){var e,f;c=parseInt(c,10),d=d||"seedRNG",i()&&g()&&(e=new Uint32Array(256),f=a.getRandomValues(e),sjcl.random.addEntropy(f,2048,"cryptoGetRandomValues")),i()&&h()&&a.randomBytes(256,function(a,b){if(a)throw a;sjcl.random.addEntropy(b.toString("hex"),2048,"cryptoRandomBytes")}),i()&&b&&c&&d&&"browserSJCLRandom"===q.typeCSPRNG&&sjcl.random.addEntropy(b,c,d)},combine:function(a,b){var c,g,h,i,j,l,n,o="",p=[],r=[];for(b=b||0,c=0,h=a.length;h>c;c++){if(l=this.extractShareComponents(a[c]),void 0===j)j=l.bits;else if(l.bits!==j)throw new Error("Mismatched shares: Different bit settings.");if(q.bits!==j&&this.init(j),-1===p.indexOf(l.id))for(p.push(l.id),n=k(e(l.data)),g=0,i=n.length;i>g;g++)r[g]=r[g]||[],r[g][p.length-1]=n[g]}for(c=0,h=r.length;h>c;c++)o=d(m(b,p,r[c]).toString(2))+o;return f(b>=1?o:o.slice(o.indexOf("1")+1))},getConfig:function(){var a={};return a.radix=q.radix,a.bits=q.bits,a.maxShares=q.maxShares,a.hasCSPRNG=c(),a.typeCSPRNG=q.typeCSPRNG,a},extractShareComponents:function(a){var b,c,d,e,f,g,h={};if(b=parseInt(a.substr(0,1),36),b&&("number"!=typeof b||b%1!==0||b<p.minBits||b>p.maxBits))throw new Error("Invalid share : Number of bits must be an integer between "+p.minBits+" and "+p.maxBits+", inclusive.");if(e=Math.pow(2,b)-1,d=(Math.pow(2,b)-1).toString(q.radix).length,f="^([a-kA-K3-9]{1})([a-fA-F0-9]{"+d+"})([a-fA-F0-9]+)$",g=new RegExp(f).exec(a),g&&(c=parseInt(g[2],q.radix)),"number"!=typeof c||c%1!==0||1>c||c>e)throw new Error("Invalid share : Share id must be an integer between 1 and "+q.maxShares+", inclusive.");if(g&&g[3])return h.bits=b,h.id=c,h.data=g[3],h;throw new Error("The share data provided is invalid : "+a)},setRNG:function(a){var b="Random number generator is invalid ",c=" Supply an CSPRNG of the form function(bits){} that returns a string containing 'bits' number of random 1's and 0's.";if(a&&"string"==typeof a&&-1===u.indexOf(a))throw new Error("Invalid RNG type argument : '"+a+"'");if(a||(a=j()),a&&"string"==typeof a&&(a=j(a)),s){if(a&&"function"!=typeof a)throw new Error(b+"(Not a function)."+c);if(a&&"string"!=typeof a(q.bits))throw new Error(b+"(Output is not a string)."+c);if(a&&!parseInt(a(q.bits),2))throw new Error(b+"(Binary string output not parseable to an Integer)."+c);if(a&&a(q.bits).length>q.bits)throw new Error(b+"(Output length is greater than config.bits)."+c);if(a&&a(q.bits).length<q.bits)throw new Error(b+"(Output length is less than config.bits)."+c)}return q.rng=a,!0},str2hex:function(a,b){var c,e,f,g,h,i,j="";if("string"!=typeof a)throw new Error("Input must be a character string.");if(b||(b=p.bytesPerChar),"number"!=typeof b||1>b||b>p.maxBytesPerChar||b%1!==0)throw new Error("Bytes per character must be an integer between 1 and "+p.maxBytesPerChar+", inclusive.");for(c=2*b,e=Math.pow(16,c)-1,h=0,i=a.length;i>h;h++){if(g=a[h].charCodeAt(),isNaN(g))throw new Error("Invalid character: "+a[h]);if(g>e)throw f=Math.ceil(Math.log(g+1)/Math.log(256)),new Error("Invalid character code ("+g+"). Maximum allowable is 256^bytes-1 ("+e+"). To convert this character, use at least "+f+" bytes.");j=d(g.toString(16),c)+j}return j},hex2str:function(a,b){var c,e,f,g="";if("string"!=typeof a)throw new Error("Input must be a hexadecimal string.");if(b=b||p.bytesPerChar,"number"!=typeof b||b%1!==0||1>b||b>p.maxBytesPerChar)throw new Error("Bytes per character must be an integer between 1 and "+p.maxBytesPerChar+", inclusive.");for(c=2*b,a=d(a,c),e=0,f=a.length;f>e;e+=c)g=String.fromCharCode(parseInt(a.slice(e,e+c),16))+g;return g},random:function(a){if("number"!=typeof a||a%1!==0||2>a||a>65536)throw new Error("Number of bits must be an Integer between 1 and 65536.");if("browserSJCLRandom"===q.typeCSPRNG&&sjcl.random.isReady(t)<1)throw new Error("SJCL isn't finished seeding the RNG yet. Needs new entropy added or more mouse movement.");return f(q.rng(a))},share:function(a,b,c,g){var h,i,j,l,m,p=new Array(b),r=new Array(b);if(g=g||128,"string"!=typeof a)throw new Error("Secret must be a string.");if("number"!=typeof b||b%1!==0||2>b)throw new Error("Number of shares must be an integer between 2 and 2^bits-1 ("+q.maxShares+"), inclusive.");if(b>q.maxShares)throw h=Math.ceil(Math.log(b+1)/Math.LN2),new Error("Number of shares must be an integer between 2 and 2^bits-1 ("+q.maxShares+"), inclusive. To create "+b+" shares, use at least "+h+" bits.");if("number"!=typeof c||c%1!==0||2>c)throw new Error("Threshold number of shares must be an integer between 2 and 2^bits-1 ("+q.maxShares+"), inclusive.");if(c>q.maxShares)throw h=Math.ceil(Math.log(c+1)/Math.LN2),new Error("Threshold number of shares must be an integer between 2 and 2^bits-1 ("+q.maxShares+"), inclusive.  To use a threshold of "+c+", use at least "+h+" bits.");if(c>b)throw new Error("Threshold number of shares was "+c+" but must be less than or equal to the "+b+" shares specified as the total to generate.");if("number"!=typeof g||g%1!==0||0>g||g>1024)throw new Error("Zero-pad length must be an integer between 0 and 1024 inclusive.");for(a="1"+e(a),a=k(a,g),j=0,m=a.length;m>j;j++)for(i=n(a[j],b,c),l=0;b>l;l++)p[l]=p[l]||i[l].x.toString(q.radix),r[l]=d(i[l].y.toString(2))+(r[l]||"");for(j=0;b>j;j++)p[j]=o(q.bits,p[j],f(r[j]));return p},newShare:function(a,b){var c;if(a&&"string"==typeof a&&(a=parseInt(a,q.radix)),a&&b&&b[0])return c=this.extractShareComponents(b[0]),o(c.bits,a,this.combine(b,a));throw new Error("Invalid 'id' or 'shares' Array argument to newShare().")},_reset:b,_padLeft:d,_hex2bin:e,_bin2hex:f,_hasCryptoGetRandomValues:g,_hasCryptoRandomBytes:h,_hasSJCL:i,_getRNG:j,_isSetRNG:c,_splitNumStringToIntArray:k,_horner:l,_lagrange:m,_getShares:n,_constructPublicShareString:o};return v.init(),v});

exports.secrets = secrets; 
});